Welcome to ComponentOne Chart for .Net

ComponentOne Chart for .NET

Welcome to ComponentOne Chart for .Net

Previous Next

ComponentOne Chart™ for .Net is a .Net control designed to allow developers to create a number of eye-catching 2D charts, chart cached or streaming data, or display complex data sets in a visual format. Using the latest technologies built into Visual Studio.Net, C1Chart for .Net completely manages the underlying complexities of a component chart, allowing developers to concentrate on important application-specific tasks.

C1Chart for .Net was designed to be a powerful, versatile, and easy-to-use chart creation tool. Developers can use C1Chart to create a fully functional Chart that can be fully interacted with by the user. Additionally, developers can use the many different chart types to accurately display complex sets of data and create user-friendly charting applications.

C1Chart for .Net is a charting control for Microsoft Visual Studio.Net developed by ComponentOne LLC.

ComponentOne has a user-friendly distribution policy. We want every programmer to obtain a copy of Chart for .NET to try for as long as they wish. Those who like the product and find it useful may buy a license for a reasonable price. The only restriction is that unlicensed copies of Chart for .NET will display a ComponentOne banner every time they are loaded to remind developers to license the product.

We are confident that you will like ComponentOne Chart For .NET. If you have any suggestions or ideas for new features that you'd like to see included in a future version, or ideas for new controls, please call us or write:

Corporate Headquarters

ComponentOne LLC
4516 Henry Street
Suite 500
Pittsburgh, PA 15213 USA
412.681.4343
412.681.4384 (Fax)

http://www.componentone.com

Overview

Installation

Adding the ComponentOne Chart Component to Visual Studio

End-User License Agreement

Redistributable Files

Technical Support

Namespaces


Overview

Overview

ComponentOne 2D Chart is a two-dimensional charting control that you can use in your Windows applications to provide users with professional information display and manipulation capabilities.

2D Chart Control

Use the 2D Chart to display data as a Bar, XY-Plot, Area, Pie, Radar, Polar, Candle, or a combination of any of these charts. 2D Chart is optimized for real-time applications displaying rapidly changing data.

C1Chart 2D for .Net Features

•

100% Managed Code

•

X-Y Plot, Area, Bar, High-Low, High-Low-Open-Close, Candle, Bubble, Pie, Radar, and Polar charts provide various ways to display data.

•

Stacking Charts: XY-Plot, Area, Bar, Radar, and Plot charts can be stacked to display more complex data in a smaller space.

•

Mouse tracking capabilities keep track of the region, series, or data point under the mouse pointer.

•

Image generation: Charts can be saved to any number of image formats (metafile, bmp, jpg, and more).

•

Interactive Wizard.

•


Installation

Installation

The installation program will create a directory called "ComponentOne Studio.NET" under "Program Files". This directory will contain the following subdirectories:

bin | Contains copies of all binaries (DLLs, EXEs) in the ComponentOne Visual Studio.NET package.
Common | Contains support and data files that are used by many of the demo programs.
Demos | Contains demo projects for all Studio components.
Help | Contains online documentation for all Studio components.
C1Chart | Contains samples and tutorials for the C1Chart component.
Other | Samples and tutorials for the other Studio components.


Installing Demonstration Versions

Installing Demonstration Versions

To try C1Chart for .NET without a registration key, install the product as usual but do not provide a registration key. The only difference between unregistered (evaluation) and registered (purchased) versions of the software is that the unregistered version will display a banner when it starts executing.


Uninstalling C1Chart for .NET

Uninstalling C1Chart for .NET

To uninstall C1Chart for .NET, open the Control Panel application, select the "Add or Remove Programs" option, select C1Chart for .NET and click the "Remove" button.


Adding the ComponentOne Chart Component to Visual Studio

Adding the ComponentOne Chart Component to Visual Studio

After installing Chart for .NET on your computer, you need to add its component to the Visual Studio Toolbox. To do this, follow these steps:

Open the Visual Studio IDE (Microsoft Development Environment). Make sure the Toolbox is visible (select Toolbox in the View menu if necessary). Right-click the Toolbox to open its context menu.

If you want the Chart for .NET component to appear on its own tab in the Toolbox, select Add Tab from the context menu and type in the tab name, for example, “C1Chart”. Select the tab where you want the component to appear. Right-click that tab or one of the existing tabs and select Customize Toolbox… from the context menu. The Customize Toolbox dialog box will open.

In the Customize Toolbox dialog box, go to the .NET Framework Components tab. Sort the list by Namespace (click the Namespace column header). Go to the listing for the C1.Win.C1Chart namespace. Here you can check the C1Chart component that will be installed on your toolbox.


End-User License Agreement

End-User License Agreement

IMPORTANT-READ CAREFULLY: This End User License Agreement (this "EULA") contains the terms and conditions regarding your use of the SOFTWARE (as defined below). This EULA contains material limitations to your rights in that regard. You should read this EULA carefully and treat it as valuable property.

I. THIS EULA.

1.

Software Covered by this EULA. This EULA governs your use of the ComponentOne, LLC ("C1") software product(s) enclosed or otherwise accompanied herewith (individually and collectively, the "SOFTWARE"). The term "SOFTWARE" includes, to the extent provided by C1: 1) any revisions, updates and/or upgrades thereto; 2) any data, image or executable files, databases, data engines, computer software, or similar items customarily used or distributed with computer software products; 3) anything in any form whatsoever intended to be used with or in conjunction with the SOFTWARE; and 4) any associated media, documentation (including physical, electronic and on-line) and printed materials (the "Documentation").

2.

This EULA is a Legally Binding Agreement Between You and C1. If you are acting as an agent of a company or another legal person, such as an officer or other employee acting for your employer, then "you" and "your" mean your principal, the entity or other legal person for whom you are acting. However, importantly, even if you are acting as an agent for another, you may still be personally liable for violation of federal and State laws, such as copyright infringement.

This EULA is a legally binding agreement between you and C1. You intend to be legally bound to this EULA to the same extent as if C1 and you physically signed this EULA. By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms and conditions contained in this EULA. If you do not agree to all of the terms and conditions contained in this EULA, you may not install or use the SOFTWARE. If, for whatever reason, installation has begun or has been completed, you should cancel installation or un-install the SOFTWARE, as the case may be. (You may click on the "exit" button or its equivalent to immediately abort installation.) If you do not agree to all of these terms and conditions, then you must promptly return the SOFTWARE to the place of business from which you obtained it in accordance with any return policies of such place of business. Return policies may vary between or among resellers, and you must comply with your particular reseller's return policies as agreed at the point of purchase. If the place of business from which you purchased the SOFTWARE does not honor a complete refund for a period of thirty (30) days from the date of proof of purchase, then you may return the SOFTWARE directly to C1 for a period of thirty (30) days from the date of your purchase. To return the product directly to C1, you must obtain a C1 Return Authorization Number by contacting C1, and you must forward all items purchased, including the proof of purchase, directly to C1. The return must be postage-prepaid, and post-marked within thirty (30) days from the proof of purchase, time being of the essence. The return option to C1 is only available to the original purchaser of an unopened factory packaged item.

II. YOUR LICENSE TO DEVELOP AND TO DISTRIBUTE.

As provided in more detail below, this EULA grants you two licenses: 1) a license to use the SOFTWARE to develop other software products (the "Development License"); and 2) a license to use and/or distribute the Developed Software (the "Distribution License"). Both of these licenses (individually and collectively, the "Licenses") are explained and defined in more detail below.

1.

Definitions. The following terms have the respective meanings as used in this EULA:

"Network Server" means a computer with one or more computer central processing units (CPU's) that operates for the purpose of serving other computers logically or physically connected to it, including, but not limited to, other computers connected to it on an internal network, intranet or the Internet. "Web Server" means a type of Network Server that serves other computers more particularly connected to it over an intranet or the Internet.

"Developed Software" means those computer software products that are developed by or through the use of the SOFTWARE. "Developed Web Server Software" means those Developed Software products that reside logically or physically on at least one Web Server and are operated (meaning the computer software instruction set is carried out) by the Web Server's central processing unit(s) (CPU). "Developed Legacy Software" means those Developed Software products that are not Developed Web Server Software, including, for example, stand-alone applications and applications accessed by a file server only. "Redistributable Files" means the SOFTWARE files or other portions of the SOFTWARE that are provided by C1 and are identified as such in the Documentation for distribution by you with the Developed Software. "Developer" means a human being or any other automated device using the SOFTWARE in accordance with the terms and conditions of this EULA.

"Developer Seat License" means that each Developer using or otherwise accessing the programmatic interface or the SOFTWARE must obtain the right to do so by purchasing a separate End User License. "Network Server CPU License" means that a separate End User License must be purchased for each CPU operating the computer software at issue in the reference.

“Source Code” shall mean computer software code or programs in human readable format, such as a printed listing of such a program written in a high-level computer language. The term "Source Code" includes, but is not limited to, documents and materials in support of the development effort of the SOFTWARE, such as flow charts, pseudo code and program notes.

2.

Your Development License. You are hereby granted a limited, royalty-free, non-exclusive right to use the SOFTWARE to design, develop, and test Developed Software, on the express condition that, and only for so long as, you fully comply with all terms and conditions of this EULA.

The SOFTWARE is licensed to you on a Developer Seat License basis.

The Developer Seat License means that you may perform a single install of the SOFTWARE for use in designing, testing and creating Developed Software by a single Developer on a single computer with a single set of input devices, so long as such computer is used only by one Developer. Conversely, you may not install or use the SOFTWARE on a computer that is a network server or a computer at which the SOFTWARE is used by more than one Developer. You may not network the SOFTWARE or any component part of it, where it is or may be used by more than one Developer unless you purchase an additional Development License for each Developer. You must purchase another separate license to the SOFTWARE in order to add additional developer seats, whether the additional developers are accessing the SOFTWARE in a stand-alone environment or on a computer network. If the SOFTWARE is used to create Developed Web Server Software, then you may perform a single install of the SOFTWARE for use in designing, testing and creating Developed Web Server Software by a single Developer on a single computer or Network Server, either with a single CPU only. An additional Network Server CPU License is required for each additional CPU on the single computer or Network Server, as the case may be, upon which the SOFTWARE and/or the Developed Web Server Software is installed and a separate license for each separate computer. That is, for Developed Web Server Software, if the computer or Network Server operating the SOFTWARE has 2 CPU's, then you would need to purchase one additional Network Server CPU License (beyond the one Developer Seat License granted in this EULA).

In all cases, you may not use C1's name, logo, or trademarks to market your Developed Software without the express written consent of C1; (b) you must include the following C1 copyright notice in your Developed Software documentation and/or in the "About Box" of your Developed Software, and wherever the copyright/rights notice is located in the Developed Software (“Portions Copyright © ComponentOne, LLC 1991-2002. All Rights Reserved.”); (c) agree to indemnify, hold harmless, and defend C1, its suppliers and resellers, from and against any claims or lawsuits, including attorney's fees that may arise from the use or distribution of your Developed Software; (d) you may use the SOFTWARE only to create Developed Software that is significantly different than the SOFTWARE.

3.

Your Distribution License.

a. License to Distribute Developed Legacy Software. Subject to the terms and conditions in this EULA, you are granted the license to use and to distribute Developed Legacy Software on a royalty-free basis, provided that the Developed Legacy Software incorporates the SOFTWARE as an integral part of the Developed Software in machine-language compiled format (customarily an ".exe", or ".dll", etc.). You may not distribute, bundle, wrap or subclass the SOFTWARE as Developed Software which, when used in a "designtime" development environment, exposes the programmatic interface of the SOFTWARE. You may distribute, on a royalty-free basis, Redistributable Files with Developed Legacy Software only.

b. License to Distribute Developed Web Server Software. Subject to the terms and conditions in this EULA, you are granted the license to use and to distribute Developed Web Server Software, provided that you must purchase one Network CPU License for each CPU operating the Developed Web Server Software (and/or Redistributable Files called or otherwise used directly by the Developed Web Server Software). You may purchase an additional Network CPU License by purchasing an additional separate End User License for the SOFTWARE; one Network CPU License is included in this EULA. Notwithstanding the foregoing, however, you may distribute or transfer, free of royalties, the Redistributable Files (and/or any Developed Legacy Software) to the extent that they are used separately on a single CPU on the client/workstation side of the network served by the Web Server.

4.

Specific Product Limitations. Notwithstanding anything in this EULA to the contrary, if the license you have purchased is for any of the following products, then the following additional limitations will apply:

a. C1 ReportDesigner. C1ReportDesigner includes at least: 1) one dynamic link library (c1.win.c1reportdesigner.dll) file known as C1ReportDesigner Component, 2) one executable (ReportDesigner.exe) file known as C1ReportDesigner Application and, 3) the Source Code of the C1ReportDesigner Application. The C1ReportDesigner Component is subject to the general terms and restrictions set forth in this EULA. The C1ReportDesigner Application is an executable file used to design and prepare reports; the C1ReportDesigner Application may be distributed, free of royalties, only in conjunction with the Developed Software.

Subject to the terms and conditions in this EULA, C1 hereby grants you the right to use the C1ReportDesigner Application Source Code. You are hereby also granted the right to modify such Source Code and to create derivative works that are based on the licensed Source Code. You may distribute the derivative works that you develop, solely in object code format and exclusively in conjunction with and/or as a part of the Developed Software. You are expressly not granted the right to distribute, disclose or otherwise make available to any third party the licensed Source Code, any modified version, derivative work, or any portion thereof, in source code format.

C1 shall retain all right, title and interest in and to the licensed Source Code, and all C1 updates, modifications or enhancements thereof. Nothing herein shall be deemed to transfer any ownership or title rights in and to the licensed Source Code from C1 to you.

SOURCE CODE IS LICENSED TO YOU AS IS. C1 DOES NOT AND SHALL NOT PROVIDE YOU WITH ANY TECHNICAL SUPPORT FOR YOUR SOURCE CODE LICENSE.

b. VS View Reporting Edition. VS View Reporting Edition includes at least one executable file listed as “VSRpt7.exe”, known as “Designer.” The file "VSRpt7.exe”, or any upgrade or future versions of the Designer, are subject to the restrictions set forth in this EULA and may not be distributed with your Developed Software or in any other way.

c. VSForum. VSForum is intended to be installed on a Network Server. C1 grants to you the following rights to the SOFTWARE: a) Installation: You may install one copy of the SOFTWARE on a single Network Server; b) Use: When installed and initialized, the SOFTWARE creates a database file which contains the embodiment of a discussion forum (the database hereinafter referred to as the "Forum"). You may use the SOFTWARE to create one Forum on one Network Server only, which server may be connected at any point to an unlimited number of workstations or computers operating on one or more networks. You are specifically NOT LICENSED to create or operate multiple Forums. To create or to operate more than one FORUM, you must purchase one additional SOFTWARE license for each additional Forum.

d. Doc-to-Help. You may use Doc-To-Help to create online help, manuals or other documentation in electronic or printed format (the "Output Documents"). You may distribute and incorporate in such Output Documents those files identified in the documentation as Redistributable Files. Except for those specific Redistributable Files, you MAY NOT distribute the SOFTWARE, in any format, to others.

e. Studio Products. You may not share the component parts of the Studio Products licensed to you with other Developers, nor may you allow the use and/or installation of such components by other Developers.

5.

Updates/Upgrades; Studio Subscription. Subject to the terms and conditions of this EULA, the Licenses are perpetual. Updates and upgrades to the SOFTWARE may be provided by C1 from time-to-time, and, if so provided by C1, are provided upon the terms and conditions offered at that time by C1 in its sole discretion. C1 may provide updates and upgrades to the SOFTWARE for free or for any charge, at any time or never, and through its chosen manner of access and distribution, all in C1's sole and complete discretion.

C1 licenses certain of its separately-licensed products bundled together in a product suite, called the C1 "Studio" product line (the "Studio Products"). The exact separately-licensed products that are bundled into the Studio Products may change from time-to-time in C1's sole discretion. If the SOFTWARE is identified as a C1 "Studio" product, then the SOFTWARE is one of the Studio Products. The SOFTWARE and the Studio Products are revised from time-to-time (meaning, for example, revised with updates, upgrades and, in the case of Studio products, possibly changes to which specific products are included in the bundle). For you to be entitled to receive any such revisions to the SOFTWARE or the Studio Products, as the case may be, you must have a valid SOFTWARE license or a valid Studio subscription. The original purchaser of the SOFTWARE or of a Studio product receives a one-year subscription from the date of purchase of the SOFTWARE. After one year, the Studio subscription and/or the SOFTWARE license must be renewed to continue to be entitled to receive the SOFTWARE and/or the Studio Products revisions as the case may be.

6.

Serial Number. Within the packaging of the SOFTWARE, a unique serial number (the "Serial Number") is included, which allows for the registration of the SOFTWARE. The Serial Number is subject to the restrictions set forth in this EULA and may not be disclosed or distributed either with your Developed Software or in any other way. The disclosure or distribution of the Serial Number shall constitute a breach of this EULA, the effect of which shall be the automatic termination and revocation of all the rights granted herein.

7.

Evaluation Copy. If you are using an "evaluation copy" or similar version, specifically designated as such by C1 on its website or otherwise, then the Licenses are limited as follows: a) you are granted a license to use the SOFTWARE for a period of thirty (30) days counted from the day of installation (the "Evaluation Period"); b) upon completion of the Evaluation Period, you shall either i) delete the SOFTWARE from the computer containing the installation, or you may ii) contact C1 or one of its authorized dealers to purchase a license of the SOFTWARE, which is subject to the terms and limitations contained herein; and c) any Developed Software may not be distributed or used for any commercial purpose.

III. INTELLECTUAL PROPERTY.

1.

Copyright. You agree that all right, title, and interest in and to the SOFTWARE (including, but not limited to, any images, photographs, animations, video, audio, music, text, and “applets” incorporated into the SOFTWARE), and any copies of the SOFTWARE, and any copyrights and other intellectual properties therein or related thereto are owned exclusively by C1, except to the limited extent that C1 may be the rightful license holder of certain third-party technologies incorporated into the SOFTWARE. The SOFTWARE is protected by copyright laws and international treaty provisions. The SOFTWARE is licensed to you, not sold to you. C1 reserves all rights not otherwise expressly and specifically granted to you in this EULA.

2.

Backups. You may either: (a) copy the SOFTWARE solely for backup or archival purposes; or (b) install the SOFTWARE on a single computer, provided you keep the original solely for backup or archival purposes. Notwithstanding the foregoing, you may not copy the Documentation.

3.

General Limitations. You may not reverse engineer, decompile, or disassemble the SOFTWARE, except and only to the extent that applicable law expressly permits such activity notwithstanding this limitation.

4.

Software Transfers. You may not rent or lease the SOFTWARE. You may transfer the SOFTWARE to another computer, provided that it is completely removed from the computer from which it was transferred. You may permanently transfer all of your rights under the EULA, provided that you retain no copies, that you transfer all the SOFTWARE (including all component parts, the media and printed materials, any dates, upgrades, this EULA and, if applicable, the Certificate of Authenticity), and that the recipient agrees to the terms and conditions of this EULA as provided herein. If the SOFTWARE is an update or upgrade, any transfer must include all prior versions of the SOFTWARE.

5.

Termination. Without prejudice to any other rights it may have, C1 may terminate this EULA and the Licenses if you fail to comply with the terms and conditions contained herein. In such an event, you must destroy all copies of the SOFTWARE and all of its component parts.

6.

Export Restrictions. You acknowledge that the SOFTWARE is of U.S. origin. You acknowledge that the license and distribution of the SOFTWARE is subject to the export control laws and regulations of the United States of America, and any amendments thereof, which restrict exports and re-exports of software, technical data, and direct products of technical data, including services and Developed Software. You agree that you will not export or re-export the SOFTWARE or any Developed Software, or any information, documentation and/or printed materials related thereto, directly or indirectly, without first obtaining permission to do so as required from the United States of America Department of Commerce's Bureau of Export Administration ("BXA"), or other appropriate governmental agencies, to any countries, end-users, or for any end-uses that are restricted by U.S. export laws and regulations, and any amendments thereof, which include, but are not limited to, the following:

Restricted Countries: Restricted Countries currently include, but are not necessarily limited to Cuba, Iran, Iraq, Libya, Montenegro, North Korea, Serbia, Sudan, and Syria.

Restricted End-Users: Any End-User whom you know or have reason to know will use SOFTWARE or Developed Software in the design, development, or production of missiles and missile technology, nuclear weapons and weapons technology, or chemical and biological weapons. Any national of any of the Restricted Countries, wherever located, who intends to transmit or transport the SOFTWARE or Developed Software to one of the Restricted Countries.

Restricted End-Uses: Any use of SOFTWARE and Developed Software related to the design, development, or production of missiles and missile technology, nuclear weapons and weapons technology, or chemical and biological weapons.

These restrictions change from time to time. You represent and warrant that neither the BXA nor any other United States federal agency has suspended, revoked or denied your export privileges. C1 acknowledges that it shall use reasonable efforts to supply you with all reasonably necessary information regarding the SOFTWARE and its business to enable you to fully comply with the provisions of this Section. If you have any questions regarding your obligations under United States of America export regulations, you should contact the Bureau of Export Administration, United States Department of Commerce, Exporter Counseling Division, Washington DC. U.S.A. (202) 482-4811, http://www.bxa.doc.gov.

7.

U.S. Government Restricted Rights. The SOFTWARE and documentation are provided with RESTRICTED RIGHTS. For solicitations issued before December 1, 1995, by the United States of America, its agencies and/or instrumentalities (the "Government"), other than the Department of Defense, the use, duplication or disclosure of the software and documentation provided to the Government under this EULA shall be subject to the RESTRICTED RIGHTS as set forth in subparagraphs (c)(1) and (2) of the Commercial Computer Software - Restricted Rights clause at 48 CFR ch.1 52.227-19. For solicitations issued before September 29, 1995, by the Department of Defense, the use, duplication or disclosure of the software and documentation provided under this EULA shall be subject to the RESTRICTED RIGHTS as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at 48 CFR ch.2 252.227-7013. You will comply with any requirements of the Government to obtain such RESTRICTED RIGHTS protection, including without limitation, the placement of any restrictive legends on the SOFTWARE, and any license agreement used in connection with the distribution of the SOFTWARE. Manufacturer is ComponentOne, LLC, 4516 Henry Street, Suite 501, Pittsburgh, Pennsylvania 15213 USA. For solicitations issued by the Government on or after December 1, 1995 and the Department of Defense on or after September 29, 1995, the only rights provided in the software and documentation provided herein shall be those contained in this EULA. Under no circumstances shall C1 be obligated to comply with any Governmental requirements regarding the submission of or the request for exemption from submission of cost or pricing data or cost accounting requirements. For any distribution of the SOFTWARE that would require compliance by C1 with the Government's requirements relating to cost or pricing data or cost accounting requirements, you must obtain an appropriate waiver or exemption from such requirements for the benefit of C1 from the appropriate Government authority before the distribution and/or license of the SOFTWARE to the Government.

IV. WARRANTIES AND REMEDIES.

1.

Limited Warranty. C1 warrants that the original media, if any, are free from defects for ninety (90) days from the date of delivery of the SOFTWARE. EXCEPT AS OTHERWISE PROVIDED IN THE PRECEDING SENTENCE, AND TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, C1 EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE, DOCUMENTATION AND ANYTHING ELSE PROVIDED BY C1 HEREBY AND C1 PROVIDES THE SAME IN “AS IS” CONDITION WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE AND DOCUMENTATION REMAINS WITH YOU. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS WHICH VARY FROM STATE TO STATE.

2.

Limited Remedy. C1's entire liability and your exclusive remedy under this EULA shall be, at C1's sole option, either (a) return of the price paid for the SOFTWARE; (b) repair the SOFTWARE through updates distributed online or otherwise in C1's discretion; or (c) replace the SOFTWARE with its reasonable, provided that you return the SOFTWARE in the same manner as provided in Section I.2 for return of the SOFTWARE for non-acceptance of this EULA. Any media for any repaired or replacement SOFTWARE will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. THESE REMEDIES ARE NOT AVAILABLE OUTSIDE OF THE UNITED STATES OF AMERICA. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL C1 BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFIT, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE, EVEN IF C1 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. BECAUSE SOME STATES/JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES IN CERTAIN CASES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

V. MISCELLANEOUS.

1.

This is the Entire Agreement. This EULA (including any addendum or amendment to this EULA included with the SOFTWARE) is the final, complete and exclusive statement of the entire agreement between you and C1 relating to the SOFTWARE. This EULA supersedes any prior and contemporaneous proposals, purchase orders, advertisements, and all other communications in relation to the subject matter of this EULA, whether oral or written. No terms or conditions, other than those contained in this EULA, and no other understanding or agreement which in any way modifies these terms and conditions, shall be binding upon the parties unless entered into in writing executed between the parties, or by other non-oral manner of agreement whereby the parties objectively and definitively act in a manner to be bound (such as by continuing with an installation of the SOFTWARE, "clicking-through" a questionnaire, etc.) Employees, agents and other representatives of C1 are not permitted to orally modify this EULA.

2.

You Indemnify C1. You agree to indemnify, hold harmless, and defend C1 and its suppliers and resellers from and against any and all claims or lawsuits, including attorney's fees, that arise or result from this EULA.

3.

Interpretation of this EULA. If for any reason a court of competent jurisdiction finds any provision of this EULA, or any portion thereof, to be unenforceable, that provision of this EULA will be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this EULA will continue in full force and effect. Formatives of defined terms shall have the same meaning of the defined term. Failure by either party to enforce any provision of this EULA will not be deemed a waiver of future enforcement of that or any other provision. Except as otherwise required or superseded by law, this EULA is governed by the laws of the Commonwealth of Pennsylvania, without regard to its conflict of laws principles. The parties consent to the personal jurisdiction and venue of the Commonwealth of Pennsylvania, in the County of Allegheny, and agree that any legal proceedings arising out of this EULA shall be conducted solely in such Commonwealth. If the SOFTWARE was acquired outside the United States, then local law may apply.


Redistributable Files

Redistributable Files

ComponentOne Chart for .NET is developed and published by ComponentOne LLC. You may use it for development with Microsoft Visual Studio or any other programming environment. You may also distribute the following control files, royalty free, with any application you develop:

•

C1.Common.dll

•

C1.Win.C1Chart.dll

Groups of multiple developers may be interested in acquiring ComponentOne product site licenses. Please contact ComponentOne for details.


Technical Support

Technical Support

C1Chart for .Net is developed and supported by ComponentOne LLC, a company formed by the merger of APEX Software Corporation and VideoSoft. Technical support can be obtained using any of the following methods:


ComponentOne Web Site

ComponentOne Web Site

The ComponentOne Web site at www.componentone.com provides a wealth of information and software downloads for C1Chart users:

•

Descriptions of the various support options available through the ComponentOne Service Team.

•

Answers to frequently asked questions (FAQ's) about C1Chart, organized by functionality. Please consult the FAQ's before contacting us directly, as this can save time and also provide an introduction to other useful information pertaining to C1Chart.

•

Free product updates, which provide you with bug fixes and new features.


Internet E-mail

Internet E-mail

For technical support through the Internet, e-mail us at:

support.chart.net@componentone.com

To help us provide the best support, please include the following information when contacting ComponentOne:

•

Your ComponentOne product serial number.

•

The version and name of your operating system.

•

Your development environment and its version.

For more information on technical support, browse to:

www.componentone.com/support


Peer-to-Peer Newsgroup

Peer-to-Peer Newsgroup

ComponentOne also sponsors a peer-to-peer newsgroup for C1Chart users. ComponentOne does not offer formal technical support in this newsgroup, but instead sponsors it as a forum for users to post and answer each other's questions regarding C1Chart. However, ComponentOne may monitor the newsgroup to ensure accuracy of information and provide comments when necessary. You can access the newsgroup from the ComponentOne Web site at www.componentone.com/newsgroups.


Namespaces

Namespaces

Namespaces organize the objects defined in an assembly. Assemblies can contain multiple namespaces, which can in turn contain other namespaces. Namespaces prevent ambiguity and simplify references when using large groups of objects such as class libraries.

The general namespace for ComponentOne Windows products is C1.Win. The namespace for the C1Chart control is C1.Win.C1Chart. The following code fragment shows how to declare a C1Chart control using the fully qualified name for this class:

Dim chart As C1.Win.C1Chart.C1Chart

Namespaces address a problem sometimes known as namespace pollution, in which the developer of a class library is hampered by the use of similar names in another library. These conflicts with existing components are sometimes called name collisions.

For example, if a new class named ChartLabels is created, it can be used inside the project without qualification. However, the C1Chart assembly also implements a class called ChartLabels. So, if the C1Chart class will be used in the same project, a fully qualified reference must be used to make the reference unique. If the reference is not unique, Visual Studio .NET produces an error stating that the name is ambiguous.

Fully qualified names are object references that are prefixed with the name of the namespace where the object is defined. Objects defined in other projects can be used if a reference to the class is created (by choosing Add Reference from the Project menu) and then using the fully qualified name for the object in the code.

Fully qualified names prevent naming conflicts because the compiler can always determine which object is being used. However, the names themselves can get long and cumbersome. To get around this, use the Imports statement (import in C#) to define an alias — an abbreviated name used in place of a fully qualified name. For example, the following code snippet creates aliases for two fully qualified names, and uses these aliases to define two objects:

Imports MyGroup = C1.Win.C1Chart.ChartGroup
Dim Gp As MyGroup

If the Imports statement is used without an alias, use all the names in that namespace without qualification provided they are unique to the project.

As a warning, unless specified explicitly in the code, it is taken for granted that the

Imports C1.Win.C1Chart

statement has been specified. This applies only to small code samples. Tutorials and other longer samples will specify complete qualifiers.


Using the 2DChart

Using the 2DChart

Using the 2DChart covers the basics of 2D charting, creation of 2D charts, and modification of chart properties.

Chart Basics

Choosing the Chart Type

Understanding Data Layout

Creating 2D Charts

Chart Interaction


Chart Basics

Chart Basics


Chart Terminology

Chart Terminology

The following shows the terms used to describe chart elements.

Note: Pie charts contain the same elements except for the axes.


Choosing the Chart Type

Choosing the Chart Type

The 2D Chart can display data as one of ten basic chart types. More specialized chart types, such as Pareto charts and Gantt charts, can also be created using one of the basic ten types. In addition, many of the charts have the ability to change to other chart types independent of the properties, as long as the data requirements for both charts are equivalent. For example, the same data can be displayed as a XY-Plot and then later as a Bar chart.

The following topics explain each of the chart types in detail.

Line and XY-Plot Charts

Area Charts

Bar Charts

Pie Charts

Candle Charts

HiLo Charts

HiLoOpenClose Charts

Polar Charts

Radar Charts

Bubble Charts


Line and XY-Plot Charts

Line and XY-Plot Charts

Line and XY-Plot charts draw each series as connected points of data. By customizing Line and Symbol Styles for each series, the connecting lines can be removed to emphasize the data values themselves, or the points can be removed to emphasize the relationship between points. The series can be drawn independently or stacked. The line and symbol properties for each series can also be customized. For more information, see Setting Line and Symbol Styles for the Series.

Use the ChartGroup object’s Stacked property to create a stacking Plot chart. Stacking charts represent the data by stacking the values for each series on top of the values from the previous series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property toXYPlot. The Line Chart option is not available using this method.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as either Line or XY-Plot.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as either Line or XY-Plot.


Plot Chart Programming Considerations

Plot Chart Programming Considerations

The following Data Arrays are used for Line and XY-Plot charts. Each data series requires X and Y array values to be charted. Adding values to the other arrays will not affect this chart, but filling the arrays with data could make it easier to switch to another chart type that does use those arrays:

X | Holds the position on the X-axis.
Y | Holds the position on the Y-axis.
Y1 | No effect for Line and XY-Plot charts.
Y2 | No effect for Line and XY-Plot charts.
Y3 | No effect for Line and XY-Plot charts.


XYPlot Chart 3D Effects

XYPlot Chart 3D Effects

C1Chart's 3D effects can be used with XYPlot charts or stacking XYPlot charts to create the illusion of depth with each data series. Sometimes these charts are called ribbon charts. By using the depth, elevation, rotation and shading properties, you can enhance your area charts, making them stand out by creating visual depth as shown below.

To access the 3D view for an XYPlot chart, adjust the properties in the View3D object. The View3D object is a member of the PlotArea which in turn is a member of the ChartArea. By adjusting the View3D object properties, Depth, Elevation, Rotation and Shading you can customize the 3D view.

Note that the Depth property is the key to all 3D type chart logic. While the Elevation and Rotation properties modify the way a user views the chart, it is the Depth property that actually dictates whether a chart is 3D. By using a non zero value for the depth property and setting the elevation and rotation property values to zero, you have created a 3D chart even though nothing seems to have changed. In effect you are looking at the "front" surface of the chart which is visually represented in the same way as a standard area chart.

Note also, that there may be times when it is desirable to chart some data with a 3D view, and other data in the 2D plane. For these instances, adjust the Use3D property associated with each ChartGroup.


Area Charts

Area Charts

An Area chart draws each series as connected points of data, filled below the points. Each series is drawn “on top” of the preceding series. The series can be drawn independently or stacked. Using the LineStyle, the fill properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.

Use the ChartGroup object’s Stacked property to create a stacking Area chart. Stacking charts represent the data by stacking the values for each series on top of the values from the previous series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to Area.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as Area.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as Area.


Area Chart Programming Considerations

Area Chart Programming Considerations

The following Data Arrays are used for Area charts. Each data series requires X and Y array values to be charted. Adding values to the other arrays will not have an effect for this chart, but filling the arrays with data could make it easier to switch to another chart type that does use those arrays:

X | Holds the position on the X-axis.
Y | Holds the position on the X-axis.
Y1 | No effect for Area charts.
Y2 | No effect for Area charts.
Y3 | No effect for Area charts.


Area Chart 3D Effects

Area Chart 3D Effects

C1Chart's 3D effects can be used with area charts or stacking area charts to create the illusion of depth with each data series. By using the depth, elevation, rotation and shading properties, you can enhance your area charts, making them stand out by creating visual depth.

To access the 3D view for an area chart, adjust the properties in the View3D object. The View3D object is a member of the PlotArea which in turn is a member of the ChartArea. By adjusting the View3D object properties, Depth, Elevation, Rotation and Shading you can customize the 3D view.

Note that the Depth property is the key to all 3D type chart logic. While the Elevation and Rotation properties modify the way a user views the chart, it is the Depth property that actually dictates whether a chart is 3D. By using a non zero value for the depth property and setting the elevation and rotation property values to zero, you have created a 3D chart even though nothing seems to have changed. In effect you are looking at the "front" surface of the chart which is visually represented in the same way as a standard area chart.

Note also, that there may be times when it is desirable to chart some data with a 3D view, and other data in the 2D plane. For these instances, adjust the Use3D property associated with each ChartGroup.


Bar Charts

Bar Charts

A Bar chart draws each series as a bar in a cluster. The number of clusters is the number of points in the data. Each cluster displays the nth data point in each series. Using the LineStyle, the fill properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to Bar.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as Bar.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as Bar.

Bar Chart Programming Considerations

Stacking Bar Charts

Floating Bar Charts

Inverted Bar Charts

Special Bar Chart Properties

Bar Chart 3D Effects


Bar Chart Programming Considerations

Bar Chart Programming Considerations

The following Data Arrays are used for Bar charts. Each data series requires X and Y array values to be charted. Adding values to the other arrays will not have an effect for this chart, but filling the arrays with data could make it easier to switch to another chart type that does use those arrays:

X | Holds the position on the X-axis
Y | Holds the position on the Y-axis
Y1 | No effect for Bar charts.
Y2 | No effect for Bar charts.
Y3 | No effect for Bar charts.


Stacking Bar Charts

Stacking Bar Charts

A Stacking Bar chart draws each series as a portion of a stacked bar cluster, the number of clusters being the number of points in the data. Each bar displays the nth data point in each series. Using the LineStyle, the fill properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.


Floating Bar Charts

Floating Bar Charts

Each series in a Stacking Bar chart can be either hidden (where the series is charted as a blank set) or excluded (where the series is not considered part of the chart data). Use the Display property of the ChartDataSeries object to determine if each series in the chart is either shown, hidden, or excluded.

In the following examples, the second series is shown, hidden, and then excluded.

The Display property can be accessed at design-time in the SeriesList Collection Editor. This editor can be accessed by opening up the ChartGroupsCollection Editor, expanding the ChartData node, then clicking on the ellipsis next to the SeriesList property.


Inverted Bar Charts

Inverted Bar Charts

For more information, see Inverting and Reversing Chart Axes.


Special Bar Chart Properties

Special Bar Chart Properties

A Bar chart draws each series as a bar in a cluster. The sizing and spacing of the clusters for Bar and Stacking Bar charts can be customized.

Cluster Overlap

Use the bar ClusterOverlap property to set the amount that bars overlap each other in a cluster. The value represents the percentage of bar overlap, with valid values between 0 and 100.

Cluster Width

Use the bar ClusterWidth property to set the space used by each bar cluster. The value represents the percentage available space, with valid values between 0 and 100.

The ClusterWidthand ClusterOverlap properties are properties of the Bar class and can be accessed at design-time under the Bar node in the ChartGroupsCollection Editor.


Bar Chart 3D Effects

Bar Chart 3D Effects

C1Chart's 3D effects can be used with bar charts or stacking bar charts to create the illusion of depth with each data series. By using the depth, elevation, rotation and shading properties, you can enhance your area charts, making them stand out by creating visual depth as shown below.

To access the 3D view for a bar chart, adjust the properties in the View3D object. The View3D object is a member of the PlotArea which in turn is a member of the ChartArea. By adjusting the View3D object properties, Depth, Elevation, Rotation and Shading you can customize the 3D view.

Note that the Depth property is the key to all 3D type chart logic. While the Elevation and Rotation properties modify the way a user views the chart, it is the Depth property that actually dictates whether a chart is 3D. By using a non zero value for the depth property and setting the elevation and rotation property values to zero, you have created a 3D chart even though nothing seems to have changed. In effect you are looking at the "front" surface of the chart which is visually represented in the same way as a standard area chart.

Note also, that there may be times when it is desirable to chart some data with a 3D view, and other data in the 2D plane. For these instances, adjust the Use3D property associated with each ChartGroup.


Pie Charts

Pie Charts

A Pie chart draws each series as a slice in a pie. The number of pies is the number of points in the data. Each pie displays the nth data point in each series. Using the LineStyle, the fill properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to Pie.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as Pie.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as Pie.


Pie Chart Programming Considerations

Pie Chart Programming Considerations

The following Data Arrays are used for Pie charts. Each data series requires X and Y array values to be charted. Adding values to the other arrays will not affect this chart, but filling the arrays with data could make it easier to switch to another chart type that does use those arrays:

X | Holds 0-based slice index for Pie chart.
Y | Holds pie slice value indicated by the X value.
Y1 | No effect for Pie charts.
Y2 | No effect for Pie charts.
Y3 | No effect for Pie charts.

Note:

Entering data in more than one series will display multiple Pie charts within one ChartGroup.


Special Pie Chart Properties

Special Pie Chart Properties

Pie charts are quite different from the other chart types since they do not follow the concept of a two-dimensional grid or axes. Altering the diameter of the pie or the properties of the exploding slices can be accomplished with the properties of the Pie class.

Starting Angle

Use the Start property to specify the angle at which the slices for the first series start. The default angle is 0 degrees. The angle represents the arc between the most clockwise edge of the first slice and the right horizontal radius of the pie, as measured in the counter-clockwise direction (see image below). Start is a property of the Pie class and can be accessed at design-time through the Pie node of the ChartGroupsCollection editor.

Exploding Pies

A slice of a Pie chart can be emphasized by exploding it, which extrudes the slice from the rest of the pie. Use the Offset property of the series to set the exploded slice’s offset from the center of the pie. The offset is measured as a percentage of the radius of the pie.

Exploding slices can be set programmatically, and can be set for the series only:

'Sets the offset for the first series to 10% of the pie’s radius.

C1Chart1.ChartGroups.ChartGroupsCollection(0).ChartData._

SeriesList(0).Offset = 10

'Resets the exploded slices.

C1Chart1.ChartGroups.ChartGroupsCollection(0).ChartData._

SeriesList(0).Offset = 0


Pie Chart 3D Effects

Pie Chart 3D Effects

C1Chart's 3D effects can be used with pie charts to create the illusion of depth with each data series. By using the depth, elevation, rotation and shading properties, you can enhance your area charts, making them stand out by creating visual depth as shown below.

To access the 3D view for a pie chart, adjust the properties in the View3D object. The View3D object is a member of the PlotArea which in turn is a member of the ChartArea. By adjusting the View3D object properties, Depth, Elevation, Rotation and Shading you can customize the 3D view.

Note that the Depth property is the key to all 3D type chart logic. While the Elevation and Rotation properties modify the way a user views the chart, it is the Depth property that actually dictates whether a chart is 3D. By using a non zero value for the depth property and setting the elevation and rotation property values to zero, you have created a 3D chart even though nothing seems to have changed. In effect you are looking at the "front" surface of the chart which is visually represented in the same way as a standard area chart.

Note also, that there may be times when it is desirable to chart some data with a 3D view, and other data in the 2D plane. For these instances, adjust the Use3D property associated with each ChartGroup.


Candle Charts

Candle Charts

Candle, HiLo, HiLoOpenClose charts are all types of Stock charts used in financial applications to show the opening, closing, high and low prices of a given stock.

A Candle chart is a special type of HiLoOpenClose chart. The "candle" (the solid bar between the opening and closing values) represents the change in stock price from opening to closing. With Simple Candle charts, a hollow candle indicates a rising stock price (close was higher than open), and a filled candle indicates a falling stock price (open was higher than close). With Complex Candle charts, the SymbolStyle color represents a rising stock price, and the LineStyle represents a falling stock price.

Using the LineStyle and SymbolStyle properties and the HiLoData class, the fill and line properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to Candle.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as Stock and Chart sub-type as Candle.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as Stock and Chart sub-type as Candle.


Candle Chart Programming Considerations

Candle Chart Programming Considerations

The following Data Arrays are used for Candle charts. Each data series requires the use of the X array and four Y array values including Y, Y1, Y2, and Y3 to be charted.

X | Holds the position on the X-axis.
Y | Holds the high value for the Candle chart.
Y1 | Holds the low value for the Candle chart.
Y2 | Holds the open value for the Candle chart.
Y3 | Holds the close value for the Candle chart.


HiLo Charts

HiLo Charts

A HiLo chart combines two independent values to supply high and low data for each point in a series. HiLo charts are used primarily in financial applications to show the high and low price for a given stock. The elements of the Y and Y1 arrays in each series of a HiLo chart represent the "high" value, and the "low" value.

Using the LineStyle, the fill and line properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to HiLo.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as Stock and Chart sub-type as Hi-low.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as Stock and Chart sub-type as Hi-low.


HiLo Chart Programming Considerations

HiLo Chart Programming Considerations

The following Data Arrays are used for HiLo charts. Each data series requires the use of the X array and two Y array values including Y and Y1 to be charted. Adding values to the other arrays will not affect this chart, but filling the arrays with data could make it easier to switch to another chart type that does use those arrays:

X | Holds the position on the X-axis.
Y | Holds the high value for the chart.
Y1 | Holds the low value for the chart.
Y2 | Not in effect for HiLo charts.
Y3 | Not in effect for HiLo charts.


HiLoOpenClose Charts

HiLoOpenClose Charts

HiLoOpenClose charts are similar to HiLo charts except that they combine four independent values to supply high, low, open and close data for a point in a series. In addition to showing the high and low value of a stock, the Y2 and Y3 array elements represent the stock's opening and closing price, respectively.

Using the LineStyle, the fill and line properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to HiLoOpenClose.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as Stock and Chart sub-type as Hi-low-open-close.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as Stock and Chart sub-type as Hi-low-open-close.


HiLoOpenClose Chart Programming Considerations

HiLoOpenClose Chart Programming Considerations

The following Data Arrays are used for HiLoOpenClose charts. Each data series requires four Y array values including Y, Y1, Y2, and Y3 to be charted.

X | Holds the position on the X-axis.
Y | Holds the high value for the chart.
Y1 | Holds the low value for the chart.
Y2 | Holds the open value for the chart.
Y3 | Holds the close value for the chart.


Special HiLoOpenClose Chart Properties

Special HiLoOpenClose Chart Properties

The developer can specify how the open and close tick marks are displayed on the chart.

To Display Open and Close Ticks:

Use the ShowOpen, ShowClose and FullWidth properties to determine how the open and close tick marks are displayed. Enable ShowOpen to display the open tick marks and enable ShowClose to display the close tick marks. Enable FullWidth to draw the open and close tick marks on both sides of the vertical range.


Polar Charts

Polar Charts

A Polar chart draws the x and y coordinates in each series as (theta,r), where theta is amount of rotation from the origin and r is the distance from the origin. theta may be specified in either degrees (default) or radians. Since the X-axis is a circle, the X-axis maximum and minimum values are fixed. The series can be drawn independently, or stacked.

Using the LineStyle and SymbolStyle, the line and symbol properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.

Use the ChartGroup object’s Stacked property to create a stacking Polar chart. Stacking charts represent the data by stacking the values for each series on top of the values from the previous series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to Polar.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as Polar/Radar.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as Polar/Radar.


Polar Chart Programming Considerations

Polar Chart Programming Considerations

The following Data Arrays are used for Polar charts. Each data series requires X and Y array values to be charted. Adding values to the other arrays will not affect this chart, but filling the arrays with data could make it easier to switch to another chart type that does use those arrays:

X | Holds the X-axis position in either radians or degrees.
Y | Holds the position on the Y-axis.
Y1 | No effect for Polar charts.
Y2 | No effect for Polar charts.
Y3 | No effect for Polar charts.


Special Polar Chart Properties

Special Polar Chart Properties

The properties below can be accessed at design-time through the Polar node in the ChartGroupsCollection Editor.

Charting Degrees or Radians

The Degrees property of the Polar class sets whether the X data values for polar charts reflect angles in degrees (True) or radians (False). The Degrees property can be accessed at design-time through the Polar node of the ChartGroups Collection Editor.

If Degrees is set to False and the chart reflects Radian values, then C1Chart provides the option of having the chart annotated with ratios of Pi rather than radians. Setting the PiRatioAnnotations property of the Polar class to True will annotate the X values in ratios of Pi.

Setting the Starting Angle

The Start property of the Polar class sets the starting angle for Polar charts. The default setting for this property is 0. Setting this property to a value other than 0 will move the origin of the chart counter-clockwise by the specified amount. For instance, setting the Start property to 90 rotates the Polar chart 90 degrees in the counter-clockwise direction.


Radar Charts

Radar Charts

A Radar chart draws the y value in each data set along a radar line (the x value is ignored except for labels). If the data has n unique points, then the chart plane is divided into n equal angle segments, and a radar line is drawn (representing each point) at n/360 degree increments. By default, the radar line representing the first point is drawn vertically (at 90 degrees). The series can be drawn independently or stacked.

Using the LineStyle and SymbolStyle, the line and symbol properties of each series can be customized. For more information, see Setting Line and Symbol Styles for the Series.

Use the ChartGroup object’s Stacked property to create a stacking Radar chart. Stacking charts represent the data by stacking the values for each series on top of the values from the previous series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to Radar.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as Polar/Radar.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as Polar/Radar.


Radar Chart Programming Considerations

Radar Chart Programming Considerations

The following Data Arrays are used for Radar charts. Each data series requires only a Y array value to be charted. Adding values to the other arrays will not affect this chart, but filling the arrays with data could make it easier to switch to another chart type that does use those arrays:

X | Ignored except for labels.
Y | Holds the Y-axis data values for the Radar chart. The number of points in the Y Data Array determines the amount of radar lines in the chart.
Y1 | No effect for Radar charts.
Y2 | No effect for Radar charts.
Y3 | No effect for Radar charts.


Special Radar Chart Properties

Special Radar Chart Properties

The properties below are available under the Radar node in the ChartGroupsCollection Editor.

Charting Degrees or Radians

The Degrees property of the Radar class sets whether the Start property value for radar charts reflects angles in degrees (True) or radians (False). The Degrees property can be accessed at design-time through the Radar node of the ChartGroups Collection Editor.

Setting the Starting Angle

The Start property of the Radar class sets the starting angle for radar charts. The default setting for this property is 0. Setting this property to a value other than 0 will move the origin of the chart counter-clockwise by the specified degrees. For instance, setting the Start property to 90, the Radar chart rotates 90 degrees in the counter-clockwise direction.

Filled Radar Charts

A Filled Radar chart draws the y value in each series along a radar line (the x value is ignored except for labels). If the data has n unique points, the chart plane is divided into n equal angle segments, and a radar line is drawn (representing each point) at n/360 degree increments. Each series is drawn "on top" of the preceding series. The series can be drawn independently or stacked. Filled Radar charts are the same as Radar charts, except that the area between the origin and the points is filled and symbols are not present. To create a Filled Radar chart, set the Filled property of the Radar class to True.


Bubble Charts

Bubble Charts

A Bubble chart combines two independent values to supply both the point y value and the point sizes. Bubble charts are used to represent an additional data value at each point by changing its size. The Y array elements determine the Cartesian position (as in a XY-Plot chart), and the Y1 element values determine the size of the bubble at each point. The size of the points can be encoded according to area or diameter. Using the LineStyle and SymbolStyle properties, the symbol style and color, and the appearance of connecting lines appear can be specified. For more information, see Setting Line and Symbol Styles for the Series.

To Change the Chart Type

•

Expand the ChartGroups node in the .Net Properties Window. Open the ChartGroups Collection Editor by clicking the ellipsis button. In the right pane of the Editor, set the ChartType property to Bubble.

•

An alternate method to change chart type is to right-click the existing chart and select Chart Properties. From the Gallery, select Chart type as XY-Plot and Chart sub-type as Bubble.

•

Another alternate method is to select Chart Properties from the Properties pane. From the Gallery, select Chart type as XY-Plot and Chart sub-type as Bubble.


Bubble Chart Programming Considerations

Bubble Chart Programming Considerations

The following Data Arrays are used for Bubble charts. Each data series requires X, Y, and Y1 array values to be charted. Adding values to the other arrays will not affect this chart, but filling the arrays with data could make it easier to switch to another chart type that does use those arrays:

X | Holds the position of the bubble relative the X-axis.
Y | Holds the position of the bubble relative to the Y-axis.
Y1 | Holds the relative size of the bubble.
Y2 | No effect for Bubble charts.
Y3 | No effect for Bubble charts.


Special Bubble Chart Properties

Special Bubble Chart Properties

A Bubble chart combines two series to draw a plot chart with varying point sizes. The encoding method for the size of the bubbles, as well as their minimum and maximum size can be specified.

Encoding Method

Use the EncodingMethod property to set whether to size the bubbles according to diameter or area. When specifying the size of the bubble, both the diameter and area are measured as a percentage of the total diameter or area of the PlotArea. Inverting these values (making the Minimum value larger than the Maximum) draws large bubbles for small values, and small bubbles for large values.

The EncodingMethod is a property of the Bubble object and can be accessed through the Bubble node in the ChartGroupsCollection Editor.

Maximum and Minimum Size

The maximum and minimum allowable size for bubbles can be set using the MaximumSize and MinimumSize properties respectively. These are properties of the Bubble object and can be accessed through the Bubble node in the ChartGroups Collection Editor as well.


Understanding Data Layout

Understanding Data Layout

The 2D Chart displays data supplied in a General Layout. Data gets loaded into the six ChartDataArray objects, which take a type Object. Data can be loaded from pre-filled arrays or can be entered in at design-time.


General Layout of C1Chart

General Layout of C1Chart

A General layout is used with every chart type. It contains an X and Y array, along with Y1, Y2, Y3, and Y4 arrays. All of these arrays can take data or can be null. For instance, to plot an XY chart with only one series, only the X and Y arrays would contain data. The other Y arrays would remain empty. In addition, unlike an array layout, each series can have a different number of points, and does not have to have matching X values which allows for charting as in the image below.

For convenience, a PointData property (an array of PointF structures) can also be used to supply X and Y data. The PointF values are not independent of the X and Y arrays, merely another form of data input and output. Changing values in the PointData property changes the X and Y arrays and vice versa.

The important General layout characteristics illustrated above are:

•

The points in each series have their own X- and Y-values.

•

Each series can contain a different number of points.


Using Chart Wizard and Chart Properties

Using Chart Wizard and Chart Properties

The Chart Wizard and Chart Properties provide an easy and interactive way to create and modify chart properties.

To access Chart Wizard or Chart Properties in design time:

•

Right-click on the C1Chart control. Select Chart Wizard from context menu.

•

Right-click on the C1Chart control. Select Chart Properties from context menu.


Step1. Gallery

Step1. Gallery

The Gallery provides seven main Chart types and multiple Chart sub-types for selection.

If Line is selected as Chart type, four sub-types are available.

If XY-Plot is selected as Chart type, seven sub-types are available. Choose sub-type 6 or sub-type 7 if a Bubble Chart is desired.

If Bar is selected as Chart type, four sub-types are available.

If Area is selected as Chart type, two sub-types are available.

If Pie is selected as Chart type, two sub-types are available.

If Stock is selected as Chart type, three sub-types are available. Choose sub-type 1 for a HiLo Chart, sub-type 2 for a HiLoOpenClose Chart, or sub-type 3 for a Candle Chart.

If Polar/Radar is selected as Chart type, six sub-types are available. Choose sub-type 1, sub-type 2, or sub-type 3 for a Polar Chart. Choose sub-type 4, sub-type 5, or sub-type 6 for a Radar Chart.


Step2. Data

Step2. Data

Select Data to enter or modify data. For more information, see Customizing Chart Elements.


Step3. View

Step3. View

View allows modification of the appearance of the chart.

Selecting Text provides settings to modify the placement of the Header, Footer, and Legend, as well as whether that feature is visible or hidden. See Positioning Chart Elements for more information.

Selecting Style provides settings to modify appearance of the Header, Footer, and Legend. See Customizing Chart Elements for more information.


Creating 2D Charts

Creating 2D Charts

Axes Overview

Changing Axis Appearance

Data

The ChartGroup Object

Entering and Modifying Data

Loading and Saving Charts, Data, and Images

Showing or Excluding a Series

Excluding a Series from the Legend

Charting Irregular Data

Customizing Chart Elements

Formatting the Legend

Setting Line and Symbol Styles for the Series

Setting Line FitType

Using Borders

Choosing Fonts

Setting Colors

Positioning Chart Elements

Labels and Zones

Alarm Zones

For Advanced Users


Axes Overview

Axes Overview

Axis Annotation

Values Annotation

ValueLabels Annotation

Positioning Axis Annotation

Axis Ticks and Ticking Increments

Setting Axis Bounds

Titling Axes and Rotating Axis Elements

Logarithmic Axes

Inverting and Reversing Chart Axes

Adding a Second Y-Axis


Axis Annotation

Axis Annotation

The annotation along each axis is an important part of any chart. The 2D chart annotates the axes with numbers based on the data entered into the ChartDataArray objects.

The chart automatically produces the most natural annotation possible, even as chart data changes. Annotation properties can be modified to perfect this process.


Values Annotation

Values Annotation

Values Annotation is an implementation where the chart automatically generates numeric annotation based on the data itself. Values Annotation can be used for any axis, with any chart type, and with any data layout. It is controlled by the following properties of the axis:

AnnoFormat

Gets or sets the axis annotation format.

AnnoFormatString

Gets or set the annotation format string used with manual formats.

Setting the AnnoFormat property to one of the FormatEnum values will format the data entered into the array data into one of .Net’s twenty-two formats. Setting AnnoFormat to either FormatEnum.NumericManual or FormatEnum.DateManual allows a format string to be entered into the AnnoFormatString property. Manual format strings are designated in the .Net framework and below are links to more information:

Custom Date and Time format strings

ms-help://MS.MSDNVS/cpguide/html/cpcondatetimeformatstrings.htm

Custom Numeric format strings

ms-help://MS.MSDNVS/cpguide/html/cpconcustomnumericformatstrings.htm

If AnnoFormat is set to FormatEnum.NumericManual and AnnoFormatString is empty, then the numeric values are formatted the same as FormatEnum.NumericGeneral.

If AnnoFormat is set to FormatEnum.DateManual and AnnoFormatString is empty, then the date and time values are formatted as appropriate for the timespan of the axis as define by the axis maximum and minimum values.


ValueLabels Annotation

ValueLabels Annotation

A very flexible type of annotation, ValueLabels displays text defined at a specific axis coordinate. This annotation is useful in labeling only specific coordinates or when producing annotation in a form that the chart does not provide. ValueLabels annotation can be used for any axis, with any chart type, and with any data layout, with the exception of Pie charts.

If the AnnoMethod property is set to AnnotationMethod.ValueLabels the chart places labels at explicit locations along an axis. The ValueLabels property, which is a ValueLabels collection, supplies this list of strings and their locations. For example, the following code sets chart labels at the locations 1, 2 and 3:

With C1Chart1.ChartArea.AxisX.ValueLabels

.Add(1, "one")

.Add(2, "two")

.Add(3, "three")

End With

C1Chart1.ChartArea.AxisX.AnnoMethod = AnnotationMethodEnum.ValueLabels

ValueLabels can also be modified at design-time through the ValueLabel Collection Editor. To access the editor expand the X, Y, or Y2-axis node under the ChartArea property, then click on the ellipsis next to the ValueLabels property.

Individual members of the ValueLabels collection can be accessed in one of three ways. By typing in the ValueLabel index (0-based), by referencing the ValueLabel value to be replaced, or by referencing the ValueLabel text value. For instance, the following three lines of code all set the first member of the ValueLabels collection that has a Value of 1 to the text “one”:

C1Chart1.ChartArea.AxisX.ValueLabels(0).Text = "one"

C1Chart1.ChartArea.AxisX.ValueLabels(1).Text = "one"

C1Chart1.ChartArea.AxisX.ValueLabels("one").Text = "one"


Positioning Axis Annotation

Positioning Axis Annotation

Axis annotation typically appears beside its axis. This may be a problem on charts with an origin that is not at the axis minimum or maximum. The chart can automatically determine where to place annotation in different situations, depending on the chart type. The Compass property can also specify annotation placement for an axis. The Compass value for the X-axis can be set to either North or South, while the value for a Y-axis can be set to either East or West. By default, the X-axis is set to South and the Y-axis is set to West.


Axis Ticks and Ticking Increments

Axis Ticks and Ticking Increments

The chart automatically sets up the axis with both major and minor ticks. Customizing the tickspacing or attributes is as easy as manipulating a set of properties.

The TickMajor and TickMinor properties set the state of the Axis’ tick marks. This property can be set to any of the TickMarksEnum values. These values set where and if the tick marks will be displayed:

TickMarksEnum.None | No tick marks along axis.
TickMarksEnum.Cross | Tick marks cross over axis.
TickMarksEnum.Outside | Tick marks located outside chart area on axis.
TickMarksEnum.Inside | Tick marks located inside chart area on axis.

The AutoMajor and AutoMinor properties set whether the tick marks are to be automatically configured by the chart. When both these properties are set to true, the chart uses the current data to logically place the major and minor tick marks.

The UnitMajor and UnitMinor properties set the units by which the ticks will be spaced. When the UnitMajor property is set, the UnitMinor property is automatically set by the chart to half the UnitMajor value. Although the chart automatically sets the UnitMinor property, it also can be manually changed to a different value.


Setting Axis Bounds

Setting Axis Bounds

Normally a graph displays all of the data it contains. However, a specific part of the chart can be displayed by fixing the axis bounds.

The chart determines the extent of each axis by considering the lowest and highest data value and the numbering increment. Setting the Min, Max, AutoMin, and AutoMax properties allows the customization of this process.

Axis Min and Max

Use the Min and Max properties to frame a chart at specific axis values. If the chart has X-axis values ranging from 0 to 100, then setting Min to 0 and Max to 10 will only display the values up to 10.

The chart can also calculate the Min and Max values automatically. If the AutoMax and AutoMin properties are set to True then the chart automatically formats the axis numbering to fit the current data set.

Note:

The X-axis cannot be set for Polar charts.


Titling Axes and Rotating Axis Elements

Titling Axes and Rotating Axis Elements

Adding a title to an axis clarifies what is charted along that axis. Axis titles can be added to Area, XY-Plot, Bar, HiLo, HiLoOpenClose or Candle charts. The title or the annotation along the axis can also be rotated, as shown below.

Adding an Axis Title

Use the axis Text property to add a title to an axis. To remove the title, delete the text. The Text property is located on the ChartAxes Collection Editor.

Note: An axis title for the Y axis cannot be added to Polar, Radar or Filled Radar charts.

Rotating Axis Title

Use the axis Rotation property to rotate the axis title to either 90, 180, or 270 degrees. 90 and 270-degree rotations are most efficient for vertical axes.

Rotating Axis Annotation

Use the axis AnnotationRotation property to rotate the axis annotation counterclockwise the specified number of degrees. This property is especially useful if the X-axis is crowded with annotation. Rotating the annotations +/- 30 – 60 degrees allows a much larger number of annotations in a confined space on horizontal axes.


Logarithmic Axes

Logarithmic Axes

When data is expected to vary exponentially, it is often convenient to use logarithmic scaling on one or more axes. Each axis can be set to scale logarithmically by setting the axis IsLogarithmic property to true.


Inverting and Reversing Chart Axes

Inverting and Reversing Chart Axes

When a data set contains X or Y values which span a large range, sometimes the normal chart setup does not display the information most effectively. Formatting a chart with a vertical Y-axis and axis annotation that begins at the minimum value can sometimes be more visually appealing if the chart could be inverted or the axes reversed. Therefore, C1Chart provides the Inverted property of the ChartArea and the Reversed property of the axis.

Setting the Inverted property of the ChartArea to true will invert the axes. This means that the X-axis will take the place of the Y-axis, and the Y-axis will take the place of the X-axis. Initially the chart is setup with the X-axis displayed horizontally and the Y-axis displayed vertically. This feature is quite popular with developers who use Bar Charts. There is no special ChartType for Inverted Bar Charts. An Inverted Bar Chart is a standard Bar chart with the Inverted property set to True.

Setting the Reversed property of the ChartArea to true will reverse the axes. This means that the Max side of the axis will take the place of the Min side of the axis, and the Min side of the axis will take the place of the Max side of the axis. Initially, the chart displays the Minimum value on the left side of the X-axis, and on the bottom side of the Y-axis. Setting the Reversed property of the Axis, however will juxtapose these Maximum and Minimum values.


Adding a Second Y-Axis

Adding a Second Y-Axis

When data is added to the second chart group (Group2), the Y2-axis will appear. The data in the Y2-axis determines the maximum and minimum values of the axis in the same way that ChartGroup(0) data determines the maximum and minimum values of the Y-axis. Manual settings can be used to force alignment between axes.


Changing Axis Appearance

Changing Axis Appearance

Alignment

The Alignment property can be set to three different settings: Center, Near, and Far. Setting the alignment to center centers the axis title in comparison to the ChartArea. Setting the alignment to Near places the axis title to the left side of the Chart Area. Setting the alignment to Far places the axis title to the right side of the Chart Area.

Font

The Font size and style for the axis title can be changed by manipulating the Font object of the axis. To access the font properties at design-time click on the ellipsis next to the Font node or expand the Font node under the axis object in the Visual Studio Properties Window. To change the font properties in code manipulate the font object at run-time:

Dim f As Font = New Font("Arial", 8, FontStyle.Bold)
C1Chart1.ChartArea.AxisX().Font = f

ForeColor

The ForeColor property changes the color of the axis line, tick marks, and title. To change the axis forecolor set the ForeColor property to a valid color in code, or the property can also be accessed at design-time under the Axis object in the Visual Studio Properties Window.

OnTop

The OnTop property specifies whether the axis grid lines and tick marks are drawn over the chart image or behind it. Setting this property to true will bring the grid lines and the tick marks to the foreground over the chart image, while setting it to false will bring the chart image to the foreground.


Data

Data

Also, see Understanding Data Layout.


Data Objects Organization

Data Objects Organization

The C1Chart has a specific hierarchy of data related classes, collections, and properties. This section details each data object individually and provides information on how to access, modify, and create the data for the chart.


The ChartGroup Object

The ChartGroup Object

Data in a chart is organized into ChartGroups. Each chart contains two ChartGroups (although most charts will only use the first ChartGroup), each of which is treated as a separate entity. ChartGroups allow more than one chart to be displayed in the ChartArea and provide access to many of the chart-specific properties.

In C1Chart, a chart group is represented by a ChartGroup object. The ChartGroup objects are organized into the ChartGroupsCollection which is accessed through the ChartGroups object. This collection provides access to the ChartGroups through two methods. First the individual chart groups can be accessed through the collection:

C1Chart1.ChartGroups.ChartGroupsCollection(0).ChartType =_

Chart2DTypeEnum.XYPlot

Secondly, the Group0 and Group1 properties of the ChartGroups object return the associated ChartGroup and allow circumvention of the long collection name:

C1Chart1.ChartGroups.Group1.ChartType = Chart2DTypeEnum.XYPlot

Note:

The ChartGroupsCollection accepts usual iteration methods as illustrated below:

Dim cg As ChartGroup
For Each cg In C1Chart1.ChartGroups.ChartGroupsCollection

cg.ChartType = Chart2DTypeEnum.XYPlot

Next


The ChartData Object

The ChartData Object

The ChartGroup object also contains the ChartData object. This object contains the Hole property and the SeriesList collection and essentially provides access to all of the data-related objects and properties of the chart:

C1Chart1.ChartGroups.ChartGroupsCollection(0).ChartData

The SeriesList collection is a collection of ChartDataSeries objects. ChartDataSeries objects contain all of the series and data for the chart. Series objects contain the ChartDataArray objects which in turn hold the chart’s data.

The ChartData object also provides access to the Hole property. Data Holes are breaks in the continuity of the data set.


The ChartDataSeries Object

The ChartDataSeries Object

One of the more important objects in C1Chart is the ChartDataSeries. The data series contains all of the data to be included in the chart and many important data-related properties.

ChartDataSeries is contained in the SeriesList collection of the ChartData object which is an object of the ChartGroup:

C1Chart1.ChartGroups.ChartGroupsCollection(0).ChartData._

SeriesList(0)

The series object is crucial for data and data access for two reasons. First, the number of series in the SeriesList collection of the ChartData object determines the number of data series to be displayed in the chart. If five sets of plots in an X-Y chart are desired, then there should be five series in the SeriesList. Secondly, the number of values specified in the X, Y, and Y1, Y2, Y3 ChartDataArray objects within the series determine how many points that series will have and how it will be charted. If the chart has ten values in both the X and Y array objects for Series 0, and 5 values in both the X and Y arrays for Series 1, then the first series will have ten points and the second series will have five.

Note:

The number of points in a series is the number of elements of the longest data array object applicable to the series. For example, an XY-Plot uses X and Y arrays. If X has five elements and Y has three elements, then the number of points is five, and the last two elements of Y are assumed to be data holes. Even if the Y1 array has ten elements, the number of points is five because an XY-Plot does not use the Y1 array. However, if the chart type is changed to HiLo, then X, Y and Y1 are all used and so the number of points would be ten, and both the X and Y arrays would be assumed to contain data holes in the missing elements.


The ChartDataArray Object

The ChartDataArray Object

Each series contains six ChartDataArray objects. The X, Y, Y1, Y2, Y3 data array objects hold arrays of data corresponding to the X, Y, Y1, Y2, and Y3-axes. The sixth data array object is the PointData object. This object accepts an array of PointF or Point values and is intended to be used as an alternative to the X, Y, Y1, Y2, Y3 data array objects.

Each ChartDataArray is a read-only object that can only be modified through two methods. The CopyDataIn and CopyDataOut methods of the ChartDataArray copy arrays of data into these objects and return arrays of data from these objects.

The X, Y, Y1, Y2, Y3 data array objects accept Object data types. This allows a variety of .Net array types to be entered into the ChartDataArray objects (except for PointData).


Entering and Modifying Data

Entering and Modifying Data

Under the ChartDataSeries object, the six ChartDataArray objects hold the arrays of data that the chart is drawn from. The X, Y, Y1, Y2, and Y3 data array objects hold and return the data arrays for the X and Y-axes, while the PointData data array object holds and returns PointF and Point objects for the X and Y-axes.


Setting and Retrieving Data

Setting and Retrieving Data

CopyDataIn Method

In C1Chart, the X, Y, Y1, Y2, and Y3 data array objects accept Object data types. Therefore, a variety of .Net type arrays may be entered into the ChartDataArray objects (except for PointData). The CopyDataIn method of the ChartDataArray takes an Object data type (which can be an array of various types) and loads it into the data array. A good implementation would be to maintain a set of arrays for the data series and before the chart is to be drawn and update the C1Chart’s data array objects with the arrays of values. This allows full control over the data and provides control over batching the data values. The following shows a brief example of how the arrays can be built and set to the chart’s data array objects:

Dim xp(9) As Single

Dim yp(9) As Single

Dim i As Integer

For i = 0 To 9

xp(i) = i

yp(i) = i * i

Next i

With C1Chart1.ChartGroups.ChartGroupsCollection(0).ChartData.SeriesList(0)

.X.CopyDataIn(xp)

.Y.CopyDataIn(yp)

End With

CopyDataOut Method

While the CopyDataIn method loads the array data into the ChartDataArray objects, the CopyDataOut method extracts data from the array objects. This method returns an Object data type which contains the data array.

Dim xpo As Object

With C1Chart1.ChartGroups.ChartGroupsCollection(0).ChartData._

SeriesList(0)

xpo = .X.CopyDataOut()

End With

To prevent having to then convert this Object to an array of the correct data type, the CopyDataOut method can also accept a parameter of System.Type, which causes it to then produce an array of the specified type. Because the actual data type is required for the parameter, the code must also include the GetType() function (typeof() in C#) to deliver the correct type. In the following example, the arrays are returned from the chart’s ChartDataArray objects with the CopyDataOut method, but as data arrays of type Single:

Dim xpo As Single()

Dim ypo As Single()

With C1Chart1.ChartGroups.ChartGroupsCollection(0).ChartData._

SeriesList(0)

xpo = .X.CopyDataOut(GetType(Single()))

ypo = .Y.CopyDataOut(GetType(Single()))

End With

C# Note:

For C# users, the CopyDataOut implementation is slightly different. In C# array data types cannot be set to variables of type Object. The array can be set to the Object if the Object is explicitly cast to the correct data type.

Float[] xpo;

xpo = (float[])C1Chart1.ChartGroups.ChartGroupsCollection(0)_

.ChartData.SeriesList(0).X.CopyDataOut(typeof(float[]));


Setting or retrieving Individual Array Elements

Setting or retrieving Individual Array Elements

The method of altering individual data elements in the data arrays involves the ChartDataSeries and the ChartDataArray objects.

Design-Time

Setting individual values through the .Net Properties Window is made quite easy by the ChartDataArray Collection Editor. Data array editors exist for the X, Y, Y1, Y2, Y3, and PointData arrays. These editors can be accessed by clicking on the ellipsis next to the appropriate data array in the SeriesList Collection Editor (which is available under the ChartData node of the ChartGroupsCollection Editor). Similar to the .Net collection editors, the ChartDataArray editor has the array indices in a text box on the left and the array values on the right.

Note:

The ChartDataArray editor also contains functionality for toggling the display between Date, DateTime, and Time display. If the values for the ChartDataArray are of DateTime type, then by clicking on the header above the value column, the values displayed will toggle between DateTime, Date and Time formats.

Run-Time

At run-time the ChartDataArray elements are available like any normal array elements would be. Changing the values in the array objects is as easy as changing the values in an array:

C1Chart1.ChartGroups.Group0.ChartData.SeriesList(0).X(4) = 4

Retrieving the values from the ChartDataArray requires a similar process:

Dim xval As Single

xval = C1Chart1.ChartGroups.Group0.ChartData.SeriesList(0).X(4)


Setting Array Data Using PointF Values

Setting Array Data Using PointF Values

For charts that only use the X and Y-axes (XY-Plot, Bar, etc), the PointData property can be a convenient shortcut. The PointData property of the ChartDataSeries object allows the entering of an array of PointF point values. This property is convenient for applications that use point data, but this array will only set the X and Y data arrays. This property cannot change the values in the data arrays for Y1, Y2, or Y3.

The following example builds a PointF array and loads it into a ChartDataSeries:

Dim ps() As PointF = _

{ _

New PointF(30.0F, 20.0F), _

New PointF(60.0F, 24.0F), _

New PointF(90.0F, 42.0F), _

New PointF(120.0F, 13.0F), _

New PointF(150.0F, 10.0F) _

}

Dim s As New ChartDataSeries()

C1Chart1.ChartGroups.Group1.ChartData.SeriesList.Add(s)

s.PointData.CopyDataIn(ps)


Loading and Saving Charts, Data, and Images

Loading and Saving Charts, Data, and Images

In C1Chart each chart can be loaded from and saved to an external XML file. In addition, the chart can be saved to any number of image files, which allows more flexibility in archiving, accessing data, and creating images of the chart.

There are two different methods that can be used to save the chart to an XML file by either saving chart’s formatting or by saving the chart’s data. When the entire chart is saved, all of the formatting of the axis, the titles, and the chart area is saved to an XML file. When only the chart’s data is saved, the external file is smaller in size, but when this file is loaded back into the chart, only the data will be restored.


Loading and Saving to a String

Loading and Saving to a String

In addition to loading and saving to an XML file, the chart has the ability to save to a string value. This string can then be saved an application and retrieved at a future time.

The SaveChartToString and LoadChartFromString methods allow the saving of a copy of the chart to a string value in the application. This string value contains all the set properties, methods, and events for the chart, in essence, its formatting. The chart can save to this file, and then if the structure remains intact, load a chart from this file.

To save the chart to a string at run-time, call the SaveChartToString method which takes no parameters and returns the string value:

Dim ChartString As String
ChartString = C1Chart1.SaveChartToString()

To load the chart from a string value at run-time, call the LoadChartFromString method which takes the saved chart string as its only parameter:

C1Chart1.LoadChartFromString(ChartString)


Loading and Saving Chart Data

Loading and Saving Chart Data

To save the chart’s data to XML at design-time, right-click on the chart control. This will bring up the chart’s context menu. Conveniently provided on the context menu are the SaveDataToFile and LoadDataFromFile methods of the ChartData object.

To save just the chart’s data to XML, call the SaveDataToFile method which takes the file’s path as a parameter:

C1Chart1.ChartGroups.Group0.ChartData_

SaveDataToFile("C:\ComponentOneDocs\chartdata1.xml”)

To load the chart’s data back from XML, call the LoadDataFromFile method which takes the file’s path as a parameter:

C1Chart1.ChartGroups.Group0.ChartData_

.LoadDataFromFile(“C:\ComponentOneDocs\chartdata1.xml”)

An in-depth discussion of the structure of the XML file is not covered here, but the file can be opened as a text file and easily dissected.


Saving Chart Images

Saving Chart Images

The C1Chart provides the ability to save the current chart as an image. By calling the SaveImage method, all of the items within the chart bounds can be saved to the clipboard, a byte array, a stream, or to an image file.

The SaveImage method can save to four different output types by using one of eight different overloaded parameter sets. For each output type, there is an option to save the chart image as it appears on the screen, or to save the chart image as a specified size.

To save the chart image to the clipboard, simply specify an image format, the size parameter is not specified here:

C1Chart1.SaveImage(System.Drawing.Imaging.ImageFormat.Bmp)

To save the chart image to an image file, simply specify the pathname for the new image and an image format, the size parameter is not specified here:

C1Chart1.SaveImage(“C:\temp\ChartImages\CandleChart.bmp”,_ System.Drawing.Imaging.ImageFormat.Bmp)

To save the chart image to a stream, simply specify the stream object and an image format, the size parameter is not specified here:

Dim coutstream As New System.IO.MemoryStream()
C1Chart1.SaveImage(coutstream, System.Drawing.Imaging.ImageFormat.Bmp)

To save the chart image as a byte array, simply specify the byte array, and an image format, the size parameter is not specified here:

C1Chart1.SaveImage(ImageByteArray(), System.Drawing.Imaging.ImageFormat.Bmp)

More information on the ImageFormat class can be found here:

ms-help://MS.NETFrameworkSDK/cpref/html/frlrfSystemDrawingImagingImageFormatClassTopic.htm


Showing or Excluding a Series

Showing or Excluding a Series

Suppose there were hundreds of series that needed to be displayed in the chart. Since the chart can only be so large, which series are to be displayed must be managed. This is where the Display property of the ChartDataSeries comes in. The Display property accepts a SeriesDisplayEnum enumerated type. Setting this property to its different values allows a series to show, be hidden, or be excluded:

SeriesDisplayEnum.Show | The series is displayed in the ChartArea. This is the default setting.
SeriesDisplayEnum.Hide | The series is not displayed in the ChartArea, but the ChartArea (i.e. Max and Min) is not altered to account for the lost series.
SeriesDisplayEnum.Exclude | The series is not displayed in the ChartArea, but the ChartArea is altered to account for the lost series.
SeriesDisplayEnum.ExcludeHoles | The series is displayed, but the Data Hole values are ignored.


Excluding a Series from the Legend

Excluding a Series from the Legend

At times it is convenient to plot shapes, lines and curves that do not represent data, but rather data regions of interest, or error bands, etc. In these instances, additional series may be added to the chart, but should be excluded from the legend. Each ChartDataSeries contains a boolean property called LegendEntry. If set to true, as it is by default, the series will be listed in the legend. If false, however, the series will be charted, but not listed in the legend.


Charting Irregular Data

Charting Irregular Data

Datasets, especially when they are dynamically created, can sometimes have irregular attributes that make it difficult for a charting control to handle. Thus, much time can be spent accounting for these inconsistencies before the data reaches the chart. Although C1Chart cannot modify these values automatically, it does accept irregular data and deals with it in a logical and consistent manner.

Irregular Stacked Chart Data

Irregular X-axis Data

Interpolating Y Value Data

Data Holes

Ignoring Data Holes


Irregular Stacked Chart Data

Irregular Stacked Chart Data

Stacked charts are charts that have one or more series stacked upon a base series. All of the Y values for the chart are taken as distances from the previous series’ Y value. Stacked charts are a simple issue when data is loaded in an array format where the X values all match and all the series are stacked on top quite neatly.

C1Chart provides more freedom by allowing data to be in a General Layout. General Layout means that not all series must have identical X values. While this freedom allows for charting of more non-standard sets of data, it poses a problem when using stacked charts.


Irregular X-axis Data

Irregular X-axis Data

Problems arise with the stacked chart if the first series in the data set does not contain points that match up to the Min and the Max points of the other series. If the first series of the chart does not contain the amount of X values as successive series, then these series no longer have a definite starting point as in the image below. C1Chart deals with this irregularity in a logical manner. The data where the Y values for the first series do not exist are taken to be 0. Then each successive series is added onto this creating a discontinuity, best demonstrated by the Stacked Area chart below.


Interpolating Y Value Data

Interpolating Y Value Data

Problems can also arise in a stacked chart if the X values of a successive series do not coincide with the first series. For instance, the first series of the chart could have x values at 2, 4, 6, and 8, while the second series has values at 3, 5, 7, and 9. A problem arises when the chart tries to discern where to place the first point of the second series. The point value that must be added to the Y value of the second series is somewhere between the first two points of the first series and is not explicitly part of the dataset.

Instead of not displaying the data set, C1Chart deals with this irregularity in a logical manner. It interpolates a virtual point in between the first and second point of the first series based on the slope of the line. This interpolated value is added to the second series’ Y value to find the new point for the stacked chart.


Data Holes

Data Holes

When gathered data is charted, it is sometimes necessary to visually provide an indication in the chart that data for a particular value is not available – i.e. indicate that information is missing. A Data Hole is a break in data that are being charted, and is used in the chart to visually indicate that data is missing. In C1Chart, holes are specified by setting the data point to be excluded to a specific, otherwise unused, value in the data arrays. The Hole property of the ChartData object specifies the value to be used. For instance, assuming that the Hole value is set to –1000, and that data is unavailable for the third point of a series, a break or a hole can be introduced into the series plot by setting the Y value of the series point to –1000. The default hole value is Single.MaxValue or float.MaxValue for Visual Basic and C#, respectively. Below is an example of a data hole in a X-Y Plot chart.


Ignoring Data Holes

Ignoring Data Holes

When data is obtained in arrays of specific length, programming is often simplified when all the arrays can be handled uniformly, even if some of the data points are missing and it is not desired to indicate the missing data. In this case, Data Holes can still be used as values for the missing data and C1Chart can simply ignore them entirely, as if those data array elements containing the Data Hole did not exist at all.

The Display property of the ChartDataSeries sets the display properties for a series. This property accepts a SeriesDisplayEnum enumeration. If the Display property is set to SeriesDisplayEnum.Show, then the Data Hole will be excluded from the plot as in the image above. If this property is set to SeriesDisplayEnum.ExcludeHoles the series will be displayed, but the holes will be ignored. This means that if an XY-Plot is being displayed, the line will continue from the point previous to the Data Hole directly to the point after the Data Hole as in the image below. Notice that although the plot line continues past the Data Hole, the Data Hole point is not charted.

SeriesDisplayEnum.Show

SeriesDisplayEnum.ExcludeHoles


Customizing Chart Elements

Customizing Chart Elements

When the chart’s data and axes are formatted properly, its elements can be customized to make it look clearer and more professional. The following topics cover tasks that customize the appearance of a chart.

Adding Header and Footer Titles

Title Text and Alignment

Title Positioning

Title Border

Title Colors

Title Font


Adding Header and Footer Titles

Adding Header and Footer Titles

A chart can have two titles, one called the Header and one called the Footer. A title consists of one or more lines of text with an optional border, both can be customized. Because each title can be positioned above, below, and to the right or left of the chart, it is not necessary to adhere to the traditional concept of Header and Footer at the top and bottom of an object. In addition, the text alignment, positioning, colors, and font used for the Header or Footer can be modified.


Title Text and Alignment

Title Text and Alignment

Use the Text property of the Footer or Header object to add, change, or remove text for a title. Text is located in the property editor under corresponding title node (Footer or Header).

Use the HorizontalAlignment and VerticalAlignment of the Header or Footer’s Style property to specify whether to center, left-justify, or right-justify the title. These properties can be accessed at design-time through the Style node in either the Header or Footer node in the Visual Studio property editor.


Title Positioning

Title Positioning

Use the Title’s Compass property to specify where to position the Titles relative to the ChartArea. Select from four compass points around the ChartArea.

Use the X and Y properties of the Location object to customize the location of the title. To restore location auto-selection set left or top to -1. These properties can be accessed at design-time through the Location node in either the Header or Footer node in the Visual Studio Properties Window.

Use the Width and Height properties of the Size object to customize the size of the title. To restore auto size selection set width or height to -1. These properties can be accessed at design-time through the Size node in either the Header or Footer node in the Visual Studio Properties Window.

See Positioning Chart Elements for more information.


Title Border

Title Border

Use the Type and Width border properties to customize the title’s border. These properties can be accessed through the Style node in either the Header or Footer node in the Visual Studio property editor. See Using Borders for more information.


Title Colors

Title Colors

Use the ForeColor and BackColor properties to customize background and text colors of a title. These are located under Style node in either the Header or Footer node in the Visual Studio property editor. See Setting Colors for more information.


Title Font

Title Font

Use the font properties to customize the font used for a title. These are located on the Style node in either the Header or Footer node in the Visual Studio property editor. See Choosing Fonts for more information.


Formatting the Legend

Formatting the Legend

The chart automatically generates a Legend whenever data exists in the chart. The chart assigns the name specified in the ChartDataSeries object for the series as the series identifier. The symbols that accompany the series name in the Legend are determined by the LineStyle and SymbolStyle for that series. The positioning, border, colors and font used for the Legend can be customized.

Legend Positioning

Legend Title

Legend Border

Legend Colors

Legend Font


Legend Positioning

Legend Positioning

Use the Compass property to specify where to position the Legend relative to the ChartArea. Select from four compass points around the ChartArea. Compass can be accessed at design-time under the Legend node of the Visual Studio Properties Window.

By default the chart automatically positions the legend. Use the X and Y Location properties to fine-tune the positioning. These properties can be accessed at design-time through the Location node that is under the Legend node of the Visual Studio Properties Window.

By default the chart automatically calculates size of the Legend. Use the Width and Height size properties to fine-tune the size of Legend. These properties can be accessed under the Size node that is under the Legend node of the Visual Studio Properties Window.

See Positioning Chart Elements for more information.


Legend Title

Legend Title

Use the Text property to specify the legend title. The legend title appears centered at the top of the Legend. The Text property can be accessed at design-time under the Legend node in the Visual Studio Properties Window.


Legend Border

Legend Border

Use the Type and Width border properties to customize the title’s border. These properties can be accessed at design-time under the Style node that is under the Legend node of the Visual Studio Properties Window. See Using Borders for more information.


Legend Colors

Legend Colors

Use the BackColor and ForeColor properties to customize background and text colors of the Legend. These can be accessed at design-time through the Style node under the Legend node of the Visual Studio Properties Window. See Setting Colors for more information.


Legend Font

Legend Font

Use the font properties to customize the font used for the Legend. These can be accessed at design-time through the Style node under the Legend node of the Visual Studio Properties Window. See Choosing Fonts for more information.


Setting Line and Symbol Styles for the Series

Setting Line and Symbol Styles for the Series

The LineStyle and SymbolStyle properties of the ChartDataSeries allow display aspects of each series to be perfected. Not limited to only the lines or symbols of a series line, these properties can change the color of a Pie chart slice, change the color of a Radar chart series, or set the width of a HiLo chart series.

The LineStyle property contains the Color, Pattern, and Thickness properties. Generally these properties set the color, pattern, and thickness attributes for a lines of a series.

The SymbolStyle property contains the Color, Pattern, and Thickness properties. Generally these properties set the color, patter, and thickness attributes for the symbols of a series.

Below is a table that lists how these two properties affect each chart type. Notice that for some chart types these properties have no effect, and for others these properties set the attributes for something other than a line or a symbol:

 | LineStyle Property | SymbolStyle Property
Chart2DTypeEnum.XYPlot | Changes Color, Thickness, and Pattern of the line that connects data points. | Changes Series Symbol Style.
Chart2DTypeEnum.Pie | Changes the BackColor of the series (piece). | No effect.
Chart2DTypeEnum.Bar | Changes the BackColor of the series. | No effect.
Chart2DTypeEnum.Area | Changes the BackColor of the series. | No effect.
Chart2DTypeEnum.Polar | Changes the BackColor, Pattern, and Thickness for Series Line. | Changes the Series Symbol Style, BackColor, and Thickness.
Chart2DTypeEnum.Radar | Changes the BackColor, Pattern, and Thickness for the Series Line. | Changes the Series Symbol Style, BackColor, and Thickness.
Chart2DTypeEnum.HiLo | Changes the BackColor, Style, and Thickness for the Series Line. | No effect.
Chart2DTypeEnum.HiLoOpenClose | Changes the BackColor, Style, and Thickness for the Series Line. | No effect.
Chart2DTypeEnum.Candle | Changes the BackColor for falling stock prices, and the thickness of the candle. | Changes the BackColor for rising stock prices and the thickness of the candle.

A more elaborate method of styling the plot involves the use of a brush instead of only color as specified by the LineStyle and SymbolStyle properties. A brush can provide a richer, more unique appearance than just color -- including hatching, gradients and textures. For more information about using brushes, see Using Custom Brushes for Plotting Data.


Setting Line FitType

Setting Line FitType

For charts that contain plot lines (XY-Plot, Area, Polar, and Radar), the FitType property sets how the line fits to the points of the chart. The property takes a FitTypeEnum enumeration.

FitTypeEnum.Line

The Line fit is the default fit for the plot lines that is where the line travels directly from point to point. The Line fit is illustrated below.

FitTypeEnum.Spline

The Spline fit is where the line is curved to still pass through the plots, but provide a smooth curved plot line nonetheless. Those familiar with how curved lines are created in most drawing applications will likely be familiar with the Spline fit type.

FitTypeEnum.Beziers

The Beziers fit is where the line does not necessarily pass through all data points, but the points act as magnets, pulling the curve in certain directions and influencing the way the curve bends.


Using Borders

Using Borders

Adding a border to part of the chart can help highlight important information, or simply make the chart look more attractive. The border type and width of the following chart elements can be customized:

•

Header and Footer titles;

•

Legend;

•

ChartArea;

•

The entire chart.

Valid border types are shown below, though no border can also be specified:

To Change a Border

Use the border Type property to set the type of border and the Width property to set its thickness. These properties are located under the Style nodes, which can be found on the Control, ChartArea, Titles, Legend, and ChartLabels objects in the Visual Studio Properties Window.


Choosing Fonts

Choosing Fonts

Charts can have more impact when fonts are customized for different chart elements. Font size can be adjusted to make an element better suit the overall size of the chart.

To Change Fonts

Use the standard .Net Font Property editor to set the font, style, and size attributes. Font properties are located under the Style nodes of the Visual Studio Properties Window.


Setting Colors

Setting Colors

Color can powerfully enhance a chart’s visual impact. Colors can be customized using color names, RGB values, or interactively using a color chooser. Each of the following visual elements in the chart has a background and foreground color that can be customized:

•

The entire chart;

•

Header and Footer titles;

•

Legend;

•

ChartArea;

•

Each ChartLabel added to the chart.

Choosing Colors Interactively

Specifying RGB Colors

Using Transparent Colors

To Change a Color


Choosing Colors Interactively

Choosing Colors Interactively

Colors can be selected interactively using .Net’s color dialog that works like the standard Windows color dialog. Choose from Windows basic colors, custom colors, or interactively choose from a full color spectrum.


Specifying RGB Colors

Specifying RGB Colors

Alternately, a color can be specified by its RGB components, useful for matching another RGB color. RGB color values combine hexadecimal values for the red, green, and blue components of a color. “00” is the smallest value a component can have; “ff” is the largest value. For example, “#ff00ff” specifies magenta (the maximum value of red and blue combined with no green).


Using Transparent Colors

Using Transparent Colors

The background and foreground of all elements except the chart itself can be “Transparent”.

When a background or foreground is transparent, the chart uses the color of the element outside it for the background. For example, the header would have the background of the chart itself when its background is set to Transparent.

In other words, if the background color of the element is transparent then its background is not drawn. If the foreground color of the element is transparent, then the foreground (for example the text of a title) is not drawn.

The transparent color options are on the Web tab of the .Net color dialog.


To Change a Color

To Change a Color

Use the BackgroundColor and ForegroundColor properties to set background and foreground colors. These properties are located under the Style nodes, found at design-time on the Control, Header, Footer, Legend, ChartArea, and ChartLabels objects in the Visual Studio Properties Window.


Positioning Chart Elements

Positioning Chart Elements

Each of the main chart elements (Header, Footer, Legend, ChartArea, and ChartLabels) has properties that control its position and size. While the chart can automatically control the positioning of any element except ChartLabels and the size of any element, these properties can also be customized.

When the chart controls positioning, it first allows space for the Header, Footer, and Legend, if they exist (size is determined by contents, border, and font). The ChartArea is sized and positioned to fit into the largest remaining rectangular area. Positioning adjusts when other chart properties change.


To Change or View Location

To Change or View Location

Use the X property of the Location to specify the number of pixels from the edge of the chart to the left edge of the chart element. Use the Y property of the Location to specify the number of pixels from the edge of the chart to the top of the chart element. Set X and Y to –1 to allow the chart to automatically position the element.

These properties are located on the Location node, found on the ChartArea, Titles, Legend, and ChartLabels nodes of the Visual Studio Properties Window.


To Change Width and Height

To Change Width and Height

Use the Width and Height location properties to specify the width and height of the chart elements. Set these properties to –1 to allow the chart to automatically size the chart elements.

These properties are located and enabled at design-time under the Location nodes of the Visual Studio Properties Window.


Labels and Zones

Labels and Zones

Using ChartLabels

Attaching and Positioning ChartLabels

Anchoring the Label

Customizing Chart Labels

Programming ChartLabels

Defining the ChartLabel

Attaching the ChartLabel

Setting a DefaultLabelStyle


Using ChartLabels

Using ChartLabels

A ChartLabel is a label that displays in front of the chart data. The chart does not adjust to fit ChartLabels, since they are completely independent. ChartLabels are useful when highlighting an important data point, but can also be used generally to provide information on data or on the chart.

A Label object defines an independent rectangular region that can be attached to a chart. The LabelsCollection contains all of the chart labels defined for a particular chart.

The index number can be specified in the LabelsCollection in order to access a ChartLabel individually:

C1Chart1.ChartLabels.LabelsCollection(0).Text = “This_

is the first label in the collection”

To create a Label object, call the AddNewLabel method:

Dim Clabel As Label

Set Clabel = C1Chart1.ChartLabels.LabelsCollection._

AddNewLabel()

There is no limit to the number of ChartLabels a chart can contain. Each ChartLabel has label, interior color, border and attachment attributes that can be customized.


Attaching and Positioning ChartLabels

Attaching and Positioning ChartLabels

When defining a ChartLabel, it is necessary to specify how to attach it to the chart and where to position it relative to its attachment point.

The attachment method chosen depends on what the ChartLabel is going to be used for. The attachment method takes an AttachMethodEnum value and the following illustrates these attachment methods:

•

AttachMethodEnum.Coordinate attaches to anywhere on the chart. The number of pixels can be specified between the top-left corners of the chart to the ChartLabel.

•

AttachMethodEnum.DataCoordinate attaches to anywhere inside the PlotArea. The data coordinates can be specified. This method is not allowed on Pie charts using PointLabels for the X-axis annotation. If any part of the ChartLabel falls outside of the ChartArea, it is clipped.

•

AttachMethodEnum.DataIndex attaches to a specific data point on the chart. The series and point indices, and the ChartGroup can be specified.

•

AttachMethodEnum.DataIndexY attaches to a distance above or below a specific data point. The series and point indices, the ChartGroup, and the Y-coordinate can be specified. This is most useful for Bar and Stacking Bar charts.

Use the AttachMethod property of the Label class to set the attachment method, and the properties of the AttachMethodData class to set the attachment point. These properties can be accessed at design-time under the ChartLabels node in the Visual Studio Properties Window.


Anchoring the Label

Anchoring the Label

Once attached to a point on the chart, setting the Compass property sets the anchoring position for the ChartLabel. The property takes an enumeration of type LabelCompassEnum, and the following shows the valid anchoring positions:

The Compass property acts similarly on ChartLabels as it does other objects in .Net. The Label is placed away from the point according to the specified compass direction. The LabelCompassEnum.Radial setting generally applies only to Polar, Radar, and Pie charts. It places the Label out radially from the center of the chart. This can be a convenient feature if a chart, such as a Pie chart, has a multitude of labels to be shown. The LabelCompassEnum.Orthogonal setting places the Label perpendicularly from the path of the series line. For instance, if there was a straight horizontal line as the series plot, then the Orthogonal position would be exactly like the North Compass setting, likewise if there was a straight vertical line as the series plot, then the Orthogonal position would be exactly like the West Compass setting.


Customizing Chart Labels

Customizing Chart Labels

Rotating ChartLabels

Use the Rotation label property to set or change the rotation of a ChartLabel. Rotation is available at design-time under the Style node of the ChartLabels Collection Editor. This property can also be set in the DefaultLabelStyle node.

ChartLabel Border

Use the BorderStyle and Thickness border properties to customize the title’s ChartLabel. These properties are available at design-time under the Style node of the ChartLabels Collection Editor. This property can also be set in the DefaultLabelStyle node.

ChartLabel Colors

Use the .Net Color properties to set the font for the ChartLabels. The color properties are available at design-time under the Style node of the ChartLabels Collection Editor. See Setting Colors for more information. This property can also be set in the DefaultLabelStyle node.

ChartLabel Font

Use the font properties to customize the font used for a ChartLabel. These are available at design-time under the Style node of the ChartLabels Collection Editor. See Choosing Fonts for more information. This property can also be set in the DefaultLabelStyle node.


Programming ChartLabels

Programming ChartLabels

For more information, see Using ChartLabels.

A Label object defines an independent rectangular region that can be attached to a chart. The LabelsCollection contains all of the ChartLabels defined for a particular chart.


Defining the ChartLabel

Defining the ChartLabel

The Label object provides a number of properties that help define and position the ChartLabel. The most important of these properties are:

•

The Compass property specifies the positioning of the label around its anchor. For instance, setting the Compass property to East will place the label to the right of the anchor.

•

The AttachMethod property specifies by which method the label will be attached to the chart. It can be attached by Coordinate, DataCoordinate, or by the data point.

•

The Text property specifies the text to appear in the ChartLabel.

•

The IsConnected:Label property is a Boolean, which specifies whether a line is to be drawn from the chart label to its attached location. If True, the line is drawn.

•

The Offset property specifies the distance, in the anchor direction, from the ChartLabel to its attached location, and is of type Long.

•

The DefaultLabelStyle property sets a default style that all the labels will inherit from. For instance, if the BackColor of the default style is set to black, all future labels will have a black backcolor.


Attaching the ChartLabel

Attaching the ChartLabel

ChartLabels can be attached to a chart in one of four ways:

•

To a pixel (x,y) coordinate;

•

To a data (x,y) coordinate in the ChartArea;

•

To a (series, point) in the ChartArea;

•

To a (series, point, Y value) in the ChartArea.

By Pixel Coordinate

By Data Coordinate

By Data Point

By Data Point and Y Value


By Pixel Coordinate

By Pixel Coordinate

To attach a ChartLabel to a pixel coordinate, set the AttachMethod property to AttachMethodEnum.Coordinate, and then under the AttachMethodData object set the X and the Y properties to the coordinates at which the ChartLabel is to be attached. For example, the following attaches a ChartLabel to the coordinates specified:

With C1Chart1.ChartLabels.LabelsCollection(0)

.AttachMethod = AttachMethodEnum.Coordinate

.AttachMethodData.X = 250

.AttachMethodData.Y = 250

End With


By Data Coordinate

By Data Coordinate

To attach a ChartLabel to a data coordinate on the chart, set the AttachMethod property to AttachMethodEnum.DataCoordinate, and then under the AttachMethodData object set the X and Y properties to the data coordinates at which the ChartLabel is to be attached. For example, the following attaches a ChartLabel to the data coordinate (1.1, 15.8):

With C1Chart1.ChartLabels.LabelsCollection(0)

.AttachMethod = AttachMethodEnum.DataCoordinate

.AttachMethodData.X = 1.1

.AttachMethodData.Y = 15.8

End With

ChartLabels can only be attached to a data coordinate if the chart is an Area or XY-Plot. Any part of the ChartLabel that falls outside of the ChartArea is clipped.


By Data Point

By Data Point

To attach a ChartLabel to a data point, set the AttachMethod property to AttachMethodEnum.DataIndex, and then under the AttachMethodData object set the GroupIndex, SeriesIndex, and PointIndex properties. These properties specify the ChartGroup, Series, and Point indices. For example, the following attaches a ChartLabel to the second point in the first data series:

With C1Chart1.ChartLabels.LabelsCollection(0)

.AttachMethod = AttachMethodEnum.DataIndex

.AttachMethodData.GroupIndex = 0

.AttachMethodData.SeriesIndex = 1

.AttachMethodData.PointIndex = 2

End With


By Data Point and Y Value

By Data Point and Y Value

The above two methods can be combined so that a ChartLabel is attached to a location whose X-coordinate is specified by a data point and whose Y-coordinate is specified by a chart value. To do this, set the AttachMethod property to AttachMethodEnum.DataIndexY, and then under the AttachMethodData object set the GroupIndex, SeriesIndex, PointIndex, and Y properties as in the following example:

With C1Chart1.ChartLabels.LabelsCollection(0)

.AttachMethod = AttachMethodEnum.DataIndex

.AttachMethodData.GroupIndex = 0

.AttachMethodData.SeriesIndex = 1

.AttachMethodData.PointIndex = 2

.AttachMethodData.Y = 15.8

End With

In this example, the ChartLabel location is specified as follows:

•

The X-coordinate of the second point in the first data series becomes the X-coordinate of the chart label.

•

The Y-coordinate specified by the Y property becomes the Y-coordinate of the chart label.

This method is not supported in Pie charts.


Setting a DefaultLabelStyle

Setting a DefaultLabelStyle

The DefaultLabelStyle property of the ChartLabels object sets a default style for all current and future ChartLabels. This property can be useful in many ways, but two are outlined here.

First, this property sets default style properties that all future Labels will inherit. Secondly, since all labels inherit this default style, if a default style property is changed, all of the ChartLabels will then take on this attribute. For instance, suppose 100 ChartLabels created at design-time should have had green as the BackColor, the following code could be inserted into the application:

C1Chart1.ChartLabels.DefaultLabelStyle.BackColor =_

Drawing.Color.Green

If style attributes for individual ChartLabels have to be changed, then these attributes can be set on the specific ChartLabel object manually.


Alarm Zones

Alarm Zones

Alarm Zones are a series of bands that can be placed behind the plotted data, but in front of the chart background. Generally, Alarm Zones are used in much the same manner as grid lines, but the ability to modify the Alarm Zones allows them to be more visually appealing. By using the UpperExtent and LowerExtent properties, each Alarm Zone band can be adjusted to specific values.

Note: Alarm Zones are most effectively used with XY-Plot, Bar, Stacking Bar and Candle charts.


Adding Alarm Zones

Adding Alarm Zones

Adding an AlarmZone member to the AlarmZonesCollection in code adds an Alarm Zone to the chart:

C1Chart1.ChartArea.PlotArea.AlarmZones.AddNewZone()

or at design-time through the AlarmZonesCollection Editor in the Visual Studio Properties Window. To access the collection editor, expand the ChartArea node in the Properties Window, then expand the PlotArea node, and click on the ellipsis next to the AlarmZones property to bring up the AlarmZones Collection Editor.


Configuring Alarm Zones

Configuring Alarm Zones

Alarm Zones have two basic sets of properties. The first set of properties determines the boundaries of the Alarm Zone in reference to the chart’s data values. Setting the NearExtent and FarExtent properties to values within the bounds of the X-axis sets the Left and Right boundaries of the AlarmZone. Conversely, setting the UpperExtent and LowerExtent properties to values within the bounds of the Y-axis sets the Upper and Lower boundaries of the Alarm Zone. For instance, to set the beige AlarmZone in the above image the NearExtent would be 1.5, the FarExtent would be 2.5, the LowerExtent would be 18.5, and the UpperExtent would be 19.5.

Notice that the names of these properties are UpperExtent, LowerExtent, NearExtent, and FarExtent rather than X, Y, Height, and Width. One important benefit to Alarm Zones is that they are not static, but actually tied to the chart’s data. This means that as the data changes, the Alarm Zones will change in relation to the data and not like one of the chart’s visual attributes.

The second set of properties determines the style characteristics of the Alarm Zone. The BackColor and PatternStyle properties can be set for the Alarm Zone. Setting the ForeColor property sets the color of the pattern specified by the PatternStyle property.


For Advanced Users

For Advanced Users

Using Custom Brushes for Plotting Data

Creating Hatched Brush

Creating Gradient Brush


Using Custom Brushes for Plotting Data

Using Custom Brushes for Plotting Data

Whenever a data series is plotted, the DrawDataSeries event of C1Chart fires. This event allows defining the selection of a custom brush during plotting. The event sender object is the C1Chart.ChartDataSeries to be plotted. The event data (DrawDataSeriesEventArgs) have the following properties:

•

The Brush property defines the brush that will be used for rendering the data series. You should create your own brush and assign it to this property if want use to a custom brush.

•

The DisposeBrush is Boolean value that specifies whether the brush should be disposed after using. If DisposeBrush is set to false then you must dispose the brush yourself.

•

The GroupIndex property defines index of chart group.

•

The SeriesIndex property defines index of chart group.

•

The Bounds property represents rectangle area in which data will be plotted. This rectangle will be useful when creating gradient brushes.


Creating Hatched Brush

Creating Hatched Brush

The following sample code represents the handler that creates hatched brush.

[VB]

Private Sub C1Chart1_DrawDataSeries(ByVal sender As Object, _

ByVal e As C1.Win.C1Chart.DrawDataSeriesEventArgs) Handles C1Chart1.DrawDataSeries

Dim ds As C1.Win.C1Chart.ChartDataSeries = sender

Dim foreclr As Color = ds.SymbolStyle.Color

Dim backclr As Color = ds.LineStyle.Color

Dim hb As Drawing2D.HatchBrush = New Drawing2D.HatchBrush( _

Drawing.Drawing2D.HatchStyle.OutlinedDiamond, foreclr, backclr)

e.Brush = hb

End Sub

[C#]

private void c1Chart1_DrawDataSeries(object sender, C1.Win.C1Chart.DrawDataSeriesEventArgs e)

{

C1.Win.C1Chart.ChartDataSeries ds = (C1.Win.C1Chart.ChartDataSeries)sender;

Color forecolor = ds.SymbolStyle.Color;

Color backcolor = ds.LineStyle.Color;

System.Drawing.Drawing2D.HatchBrush hb = new System.Drawing.Drawing2D.HatchBrush(

System.Drawing.Drawing2D.HatchStyle.OutlinedDiamond, forecolor, backcolor);

e.Brush = hb;

}


Creating Gradient Brush

Creating Gradient Brush

The following sample code represents the handler that creates linear gradient brush.

[VB]

Private Sub C1Chart1_DrawDataSeries(ByVal sender As Object, ByVal e As C1.Win.C1Chart.DrawDataSeriesEventArgs) Handles C1Chart1.DrawDataSeries

Dim ds As C1.Win.C1Chart.ChartDataSeries = sender

Dim clr1 As Color = ds.LineStyle.Color

Dim clr2 As Color = ds.SymbolStyle.Color

If (e.Bounds.Height > 0 And e.Bounds.Width > 0) Then
Dim lgb As Drawing2D.LinearGradientBrush = New Drawing2D.LinearGradientBrush( _

e.Bounds, clr1, clr2, Drawing2D.LinearGradientMode.Horizontal)
e.Brush = lgb

End If

End Sub

[C#]

private void c1Chart1_DrawDataSeries(object sender, C1.Win.C1Chart.DrawDataSeriesEventArgs e)

{

C1.Win.C1Chart.ChartDataSeries ds = (C1.Win.C1Chart.ChartDataSeries)sender;

Color clr1 = ds.LineStyle.Color;

Color clr2 = ds.SymbolStyle.Color;

if(e.Bounds.Size.Height > 0 && e.Bounds.Size.Width > 0)

{

System.Drawing.Drawing2D.LinearGradientBrush lgb =

new System.Drawing.Drawing2D.LinearGradientBrush(e.Bounds,

clr1, clr2, System.Drawing.Drawing2D.LinearGradientMode.Horizontal);

e.Brush = lgb;

}

}


Chart Interaction

Chart Interaction

There are many operations that can be performed on the chart which are not covered in this documentation. Each user of the chart component has different requirements for functionality and features. One way in which to accommodate the many requests for functionality is to provide a set of tools to create functionality not currently in the component.

In C1Chart there is a set of tools provided which help customize and further develop applications. Chart conversion methods allow the handling of instances where the end user’s cursor travels over the chart and performs an action. The first set of methods return associated chart areas from specified pixel coordinates, and a second set of methods return chart data points and coordinates from specified pixel coordinates.

Coordinate Conversion Methods

Determining Chart Areas from Pixel Coordinates

Determining Data Points or Coordinates from Pixel Coordinates

Converting from Chart Coordinate Values

Converting To Chart Coordinate Values

Rotating, Scaling, Translating and Zooming


Coordinate Conversion Methods

Coordinate Conversion Methods

Events such as the MouseMove event report coordinate values and provide pixel coordinates from the chart area. This is useful to a degree, but it does not report to the application anything about the underlying data coordinates, data points, or chart areas. The coordinate conversion methods of the chart help to provide this information from the pixel coordinates alone. When used in conjunction with .Net’s MouseMove event these tools allow for creation of interesting application-specific features like handling a double-click in the Legend and chart Tooltips.


Determining Chart Areas from Pixel Coordinates

Determining Chart Areas from Pixel Coordinates

The MouseMove event of .Net reports the coordinates of the user’s cursor as it is dragged over the chart to get constantly updating data on where the user’s cursor is located.


SeriesFromCoord

SeriesFromCoord

In the C1Chart Legend, series are represented by the series name and a symbol containing a sample of the SymbolStyle or LineStyle. The SeriesFromCoord method of the Legend returns the nearest associated series from a pixel coordinate value located in the legend. For instance, suppose that the user clicks on the symbol for the first series in the Legend, the pixel coordinates of the user’s mouse at this moment when input into the SeriesFromCoord method would return group and series values for in the Group and Series parameters. The following is an example of this:

Dim LegendGroup As Integer

Dim LegendSeries As Integer

C1Chart1.Legend.SeriesFromCoord(170, 275, LegendGroup, LegendSeries)


Determining Data Points or Coordinates from Pixel Coordinates

Determining Data Points or Coordinates from Pixel Coordinates

Previous Next

C1Chart also allows conversion of pixel coordinate values into their associated Data Coordinate or Data Index and vice versa. The CoordToDataCoord, CoordToDataIndex, DataCoordToCoord, and DataIndexToCoord are methods which convert pixel coordinates into these values and vice versa. The below graphic illustrates which areas of C1Chart is governed by the pixel coordinates, and which area is governed by the data coordinates (PlotArea):


Converting from Chart Coordinate Values

Converting from Chart Coordinate Values

The two methods that convert pixel coordinate values into chart data coordinates and data indices are the CoordToDataCoord and CoordToDataIndex methods of the ChartGroup object. Both of these methods take a coordinate value, presumably from a MouseMove event, and return a PlotArea coordinate or the nearest data point.

The CoordToDataCoord method takes four parameters. The first two parameters (e.X and e.Y in the example below) are the pixel coordinates from the MouseMove event. The second two parameters are integer values that the method will fill with the X and Y Data Coordinate data. Following is an example of this method in the MouseMove event:

Dim CoordXOutput As Double

Dim CoordYOutput As Double

C1Chart1.ChartGroups.Group0.CoordToDataCoord(e.X, e.Y, CoordXOutput, CoordYOutput)

Debug.WriteLine("X Data Coordinate: " & CoordXOutput)

Debug.WriteLine("Y Data Coordinate: " & CoordYOutput)

The CoordToDataIndex method takes six parameters. The first two parameters (e.X and e.Y in the example below) are the pixel coordinates from the MouseMove Event. The third parameter is a CoordinateFocusEnum value. This is an enumeration that specifies which axis to focus on when determining which data point is closer and its distance from the pixel coordinate. For instance, if X is selected as the focus, then it will return the nearest point that has the closest X-coordinate, regardless of the value of the Y-coordinate. The fourth and fifth parameters are integer values that the method will fill with the appropriate Series and Point indices. The sixth parameter is an integer value that the method fills with the distance from the pixel coordinate specified to the data point in pixels. Following is an example of this method in the MouseMove event:

Dim SeriesOutput As Integer

Dim PointOutput As Integer

Dim DistanceOutput As Integer

C1Chart1.ChartGroups.Group0.CoordToDataIndex(e.X, e.Y, CoordinateFocusEnum.XandYCoord, SeriesOutput, PointOutput, DistanceOutput)

Debug.WriteLine("Series Index: " & SeriesOutput)

Debug.WriteLine("Point Index: " & PointOutput)

Debug.WriteLine("Distance From Point: " & DistanceOutput)


Converting To Chart Coordinate Values

Converting To Chart Coordinate Values

The two methods that convert either data coordinates or data indices into pixel coordinates are the DataIndexToCoord and DataCoordToCoord methods of the ChartGroup object. The DataIndexToCoord method takes a series and point index and returns the associated pixel coordinate. The DataCoordToCoord method takes a set of data coordinates and returns a pixel coordinate. These methods are quite similar to the other conversion methods.

The DataIndexToCoord method takes four parameters, and returns a pixel coordinate as seen in the following example:

C1Chart1.ChartGroups.Group0.DataIndexToCoord(ChartSeries, ChartPoint, CoordX, CoordY)

Debug.WriteLine("X Chart Coordinate: " & CoordX)

Debug.WriteLine("Y Chart Coordinate: " & CoordY)

The DataCoordToCoord method takes four parameters, and returns a pixel coordinate as seen in the following example:

C1Chart1.ChartGroups.Group0.DataCoordToCoord(DataCordX, DataCoordY, CoordX, CoordY)

Debug.WriteLine("X Chart Coordinate: " & CoordX)

Debug.WriteLine("Y Chart Coordinate: " & CoordY)


Rotating, Scaling, Translating and Zooming

Rotating, Scaling, Translating and Zooming

C1Chart contains built in tools that simplify the implementation of interactive behaviors for the end user. The end user can explore, rotate and zoom chart using combinations of mouse and shift keys.


Customizing Actions

Customizing Actions

C1Chart contains built in tools that simplify the implementation of interactive behaviors for the end user. The end user can explore, rotate and zoom chart using combinations of mouse and shift keys.

The control center for interactive features is Interaction property of C1Chart. The Interaction object has a number of properties that allow customization of the interface. All of the properties can be set or changed at both designtime and runtime.

•

The IsDefault property is Boolean value that indicates whether the action settings are default. To restore defaults, set the IsDefault property to true.

•

The Enabled property switches on/off interaction. Note that by default interaction is disabled.

•

The Actions property contains a collection of actions that are available for chart.

The supported actions include:

•

"Rotate" action allows changing viewing angle. This action is available only for chart with 3D effects.

•

"Scale" action increases or decreases the scale of chart along the selected axis or axes.

•

"Translate" action provides the opportunity to scroll through plot area.

•

"Zoom" action allows the user to select rectangular area for viewing.

The scaling, translation and zooming are available only for chart with Cartesian axes.

Each Action object provides set of properties that help to customize behavior of action.

•

The Axis property specifies what axis will be involved. It is possible to use only one axis for the action. For example, scaling or translation can be applied in horizontal (x-axis) or vertical (y-axis) direction.

•

The MouseButton and Modifier properties specify the mouse button and key (ALT, CONTROL or SHIFT) combination that will invoke the execution of the action.


Using Properties

Using Properties

1.

In the Properties dialog, expand the Interaction node.

2.

Press the ellipsis next to Actions to display the Action collection editor.

3.

4.

Modify properties as desired.


Controlling Transformation

Controlling Transformation

The transformations applied to the chart can be tuned by using Transform event of C1Chart. When scaling, rotating or zooming occurs, the Transform event fires. Adding handler to this event allows adjusting limits of axes or to cancel the action.

The following example limits the range of x-axis from -10 to 10 by canceling action when axis minimum or maximum is beyond the range.

[VB]

Private Sub C1Chart1_Transform(ByVal sender As Object, ByVal e As C1.Win.C1Chart.TransformEventArgs) Handles C1Chart1.Transform

If e.MinX < -10 Or e.MaxX > 10 Then

e.Cancel = True

End If

End Sub

[C#]

private void c1Chart1_Transform(object sender, C1.Win.C1Chart.TransformEventArgs e)

{

if( e.MinX < -10 || e.MaxX > 10)

e.Cancel = true;

}


Task-Based Help

Task-Based Help


Using 2D Chart Properties

Using 2D Chart Properties

Accessing Axis Properties

Accessing ChartGroups

Modifying Header and Footer Titles

Modifying the Legend

Modifying ChartArea

Modifying PlotArea

Modifying ChartLabels

Adding AlarmZones


Accessing Axis Properties

Accessing Axis Properties

Using Properties

1.

In the Properties dialog, expand the ChartArea node.

2.

Press the ellipsis next to the Axes node to display the ChartAxesCollectionEditor.

3.

Modify the properties as desired. For more information, see Axes Overview.


Accessing ChartGroups

Accessing ChartGroups

ChartGroups are organized into the ChartGroupsCollection which is accessed through the ChartGroups object.

Using Code

The ChartGroupsCollection provides access to the ChartGroups through two methods. First, the individual ChartGroups can be accessed through the collection:

C1Chart.ChartGroups.ChartGroupsCollection(0).ChartType =_

Chart2DTypeEnum.XYPlot

Secondly, the Group0 and Group1 properties of the ChartGroups object return the associated ChartGroup and allow circumvention of the long collection name:

C1Chart.ChartGroups.Group1.ChartType = Chart2DTypeEnum.XYPlot

Using Properties

1.

In the Properties dialog, expand the ChartGroups node.

2.

Press the ellipsis next to ChartGroupsCollection to display the ChartGroupReadOnlyCollectionEditor.

3.

4.

Modify properties as desired. For more information, see Data Objects Organization.


Modifying Header and Footer Titles

Modifying Header and Footer Titles

A chart can have two titles, one called the Header and one called the Footer. Because each title can be positioned above, below, and to the right or left of the chart, it is not necessary to adhere to the traditional concept of Header and Footer at the top and bottom of an object.

Notes:

•

When changing a location, it is necessary to replace the entire Point, not just an X or Y value. This is true of all Controls in .Net.

•

A value of –1 for an X or Y value for the location of a chart element means that the element should be automatically positioned with that coordinate. In the sample below, the Y values of the Header and Footer locations are both –1. The Y coordinate of each is determined automatically by the chart based upon the Compass property setting.


Using Code

Using Code

The sample code below positions the Header at the top of the chart, 20 pixels from the left edge. The Footer is positioned at the chart bottom right, 120 pixels from the chart right edge. By default, the Header and Footer would be centered at the top and bottom, respectively.

C1Chart.Header.Text = "Sample Header Text"

C1Chart.Header.Compass = CompassEnum.North

C1Chart.Header.Location = New Point(20, -1)

C1Chart.Footer.Text = "Sample Footer Text"

C1Chart.Footer.Compass = CompassEnum.South

C1Chart.Footer.Location = New Point(C1Chart.Size – 120, -1)


Using Properties

Using Properties

1.

In the Properties dialog, expand the Footer and Header nodes.

2.

Modify properties as desired. For more information, see Adding Header and Footer Titles.


Modifying the Legend

Modifying the Legend

Whenever data exists in the chart, a Legend is automatically generated. The chart assigns the name specified in the ChartDataSeries object for the series as the series identifier. LineStyle and SymbolStyle determine the symbols that accompany the series name in the Legend. The positioning, border, colors and font used for the Legend can be customized.


Using Code

Using Code

Sample property settings are listed below:

C1Chart.Legend.Compass = CompassEnum.East

C1Chart.Legend.Style.Border.BorderStyle = BorderStyleEnum.Solid

C1Chart.Legend.Style.Border.Thickness = 3

C1Chart.Legend.Style.Border.Color = Color.Black

C1Chart.Legend.Style.BackColor = Color.Gray

C1Chart.Legend.Text = "Legend Text"

Note:

In VB.Net, it is still possible to use the With and End statement that may make it easier to show repeated use of the same object. The code above would look as follows using this method:

With C1Chart.Legend

.Compass = CompassEnum.East

With .Style

With.Border

.BorderStyle = BorderStyleEnum.Solid

.Thickness = 3

.Color = Color.Black

End With

.BackColor = Color.Gray

End With

.Text = "Legend Text"

End With


Using Properties

Using Properties

1.

In the Properties dialog, expand the Legend node.

2.

Modify Properties as desired. For more information, see Formatting the Legend.


Modifying ChartArea

Modifying ChartArea

ChartArea contains properties that control position, appearance, and size of the chart.


Using Properties

Using Properties

1.

In the Properties dialog, expand ChartArea node.

2.

Modify properties as desired. For more information, see Axes Overview.


Modifying PlotArea

Modifying PlotArea


Using Properties

Using Properties

1.

In the Properties dialog, expand the ChartArea node.

2.

Expand the PlotArea node.

3.

Modify the properties as desired. For more information, see Customizing Chart Elements.


Modifying ChartLabels

Modifying ChartLabels

ChartLabels are used to highlight an important data point, but can also be used generally to provide information on data or on the chart.


Using Code

Using Code

The Label object provides a number of properties that help define and position the chart label. The most important of these properties are:

•

The Compass property specifies the positioning of the label around its anchor. For instance, setting the Compass property to East will place the label to the right of the anchor.

•

The AttachMethod property specifies by which method the label will be attached to the chart. It can be attached by Coordinate, DataCoordinate, or by the data point.

•

The Text property specifies the text to appear in the chart label.

•

The IsConnected:Label property is a Boolean, which specifies whether a line is to be drawn from the chart label to its attached location. If True, the line is drawn.

•

The Offset property specifies the distance, in the anchor direction, from the chart label to its attached location, and is of type Long.

•

The DefaultLabelStyle property sets a default style that all the labels will inherit from. For instance, if the BackColor of the default style is set to black, all future labels will have a black backcolor.

The following code sets the above properties:

With C1Chart1.ChartLabels.LabelsCollection.AddNewLabel()

.Text = "Text of the label"

.Compass = LabelCompassEnum.East

.AttachMethod = AttachMethodEnum.DataIndex

.Compass = LabelCompassEnum.East

.Offset = 10

With .AttachMethodData

.GroupIndex = 0

.SeriesIndex = 1

.PointIndex = 2

End With

The above code calls the LabelsCollection AddNewLabel() method which creates a new Label and returns it. Since the return value is an object, it is possible to use the With and End statement on the returned result. Using this method makes working with the Chart objects-- even newly created ones -- much easier, since it is not necessary to Dim up a new variable.

Dim lab As C1.Win.C1Chart.Label

lab = C1Chart1.ChartLabels.LabelsCollection.AddNewLabel()

lab.Text = "Text of the label"

etc.

Note:

When creating variables that reference chart objects, it is usually best to use the fully qualified name which includes the chart namespace. This is especially true for objects with the same name as other commonly used controls and objects like “Label”.

If the label already exists in the collection, and it is desired to change an existing property value, then the label can be accessed by either its index or its name from either the ChartLabelsCollection or the ChartLabels object directly.

lab = C1Chart1.ChartLabels.LabelsCollection(0) ‘ get first label in collection

lab.Text = "New text for the first label"

The code below may also be used:

lab = C1Chart1.ChartLabels(0) ‘ get first label in collection

lab.Text = "New text for the first label"


Using Properties

Using Properties

1.

In the Properties dialog, expand the ChartLabels node.

2.

Press the ellipsis next to LabelsCollection to display the LabelCollectionEditor.

3.

Modify properties as desired. For more information, see Using ChartLabels.


Adding AlarmZones

Adding AlarmZones

AlarmZones are a series of bands that can be placed behind the plotted data, but in front of the chart background. Generally, AlarmZones are used in much the same manner as grid lines, but the ability to modify the AlarmZones allows them to be more visually appealing.


Using Code

Using Code

Adding an alarm zone member to the AlarmZonesCollection in code adds an alarm zone to the chart:

With C1Chart1.ChartArea.PlotArea.AlarmZones.AddNewZone()

.BackColor = Color.Green

.Name = "newzone"

etc. . . .

End With

See also:

C1Chart1.ChartArea.PlotArea.AlarmZones.AddNewZone()


Using Properties

Using Properties

1.

In the Properties dialog, expand the ChartArea node.

2.

Expand the PlotArea node.

3.

Press the ellipsis next to the AlarmZones property to bring up the AlarmZonesCollectionEditor.

4.

Add, remove, or modify alarm zones as desired. For more information, see Alarm Zones.


2D Chart Frequently Asked Questions

2D Chart Frequently Asked Questions

How do I change chart type?

How do I change the way chart data is plotted?

How do I change colors displayed in the chart?

How do I change placement of the Legend?

How do I add or modify a Border?


How do I change chart type?

How do I change chart type?

Previous Next

1.

In the Properties dialog, expand the ChartGroups node.

2.

Press the ellipsis button next to the ChartGroupsCollection to display the ChartGroupsCollectionEditor.

3.

Select the desired chart type from the ChartType property drop-down menu.

Note: When using 2D Chart, the following chart types will be available:

•

XY-Plot

•

Pie

•

Area

•

Polar

•

Radar

•

Bubble

•

HiLo

•

HiLoOpenClose

•

Candle

For more information about chart types, see Choosing the Chart Type.


How do I change the way chart data is plotted?

How do I change the way chart data is plotted?

Previous Next

1.

In the Properties dialog, expand the ChartArea node in Properties.

2.

Expand the node of appropriate axis.

3.

In Grid Minor, set Maxand Min (maximum and minimum interval to display on axis) and set UnitMajor (numerical interval on axis).

For example: If Max is set to 20, Min is set to 0, and UnitMajor is set to 5, every fifth number will display 0, 5, 10, 15, and 20 on the axis.

For more information, see Setting Axis Bounds.


How do I change colors displayed in the chart?

How do I change colors displayed in the chart?

Previous Next

To change series color

1.

Right-click on the chart control.

2.

Select Chart Properties.

3.

Choose Data.

4.

Expand SymbolStyle node.

5.

Select desired color from Color drop-down menu.

To change chart area color

1.

In the properties dialog, expand the ChartArea node.

2.

Expand Style node.

3.

Select desired color from BackColor drop-down menu.

To change axis color

1.

In the Properties dialog, expand the ChartArea node.

2.

Expand Style node.

3.

Expand Font node.

4.

Select desired color from ForeColor drop-down menu.

For more information, see Changing Axis Appearance.


How do I change placement of the Legend?

How do I change placement of the Legend?

Previous Next

1.

In the Properties dialog, expand the Legend node.

2.

Select East, West, North, or South from Compass drop-down menu.

For more information, see Formatting the Legend.


How do I add or modify a Border?

How do I add or modify a Border?

Previous Next

1.

In the Properties dialog, expand the ChartArea node.

2.

Expand Style node.

3.

Expand Border node.

4.

Select style type from the BorderStyle drop-down menu.

5.

Select desired color from the Color drop-down menu.

6.

Increase number of Thickness property to make border more prominent or decrease number to make border less prominent.

For more information, see Using Borders.


C1Chart 2D Reference

C1Chart 2D Reference

Action Class

ActionCollection Class

AlarmZone Class

AlarmZonesCollection Class

Area Class

AttachMethodData Class

AxesCollection Class

Axis Class

Bar Class

Border Class

Bubble Class

C1Chart Class

ChartData Class

ChartDataArray Class

ChartDataSeries Class

ChartDataSeriesCollection Class

ChartGridStyle Class

ChartGroup Class

ChartGroups Class

ChartGroupsCollection Class

ChartLabels Class

ChartLineStyle Class

ChartSymbolStyle Class

DrawDataSeriesEventArgs Class

HiLoData Class

Interaction Class

Label Class

LabelsCollection Class

Legend Class

Margin Class

Pie Class

Polar Class

PlotArea Class

Radar Class

Rounding Class

Style Class

Title Class

TransformEventArgs Class

ValueLabel Class

ValueLabelsCollection Class

View3D Class

C1Chart 2D Enumeration Reference


Action Class

Action Class

Represents interactive action.

Syntax

C1.Win.C1Chart.Action


Action All Members

Action All Members

Action Properties

Axis | Gets or sets the axis or axes that will be used in the transformation action.
Modifier | Gets or sets the key modifier that will be used to start the action.
MouseButton | Gets or sets the mouse button that will be used to start the action.
Name | Gets the action name.


Action Properties

Action Properties

Axis Property

Modifier Property

MouseButton Property

Name Property


Axis Property

Axis Property

Gets or sets the axis or axes that will be used in the transformation action.

Syntax

[VB]

Public Property Axis As AxisFlagEnum

[C#]

public AxisFlagEnum Axis { get; set; }

[Delphi]

property Axis: AxisFlagEnum;

See Also

Action Class


Modifier Property

Modifier Property

Gets or sets the key modifier that will be used to start the action.

Syntax

[VB]

Public Property Modifier As Keys

[C#]

public Keys Modifier { get; set; }

[Delphi]

property Modifier: Keys;

Remarks

This property allows bitwise combination of SHIFT, CONTROL, and ALT keys.

See Also

Action Class


MouseButton Property

MouseButton Property

Gets or sets the mouse button that will be used to start the action.

Syntax

[VB]

Public Property MouseButton As MouseButtons

[C#]

public MouseButtons MouseButton { get; set; }

[Delphi]

property MouseButton: MouseButtons;

See Also

Action Class


Name Property

Name Property

Gets the action name.

Syntax

[VB]

Public Readonly Property Name As String

[C#]

public string Name { get; }

[Delphi]

property Name: string;

See Also

Action Class


ActionCollection Class

ActionCollection Class

Represents the collection of action objects.


ActionCollection Class Members

ActionCollection Class Members

ActionCollection Class Properties

Count | Gets the item count of the collection.
Item | Gets the specified Action from the collection by numeric index or by name.

ActionCollection Class Methods

Contains | Determines whether the specified Action exists in the collection.
CopyTo | Copies the collection Actions beginning with the specified index to an array of Action objects.
IndexOf | Gets the current index of the specified Action in the collection.


ActionCollection Class Properties

ActionCollection Class Properties


Count Property

Count Property

Gets the item count of the collection.

Syntax

[VB]

Public ReadOnly Property Count As Integer

[C#]

public int Count { get; }

[Delphi]

property Count: Integer;

See Also

ActionCollection Class


Item Property

Item Property

Gets the specified Action from the collection by numeric index or by name.

Syntax

[VB]

Default Public ReadOnly Property Item(index as Integer) As Action

Default Public ReadOnly Property Item(name as String) As Action

[C#]

public Action this[int index] { get; }

public Action this[string name] { get; }

[Delphi]

property Item(index: Integer): Action;

property Item(index: string): Action;

See Also

ActionCollection Class


ActionCollection Class Methods

ActionCollection Class Methods

Contains Method

CopyTo Method

IndexOf Method


Contains Method

Contains Method

Determines whether the specified Action exists in the collection.

Syntax

[VB]

Public Function Contains(act As Action) As Boolean

[C#]

public bool Contains(Action act);

[Delphi]

function Contains(act: Action): Integer;

Return Value

A boolean indicating whether the specified action is contained in the collection.

See Also

ActionCollection Class


CopyTo Method

CopyTo Method

Copies the collection of Actions beginning with the specified index to the specified array of Action objects.

Syntax

[VB]

Public Function CopyTo(actions As Action(), index as Integer)

[C#]

public void CopyTo(Action actions[], int index);

[Delphi]

procedure CopyTo(actions: Action; index: Integer);

See Also

ActionCollection Class


IndexOf Method

IndexOf Method

Gets the current index of the specified Action in the collection.

Syntax

[VB]

Public Function IndexOf(act As Action) As Integer

[C#]

public int IndexOf(Action act);

[Delphi]

function IndexOf(act: Action): Integer;

Return Value

Returns an integer indicating the element of the specified Action within the collection. If the Action is not found, then the return value is –1.

See Also

ActionCollection Class


AlarmZone Class

AlarmZone Class

Syntax

C1.Win.C1Chart.AlarmZone


AlarmZone All Members

AlarmZone All Members

AlarmZone Properties

BackColor Supported by the .NET Compact Framework. | Gets or sets the background color of the AlarmZone.
FarExtent Supported by the .NET Compact Framework. | Gets or sets the far extent of the AlarmZone in X-axis data coordinates.
ForeColor Supported by the .NET Compact Framework. | Gets or sets the foreground color of the AlarmZone.
LowerExtent Supported by the .NET Compact Framework. | Gets or sets the lower extent of the AlarmZone in Y-axis data coordinates.
Name Supported by the .NET Compact Framework. | Gets or sets the name of the AlarmZone.
NearExtent Supported by the .NET Compact Framework. | Gets or sets the near extent of the AlarmZone in X-axis data coordinates.
PatternStyle Supported by the .NET Compact Framework. | Gets or sets the pattern style to be used if PatternVisible is true.
PatternVisible Supported by the .NET Compact Framework. | Gets or sets whether the specified PatternStyle should be used to brush the background of the AlarmZone.
UpperExtent Supported by the .NET Compact Framework. | Gets or sets the upper extent of the AlarmZone in Y-axis data coordinates.
Visible Supported by the .NET Compact Framework. | Gets or sets the visibility of the AlarmZone.


AlarmZone Properties

AlarmZone Properties

BackColor Property (AlarmZone)

FarExtent Property

ForeColor Property (AlarmZone)

LowerExtent Property

Name Property (AlarmZone)

NearExtent Property

PatternStyle Property (AlarmZone)

PatternVisible Property (AlarmZone)

UpperExtent Property

Visible Property (AlarmZone)


BackColor Property (AlarmZone)

BackColor Property (AlarmZone)

Previous Next

Gets or sets the background color of the AlarmZone.

Syntax

[VB]

Public Property BackColor As Color

[C#]

public Color BackColor { get; set; }

[Delphi]

property BackColor: Color;

Remarks

Inherits from PlotArea. An AlarmZone always displays the BackColor when showing the zone. If a Pattern is used, the ForeColor is also used to draw the pattern lines.

See Also

AlarmZone Class


FarExtent Property

FarExtent Property

Gets or sets the far extent of the AlarmZone in X-axis data coordinates.

Syntax

[VB]

Public Property FarExtent As Double

[C#]

public double FarExtent { get; set; }

[Delphi]

property FarExtent: Double;

Remarks

Typically, the FarExtent is the larger X value in data coordinates that the AlarmZone extends. If the FarExtent and NearExtent are both zero, then both are assumed to be the Max and Min values of the X-axis, respectively.

See Also

AlarmZone Class


ForeColor Property (AlarmZone)

ForeColor Property (AlarmZone)

Previous Next

Gets or sets the foreground color of the AlarmZone.

Syntax

[VB]

Public Property ForeColor As Color

[C#]

public Color ForeColor { get; set; }

[Delphi]

property ForeColor: Color;

Remarks

Inherits from PlotArea. An AlarmZone always displays the BackColor when showing the zone. If a Pattern is used, the ForeColor is also used to draw the pattern lines.

See Also

AlarmZone Class


LowerExtent Property

LowerExtent Property

Gets or sets the lower extent of the AlarmZone in Y-axis data coordinates.

Syntax

[VB]

Public Property LowerExtent As Double

[C#]

public double LowerExtent { get; set; }

[Delphi]

property LowerExtent: Double;

Remarks

Typically, the LowerExtent is the smaller Y value in data coordinates that the AlarmZone extends. If the UpperExtent and LowerExtent are both zero, then both are assumed to be the Max and Min values of the Y-axis, respectively.

See Also

AlarmZone Class


Name Property (AlarmZone)

Name Property (AlarmZone)

Previous Next

Gets or sets the name of the AlarmZone.

Syntax

[VB]

Public Property Name As String

[C#]

public String Name { get; set; }

[Delphi]

property Name: string;

Remarks

The name can be used for indexing or simple identification.

See Also

AlarmZone Class


NearExtent Property

NearExtent Property

Gets or sets the near extent of the AlarmZone in X-axis data coordinates.

Syntax

[VB]

Public Property NearExtent As Double

[C#]

public double NearExtent { get; set; }

[Delphi]

property NearExtent: Double;

Remarks

Typically, the NearExtent is the smaller X value in data coordinates that the AlarmZone extends. If the FarExtent and NearExtent are both zero, then both are assumed to be the Max and Min values of the X-axis, respectively.

See Also

AlarmZone Class


PatternStyle Property (AlarmZone)

PatternStyle Property (AlarmZone)

Previous Next

Gets or sets the pattern style to be used if PatternVisible is true.

Syntax

[VB]

Public Property PatternStyle As HatchStyle

[C#]

public HatchStyle PatternStyle { get; set; }

[Delphi]

property PatternStyle: HatchStyle;

Remarks

The PatternStyle is penned in the AlarmZone ForeColor.

See Also

AlarmZone Class


PatternVisible Property (AlarmZone)

PatternVisible Property (AlarmZone)

Previous Next

Gets or sets whether the specified PatternStyle should be used to brush the background of the AlarmZone.

Syntax

[VB]

Public Property PatternVisible As Boolean

[C#]

public bool PatternVisible { get; set; }

[Delphi]

property PatternVisible: Boolean;

See Also

AlarmZone Class


UpperExtent Property

UpperExtent Property

Gets or sets the upper extent of the AlarmZone in Y-axis data coordinates.

Syntax

[VB]

Public Property UpperExtent As Double

[C#]

public double UpperExtent { get; set; }

[Delphi]

property UpperExtent: Double;

Remarks

Typically, the UpperExtent is the larger Y value in data coordinates that the AlarmZone extends. If the UpperExtent and LowerExtent are both zero, then both are assumed to be the Max and Min values of the Y-axis, respectively.

See Also

AlarmZone Class


Visible Property (AlarmZone)

Visible Property (AlarmZone)

Previous Next

Gets or sets the visibility of the AlarmZone.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

See Also

AlarmZone Class


AlarmZonesCollection Class

AlarmZonesCollection Class

Syntax

C1.Win.C1Chart.AlarmZonesCollection


AlarmZonesCollection All Members

AlarmZonesCollection All Members

AlarmZonesCollection Properties

Count Supported by the .NET Compact Framework. | Gets the specified AlarmZone count from the collection.
Item Supported by the .NET Compact Framework. | Gets the specified AlarmZone from the collection by numeric index or by name.

AlarmZonesCollection Methods

Add Supported by the .NET Compact Framework. | Adds the specified AlarmZone to the collection.
AddNewZone Supported by the .NET Compact Framework. | Creates a new AlarmZone and appends it to the collection.
Insert Supported by the .NET Compact Framework. | Inserts the specified AlarmZone at the specified index.
InsertNewZone Supported by the .NET Compact Framework. | Creates a new AlarmZone and inserts it at the specified index of the collection.
OnInsert Supported by the .NET Compact Framework. | Called after an AlarmZone is inserted into the collection.
Remove Supported by the .NET Compact Framework. | Removes the specified AlarmZone from the collection.


AlarmZonesCollection Properties

AlarmZonesCollection Properties


Count Property (AlarmZonesCollection)

Count Property (AlarmZonesCollection)

Previous Next

Gets the specified AlarmZone count from the collection.

Syntax

[VB]

Public ReadOnly Property Count As Integer

[C#]

public int Count { get; }

[Delphi]

property Count: Integer;

See Also

AlarmZonesCollection Class


Item Property (AlarmZonesCollection)

Item Property (AlarmZonesCollection)

Previous Next

Gets the specified AlarmZone from the collection by numeric index.

Syntax

[VB]

Default Public ReadOnly Property Item(index As Integer) As AlarmZone

Default Public ReadOnly Property Item(name As String) As AlarmZone

[C#]

public AlarmZone this[int index]{ get; }

public AlarmZone this[string name] { get; }

[Delphi]

property Item(index: Integer): AlarmZone;

property Item(index: string): AlarmZone;

See Also

AlarmZonesCollection Class


AlarmZonesCollection Methods

AlarmZonesCollection Methods

Add Method (AlarmZonesCollection)

AddNewZone Method

Insert Method (AlarmZonesCollection)

InsertNewZone Method

OnInsert Method (AlarmZonesCollection)

Remove Method (AlarmZonesCollection)


Add Method (AlarmZonesCollection)

Add Method (AlarmZonesCollection)

Previous Next

Adds the specified AlarmZone to the collection.

Syntax

[VB]

Public Function Add (azone As AlarmZone) As Integer

[C#]

public int Add(AlarmZone azone);

[Delphi]

function Add(azone: AlarmZone): Integer;

Return Value

An integer indicating the index of the collection to which the AlarmZone was added.

See Also

AlarmZonesCollection Class


AddNewZone Method

AddNewZone Method

Creates a new AlarmZone and appends it to the collection.

Syntax

[VB]

Public Function AddNewZone () As AlarmZone

[C#]

public AlarmZone AddNewZone();

[Delphi]

function AddNewZone AlarmZone;

Return Value

A reference to the newly created AlarmZone.

Remarks

The new AlarmZone is returned. A name unique to the collection is given to the added AlarmZone. An AlarmZone object can be set to the return value, making it very easy to initialize the newly added AlarmZone. For example:

[VB]

Dim Az As AlarmZone = object.AddNewZone()

Az.Name = “GradeA”

and/or,

With object.AddNewZone()

.Name = “GradeA”

.Visible = True

End With

[C#]

AlarmZone Az = object.AddNewZone();

Az.Name = “GradeA”;

See Also

AlarmZonesCollection Class


Insert Method (AlarmZonesCollection)

Insert Method (AlarmZonesCollection)

Previous Next

Inserts the specified AlarmZone at the specified index.

Syntax

[VB]

Public Sub Insert (index As Integer, azone As AlarmZone)

[C#]

public void Insert (int index, AlarmZone azone);

[Delphi]

function Insert(index: Integer; azone: AlarmZone);

See Also

AlarmZonesCollection Class


InsertNewZone Method

InsertNewZone Method

Creates a new AlarmZone and inserts it at the specified index of the collection.

Syntax

[VB]

Public Function InsertNewZone (index As Integer) As AlarmZone

[C#]

public AlarmZone InsertNewZone (int index);

[Delphi]

function InsertNewZone(index: Integer) AlarmZone;

Return Value

A reference to the newly created AlarmZone.

Remarks

The new AlarmZone is returned. A name unique to the collection is given to the added AlarmZone. An AlarmZone object can be set to the return value, making it very easy to initialize the newly added AlarmZone. For example:

[VB]

Dim Az As AlarmZone = object.InsertNewZone(2)

Az.Name = “GradeA”

and/or,

With object.InsertNewZone(2)

.Name = “GradeA”

.Visible = True

End With

[C#]

AlarmZone Az = object.InsertNewZone(2);

Az.Name = “GradeA”;

See Also

AlarmZonesCollection Class


OnInsert Method (AlarmZonesCollection)

OnInsert Method (AlarmZonesCollection)

Previous Next

Called after an AlarmZone is inserted into the collection.

Syntax

[VB]

Public Sub OnInsert (index As Integer, value As Object)

[C#]

public void OnInsert (int index, Object value);

[Delphi]

procedure OnInsert(index: Integer; value: Object);

Remarks

The index specifies the index of the inserted AlarmZone and the value is the inserted AlarmZone. The inserted AlarmZone may be modified.

See Also

AlarmZonesCollection Class


Remove Method (AlarmZonesCollection)

Remove Method (AlarmZonesCollection)

Previous Next

Removes the specified AlarmZone from the collection.

Syntax

[VB]

Public Sub Remove (azone As AlarmZone)

[C#]

public void Remove (AlarmZone azone);

[Delphi]

procedure Remove(azone: AlarmZone);

See Also

AlarmZonesCollection Class


Area Class

Area Class

Syntax

C1.Win.C1Chart.Area

Remarks

The Area class describes the ChartArea of the chart. This area includes all axes and the charted data.


Area All Members

Area All Members

Area Properties

Axes Supported by the .NET Compact Framework. | Gets the axes collection.
AxisX Supported by the .NET Compact Framework. | Gets the primary X-axis object.
AxisY Supported by the .NET Compact Framework. | Gets the primary Y-axis object.
AxisY2 Supported by the .NET Compact Framework. | Gets the primary Y2 axis object.
Inverted Supported by the .NET Compact Framework. | Gets or sets whether the chart area is inverted.
Location Supported by the .NET Compact Framework. | Gets or sets the location of the ChartArea in chart control client coordinates.
LocationDefault Supported by the .NET Compact Framework. | Gets or sets the default location of the ChartArea.
Margins Supported by the .NET Compact Framework. | Gets or sets the size of the Chart Area margins.
PlotArea Supported by the .NET Compact Framework. | Gets the ChartPlot object which describes the region where data is charted.
Size Supported by the .NET Compact Framework. | Gets or sets the size of the ChartArea in chart control client coordinates.
SizeDefault Supported by the .NET Compact Framework. | Gets or sets the default size of the ChartArea.
Style Supported by the .NET Compact Framework. | Gets the ChartArea style.
Visible Supported by the .NET Compact Framework. | Gets or sets the ChartArea visibility.

Area Methods

ResetLocationDefault | Resets the Area location so it is calculated automatically.
ResetSizeDefault | Resets Area size so it is calculated automatically.
ResetStyle | Resets Area style inheritance state.
ShouldSerializeLocationDefault | Returns true if the ChartArea LocationDefault property is in the default state.
ShouldSerializeMargins | Returns true if the ChartArea margins are set to their default values.
ShouldSerializeSizeDefault | Returns true if the ChartArea SizeDefault property is in the default state.
ShouldSerializeStyle | Returns true if the ChartArea style property is in the default state.


Area Properties

Area Properties

Axes Property (Area)

AxisX Property (Area)

AxisY Property (Area)

AxisY2 Property

Inverted Property

Location Property (Area)

LocationDefault Property (Area)

Margins Property

PlotArea Property

Size Property (Area)

SizeDefault Property (Area)

Style Property (Area)

Visible Property (Area)


Axes Property (Area)

Axes Property (Area)

Previous Next

Gets the axes collection.

Syntax

[VB]

Public ReadOnly Property Axes As AxesCollection

[C#]

public AxesCollection Axes { get; }

[Delphi]

property Axes: AxesCollection;

Remarks

This collection contains the X, Y and Y2 axes. The Axes collection is provided to allow the convenience of iterating on each axis in the collection while setting properties. The elements of the collection are the same objects as exposed by the Area AxisX, AxisY and AxisY2 properties. The number of elements in the Axes collection cannot be changed.

See Also

Area Class


AxisX Property (Area)

AxisX Property (Area)

Previous Next

Gets the primary X-axis object.

Syntax

[VB]

Public ReadOnly Property AxisX As Axis

[C#]

public Axis AxisX { get; }

[Delphi]

property AxisX: Axis;

See Also

Area Class


AxisY Property (Area)

AxisY Property (Area)

Previous Next

Gets the primary Y-axis object.

Syntax

[VB]

Public ReadOnly Property AxisY As Axis

[C#]

public Axis AxisY { get; }

[Delphi]

property AxisY: Axis;

See Also

Area Class


AxisY2 Property

AxisY2 Property

Gets the primary Y2 axis object.

Syntax

[VB]

Public ReadOnly Property AxisY2 As Axis

[C#]

public Axis AxisY2 { get; }

[Delphi]

property AxisY2: Axis;

See Also

Area Class


Inverted Property

Inverted Property

Gets or sets whether the chart area is inverted.

Syntax

[VB]

Public Property Inverted As Boolean

[C#]

public bool Inverted { get; set; }

[Delphi]

property Inverted: Boolean;

Remarks

This property is necessary for Inverted Bar Charts. Setting Inverted to True will invert the Axes, to reverse the Minimum and Maximum values of the Axis, use the Reversed property.

See Also

Area Class


Location Property (Area)

Location Property (Area)

Previous Next

Gets or sets the location of the ChartArea in chart control client coordinates.

Syntax

[VB]

Public Property Location As Point

[C#]

public Point Location { get; set; }

[Delphi]

property Location: Point;

Remarks

The Location property always returns the actual location of the upper, left corner of the chart element it describes whether or not the element placement is manual or automatic.

Modifying this value will change LocationDefault.

See Also

Area Class


LocationDefault Property (Area)

LocationDefault Property (Area)

Previous Next

Gets or sets the default location of the ChartArea.

Syntax

[VB]

Public Property LocationDefault As Point

[C#]

public Point LocationDefault { get; set; }

[Delphi]

property LocationDefault: Point;

Remarks

The LocationDefault property specifies the location of the upper, left corner of the chart element it describes. Non-negative values indicate the explicit position in chart client coordinates to place the chart element. Negative values will allow auto-positioning.

See Also

Area Class


Margins Property

Margins Property

Gets or sets the size of the Chart Area margins.

Syntax

[VB]

Public Property Margins As Margin

[C#]

public Margin Margins { get; set; }

[Delphi]

property Margins: Margin;

Remarks

The four margin values (Bottom, Top, Left, and Right) are each C1Chart Margin objects. Each object takes an integer value, and setting its value to –1 will allow for margin auto-positioning.

See Also

Area Class


PlotArea Property

PlotArea Property

Gets the ChartPlot object that describes the region where data is charted.

Syntax

[VB]

Public ReadOnly Property PlotArea As PlotArea

[C#]

public PlotArea PlotArea { get; }

[Delphi]

property PlotArea: PlotArea;

See Also

Area Class


Size Property (Area)

Size Property (Area)

Previous Next

Gets or sets the size of the ChartArea in chart control client coordinates.

Syntax

[VB]

Public Property Size As Size

[C#]

public Size Size { get; set; }

[Delphi]

property Size: Size;

Remarks

The Size property always returns the actual size of the chart element it describes whether or not the element placement is manual or automatic.

Modifying this value will change SizeDefault.

See Also

Area Class


SizeDefault Property (Area)

SizeDefault Property (Area)

Previous Next

Gets or sets the default size of the ChartArea.

Syntax

[VB]

Public Property SizeDefault As Size

[C#]

public Size SizeDefault { get; set; }

[Delphi]

property SizeDefault: Size;

Remarks

The SizeDefault property specifies the size of the chart element it describes. Non-negative values indicate the explicit width and height in chart client coordinates to place the chart element. Negative values will allow auto-positioning.

See Also

Area Class


Style Property (Area)

Style Property (Area)

Previous Next

Gets the ChartArea style.

Syntax

[VB]

Public ReadOnly Property Style As Style

[C#]

public Style Style { get; }

[Delphi]

property Style: Style;

Remarks

Inherits from the C1Chart style. The chart elements included within the ChartArea area, including Axes and PlotArea inherit their styles from the ChartArea style.

See Also

Area Class


Visible Property (Area)

Visible Property (Area)

Previous Next

Gets or sets the ChartArea visibility.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

Remarks

If this property is false, the ChartArea and all objects included in the ChartArea, include Axes and PlotArea are not visible.

See Also

Area Class


Area Methods

Area Methods

ResetLocationDefault Method (Area)

ResetSizeDefault Method (Area)

ResetStyle Method (Area)

ShouldSerializeLocationDefault Method (Area)

ShouldSerializeMargins Method (Area)

ShouldSerializeSizeDefault Method (Area)

ShouldSerializeStyle Method (Area)


ResetLocationDefault Method (Area)

ResetLocationDefault Method (Area)

Previous Next

Resets the Area location so it is calculated automatically.

Syntax

[VB]

Public Sub ResetLocationDefault()

[C#]

public void ResetLocationDefault();

[Delphi]

procedure ResetLocationDefault;

See Also

Area Class


ResetSizeDefault Method (Area)

ResetSizeDefault Method (Area)

Previous Next

Resets Area size so it is calculated automatically.

Syntax

[VB]

Public Sub ResetSizeDefault()

[C#]

public void ResetSizeDefault();

[Delphi]

procedure ResetSizeDefault;

See Also

Area Class


ResetStyle Method (Area)

ResetStyle Method (Area)

Previous Next

Resets Area style inheritance state.

Syntax

[VB]

Public Sub ResetStyle()

[C#]

public void ResetStyle();

[Delphi]

procedure ResetStyle;

See Also

Area Class


ShouldSerializeLocationDefault Method (Area)

ShouldSerializeLocationDefault Method (Area)

Previous Next

Returns true if the ChartArea LocationDefault property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeLocationDefault() As Boolean

[C#]

public bool ShouldSerializeLocationDefault ( )

[Delphi]

function ShouldSerializeLocationDefault: Boolean;

Remarks

The default state is LocationDefault.X = -1, LocationDefault.Y = -1, which results in automatic placment of the ChartArea.

See Also

Area Class


ShouldSerializeMargins Method (Area)

ShouldSerializeMargins Method (Area)

Previous Next

Returns true if the ChartArea margins are set to their default values.

Syntax

[VB]

Public Function ShouldSerializeMargins() As Boolean

[C#]

public bool ShouldSerializeMargins ( )

[Delphi]

function ShouldSerializeMargins: Boolean;

Remarks

The default for all margins is 0.

See Also

Area Class


ShouldSerializeSizeDefault Method (Area)

ShouldSerializeSizeDefault Method (Area)

Previous Next

Returns true if the ChartArea SizeDefault property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeSizeDefault() As Boolean

[C#]

public System.Boolean ShouldSerializeSizeDefault ( )

[Delphi]

function ShouldSerializeSizeDefault: Boolean;

Remarks

The default state is SizeDefault.Width = -1, SizeDefault.Height = -1, which results in automatic sizing of the ChartArea.

See Also

Area Class


ShouldSerializeStyle Method (Area)

ShouldSerializeStyle Method (Area)

Previous Next

Returns true if the ChartArea style property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeStyle() As Boolean

[C#]

public bool ShouldSerializeStyle ( )

[Delphi]

function ShouldSerializeStyle: Boolean;

Remarks

The default state is to inherit the style from the parent C1Chart object.

See Also

Area Class


AttachMethodData Class

AttachMethodData Class

Syntax

C1.Win.C1Chart.AttachMethodData

Remarks

The AttachMethodData Class is used by chart Label objects in conjunction with the Label object AttachMethod property to identify how the Label is placed or attached to the chart. Each of the AttachMethodData object properties are meaning only in the context of the AttachMethod value.


AttachMethodData All Members

AttachMethodData All Members

AttachMethodData Properties

GroupIndex Supported by the .NET Compact Framework. | Gets or sets the group index of the data point to attach a label when the label AttachMethod property specifies DataIndex attachment.
PointIndex Supported by the .NET Compact Framework. | Gets or sets the point index of the data point to attach a label when the label AttachMethod property specifies DataIndex attachment.
SeriesIndex Supported by the .NET Compact Framework. | Gets or sets the series index of the data point to attach a label when the label AttachMethod property specifies DataIndex attachment.
X Supported by the .NET Compact Framework. | Gets or sets the X coordinate (data or client) when the label AttachMethod property specifies Coordinate or DataCoordinate attachment.
Y Supported by the .NET Compact Framework. | Gets or sets the Y coordinate (data or client) when the label AttachMethod property species Coordinate or DataCoordinate attachment.


AttachMethodData Properties

AttachMethodData Properties

GroupIndex Property

PointIndex Property

SeriesIndex Property

X Property (AttachMethodData)

Y Property (AttachMethodData)


GroupIndex Property

GroupIndex Property

Gets or sets the group index of the data point to attach a label when the label AttachMethod property specifies DataIndex attachment.

Syntax

[VB]

Public Property GroupIndex As Integer

[C#]

public int GroupIndex { get; set; }

[Delphi]

property GroupIndex: Integer;

See Also

AttachMethodData Class


PointIndex Property

PointIndex Property

Gets or sets the point index of the data point to attach a label when the label AttachMethod property specifies DataIndex attachment.

Syntax

[VB]

Public Property PointIndex As Integer

[C#]

public int PointIndex { get; set; }

[Delphi]

property PointIndex: Integer;

See Also

AttachMethodData Class


SeriesIndex Property

SeriesIndex Property

Gets or sets the series index of the data point to attach a label when the label AttachMethod property specifies DataIndex attachment.

Syntax

[VB]

Public Property SeriesIndex As Integer

[C#]

public int SeriesIndex { get; set; }

[Delphi]

property SeriesIndex: Integer;

See Also

AttachMethodData Class


X Property (AttachMethodData)

X Property (AttachMethodData)

Previous Next

Gets or sets the X coordinate (data or client) when the label AttachMethod property specifies Coordinate or DataCoordinate attachment.

Syntax

[VB]

Public Property X As Double

[C#]

public double X { get; set; }

[Delphi]

property X: Double;

See Also

AttachMethodData Class


Y Property (AttachMethodData)

Y Property (AttachMethodData)

Previous Next

Gets or sets the Y coordinate (data or client) when the label AttachMethod property species Coordinate or DataCoordinate attachment.

Syntax

[VB]

Public Property Y As Double

[C#]

public double Y { get; set; }

[Delphi]

property Y: Double;

See Also

AttachMethodData Class


AxesCollection Class

AxesCollection Class

Syntax

C1.Win.C1Chart.AxesCollection


AxesCollection All Members

AxesCollection All Members

AxesCollection Properties

Count | Gets the item count of the collection.
Item Supported by the .NET Compact Framework. | Gets the specified Axis from the collection.


AxesCollection Properties

AxesCollection Properties


Count Property (AxesCollection)

Count Property (AxesCollection)

Previous Next

Gets the item count of the collection.

Syntax

[VB]

Public ReadOnly Property Count As Integer

[C#]

public int Count { get; }

[Delphi]

property Count: Integer;

See Also

AxesCollection Class


Item Property (AxesCollection)

Item Property (AxesCollection)

Previous Next

Gets the specified Axis from the collection by numeric index or by name.

Syntax

[VB]

Default Public ReadOnly Property Item(index as Integer) As Axis

Default Public ReadOnly Property Item(name as String) As Axis

[C#]

public Axis this[int index] { get; }

public Axis this[string name] { get; }

[Delphi]

property Item(index: Integer): Axis;

property Item(index: string): Axis;

See Also

AxesCollection Class


Axis Class

Axis Class

Syntax

C1.Win.C1Chart.Axis


Axis All Members

Axis All Members

Axis Properties

Alignment Supported by the .NET Compact Framework. | Gets or sets the text alignment within the axis display.
AnnoFormat Supported by the .NET Compact Framework. | Gets or sets the annotation format.
AnnoFormatString Supported by the .NET Compact Framework. | Gets or sets the annotation format string used with manual formats.
AnnoMethod Supported by the .NET Compact Framework. | Gets or sets the annotation method used.
AnnotationRotation Supported by the .NET Compact Framework | Gets or sets the clockwise angle of rotation for the axis annotations.
AutoMajor Supported by the .NET Compact Framework. | Gets or sets whether major tick mark values are calculated automatically.
AutoMax Supported by the .NET Compact Framework. | Gets or sets whether the axis maximum value is calculated automatically.
AutoMin Supported by the .NET Compact Framework. | Gets or sets whether the axis minimum value is calculated automatically.
AutoMinor Supported by the .NET Compact Framework. | Gets or sets whether minor tick mark values are calculated automatically.
AutoOrigin | Gets or sets whether the axis origin is selected automatically.
Compass Supported by the .NET Compact Framework. | Gets or sets the general positioning of the axis.
Font Supported by the .NET Compact Framework. | Gets or sets the font object.
ForeColor Supported by the .NET Compact Framework. | Gets or sets the forecolor.
GridMajor Supported by the .NET Compact Framework. | Gets or sets the major grid lines object.
GridMinor Supported by the .NET Compact Framework. | Gets or sets the minor grid lines object.
IsLogarithmic Supported by the .NET Compact Framework. | Gets or sets whether the axis is scaled logarithmically.
Max Supported by the .NET Compact Framework. | Gets or sets the maximum value of the axis.
Min Supported by the .NET Compact Framework. | Gets or sets the minimum value of the axis.
Name Supported by the .NET Compact Framework. | Gets the axis name.
OnTop Supported by the .NET Compact Framework. | Gets or sets whether axis and gridlines appear on top of the chart image.
Origin Supported by the .NET Compact Framework. | Gets or sets the axis origin, the value on axis where the perpendicular axis is rendered.
Reversed Supported by the .NET Compact Framework. | Gets or sets whether the axis is normal or reversed (ascending or descending).
Rotation Supported by the .NET Compact Framework. | Gets or sets the clockwise angle of rotation for the axis annotations.
Text Supported by the .NET Compact Framework. | Gets or sets the textual caption of the axis.
Thickness Supported by the .NET Compact Framework. | Gets or sets the line thickness of the axis in pixels.
TickLabels Supported by the .NET Compact Framework. | Gets or sets the axis annotation position (not fully implemented).
TickMajor Supported by the .NET Compact Framework. | Gets or sets the type of major tick mark.
TickMinor Supported by the .NET Compact Framework. | Gets or sets the type of minor tick mark.
UnitMajor Supported by the .NET Compact Framework. | Gets or sets the units between major tick marks.
UnitMinor Supported by the .NET Compact Framework. | Gets or sets the units between minor tick marks.
ValueLabels Supported by the .NET Compact Framework. | Gets the ValueLabelsCollection.
Visible Supported by the .NET Compact Framework. | Gets or sets the axis visibility.

Axis Methods

ResetFont | Resets the inheritance state of the axis font.
ResetForeColor | Resets the inheritance state of the axis forecolor.
ShouldSerializeFont | Returns true if the Axis Font property is in the default state.
ShouldSerializeForeColor | Returns true if the Axis ForeColor property is in the default state.


Axis Properties

Axis Properties

Alignment Property

AnnoFormat Property

AnnoFormatString Property

AnnoMethod Property

AnnotationRotation Property

AutoMajor Property

AutoMax Property

AutoMin Property

AutoMinor Property

AutoOrigin Property

Compass Property (Axis)

Font Property (Axis)

ForeColor Property (Axis)

GridMajor Property

GridMinor Property

IsLogarithmic Property

Max Property

Min Property

Name Property (Axis)

OnTop Property

Origin Property

Reversed Property

Rotation Property (Axis)

Text Property (Axis)

Thickness Property (Axis)

TickLabels Property

TickMajor Property

TickMinor Property

UnitMajor Property

UnitMinor Property

ValueLabels Property

Visible Property (Axis)


Alignment Property

Alignment Property

Gets or sets the text alignment within the axis display.

Syntax

[VB]

Public Property Alignment As System.Drawing.StringAlignment

[C#]

public System.Drawing.StringAlignment Alignment { get; set; }

[Delphi]

property Alignment: StringAlignment;

See Also

Axis Class


AnnoFormat Property

AnnoFormat Property

Gets or sets the annotation format for the axis.

Syntax

[VB]

Public Property AnnoFormat As FormatEnum

[C#]

public FormatEnum AnnoFormat { get; set; }

[Delphi]

property AnnoFormat: FormatEnum;

Remarks

The AnnoFormat property allow specification of numeric and time formats using enumerated values.

For numeric values, each of the enumerations specify formatting similar to that specified by the .Net NumberFormatInfo class, including Currency, General, Exponential, Percentage, Roundtrip and Hexadecimal. NumericManual is used in conjunction with the AnnoFormatString property to specify a custom format string.

For date/time values, each of the enumerations specify formatting similar to that specified by the .Net DateTimeFormatInfo class, including combinations of long and short dates and times, and universional time representations. DateManual is used in conjunction with the AnnoFormatString property to specify a custom format string.

See Also

Axis Class


AnnoFormatString Property

AnnoFormatString Property

Gets or sets the annotation format string used with manual formats.

Syntax

[VB]

Public Property AnnoFormatString As String

[C#]

public String AnnoFormatString { get; set; }

[Delphi]

property AnnoFormatString: string;

Remarks

Only used when AnnoFormat property is NumericManual or DateManual.The AnnoFormatString property specifies a custom string for formatting the annotations along the axis.

When the AnnoFormat property is NumericManual, the AnnoFormatString property can be set to format strings as described by the .Net double.ToString(AnnoFormatString) method call. Custom numeric format strings are described in detail by the .Net documentation under “Custom Numeric Format Strings”. If the AnnoFormatString property is empty, then “g” or General is used.

When the AnnoFormat property is DateManual, the AnnoFormatString property can be set to format string as described by the .Net DateTime.ToString(AnnoFormatSTring) method call. Custom DateTime format strings are described in detail by the .Net documentation under “Date and Time Format Strings”. If the AnnoFormatString property is empty, then C1Chart selects a format string appropriate for the time span defined by the axis maximum and minimum values.

See Also

Axis Class


AnnoMethod Property

AnnoMethod Property

Gets or sets the annotation method used.

Syntax

[VB]

Public Property AnnoMethod As AnnotationMethodEnum

[C#]

public AnnotationMethodEnum AnnoMethod { get; set; }

[Delphi]

property AnnoMethod: AnnotationMethodEnum;

Remarks

AnnotationMethodEnum has two possible values, ValueLabels or Values. Values annotation can be used with any chart type in any instance. ValueLablels annotation cannot be used on the X-axis and the Y-axis for Pie charts.

See Also

Axis Class


AnnotationRotation Property

AnnotationRotation Property

Gets or sets the clockwise angle of rotation for the axis annotations.

Syntax

[VB]

Public Property AnnotationRotation As Integer

[C#]

public int AnnotationRotation { get; set; }

[Delphi]

property AnnotationRotation: Integer;

Remarks

The angle of rotation is always specified in degrees. Rotations between +/- 30 to +/- 60 degrees are ideal for X-axis annotation when a large number of labels are desired.

See Also

Axis Class


AutoMajor Property

AutoMajor Property

Gets or sets whether major tick mark values are calculated automatically.

Syntax

[VB]

Public Property AutoMajor As Boolean

[C#]

public bool AutoMajor { get; set; }

[Delphi]

property AutoMajor: Boolean;

Remarks

Setting the UnitMajor property automatically sets AutoMajor to false.

See Also

Axis Class


AutoMax Property

AutoMax Property

Gets or sets whether the axis maximum value is calculated automatically.

Syntax

[VB]

Public Property AutoMax As Boolean

[C#]

public bool AutoMax { get; set; }

[Delphi]

property AutoMax: Boolean;

Remarks

Setting the Max property automatically sets AutoMax to false.

See Also

Axis Class


AutoMin Property

AutoMin Property

Gets or sets whether the axis minimum value is calculated automatically.

Syntax

[VB]

Public Property AutoMin As Boolean

[C#]

public bool AutoMin { get; set; }

[Delphi]

property AutoMin: Boolean;

Remarks

Setting the Min property automatically sets AutoMin to false.

See Also

Axis Class


AutoMinor Property

AutoMinor Property

Gets or sets whether minor tick mark values are calculated automatically.

Syntax

[VB]

Public Property AutoMinor As Boolean

[C#]

public bool AutoMinor { get; set; }

[Delphi]

property AutoMinor: Boolean;

Remarks

Setting the UnitMinor property automatically sets AutoMinor to false.

See Also

Axis Class


AutoOrigin Property

AutoOrigin Property

Gets or sets whether the axis origin is selected automatically.

Syntax

[VB]

Public Property AutoOrigin As Boolean

[C#]

public bool AutoOrigin { get; set; }

[Delphi]

property AutoOrigin: Boolean;

See Also

Axis Class


Compass Property (Axis)

Compass Property (Axis)

Previous Next

Gets or sets the general positioning of the axis.

Syntax

[VB]

Public Property Compass As CompassEnum

[C#]

public CompassEnum Compass { get; set; }

[Delphi]

property Compass: CompassEnum;

Remarks

X may be set to North/South, Y and Y2 may be set to East/West.

See Also

Axis Class


Font Property (Axis)

Font Property (Axis)

Previous Next

Gets or sets the font object.

Syntax

[VB]

Public Property Font As Font

[C#]

public Font Font { get; set; }

[Delphi]

property Font: Font;

Remarks

Inherits from the ChartArea.

Associated with the Font Property, is the ResetFont() method. This method restores the inheritance state for the axis font. If a font is explicitly set for an axis, it no longer inherits from the ChartArea; so changing the ChartArea font no longer affects or changes the axis value. Calling ResetFont() restores the inherited state so changes to the ChartArea font will once again change the axis font.

See Also

Axis Class


ForeColor Property (Axis)

ForeColor Property (Axis)

Previous Next

Gets or sets the forecolor.

Syntax

[VB]

Public Property ForeColor As Color

[C#]

public Color ForeColor { get; set; }

[Delphi]

property ForeColor: Color;

Remarks

Inherits from the ChartArea. The ForeColor is used to set the color of the axis line and annotations.

Associated with the ForeColor Property, is the ResetForeColor() method. This method restores the inheritance state for the axis forecolor. If a forecolor is explicitly set for an axis, it no longer inherits from the ChartArea, so changing the ChartArea forecolor no longer affects or changes the axis value. Calling ResetForecolor () restores the inherited state so changes to the ChartArea font will once again change the axis forecolor.

See Also

Axis Class


GridMajor Property

GridMajor Property

Gets or sets the major grid lines object.

Syntax

[VB]

Public Property GridMajor As ChartGridStyle

[C#]

public ChartGridStyle GridMajor { get; set; }

[Delphi]

property GridMajor: ChartGridStyle;

Remarks

Major grids are placed coincident with major tick marks at UnitMajor intervals. The GridMajor property is used to set the grid line appearance.

See Also

Axis Class


GridMinor Property

GridMinor Property

Gets or sets the minor grid lines object.

Syntax

[VB]

Public Property GridMinor As ChartGridStyle

[C#]

public ChartGridStyle GridMinor { get; set; }

[Delphi]

property GridMinor: ChartGridStyle;

Remarks

Minor grids are placed coincident with minor tick marks at UnitMinor intervals. The GridMinor property is used to set the grid line appearance.

See Also

Axis Class


IsLogarithmic Property

IsLogarithmic Property

Gets or sets when the axis is scaled logarithmically.

Syntax

[VB]

Public Property IsLogarithmic As Boolean

[C#]

public bool IsLogarithmic { get; set; }

[Delphi]

property IsLogarithmic: Boolean;

Remarks

Logarithmic scaling does not make mathematical sense when values are less than or equal to zero. Therefore, negative and zero values are not plotted against axes that have the IsLogarithmic property set to true.

See Also

Axis Class


Max Property

Max Property

Gets or sets the maximum value of the axis.

Syntax

[VB]

Public Property Max As Double

[C#]

public double Max { get; set; }

[Delphi]

property Max: Double;

Remarks

Setting the Max property automatically changes AutoMax to false.

See Also

Axis Class


Min Property

Min Property

Gets or sets the minimum value of the axis.

Syntax

[VB]

Public Property Min As Double

[C#]

public double Min { get; set; }

[Delphi]

property Min: Double;

Remarks

Setting the Min property automatically changes AutoMin to false.

See Also

Axis Class


Name Property (Axis)

Name Property (Axis)

Previous Next

Gets the axis name.

Syntax

[VB]

Public ReadOnly Property Name As String

[C#]

public String Name { get; }

[Delphi]

property Name: string;

See Also

Axis Class


OnTop Property

OnTop Property

Gets or sets whether axis and gridlines appear on top of the chart image.

Syntax

[VB]

Public Property OnTop As Boolean

[C#]

public bool OnTop { get; set; }

[Delphi]

property OnTop: Boolean;

See Also

Axis Class


Origin Property

Origin Property

Gets or sets the axis origin, the value on axis where the perpendicular axis is rendered.

Syntax

[VB]

Public Property Origin As Double

[C#]

public double Origin { get; set; }

[Delphi]

property Origin: Double;

See Also

Axis Class


Reversed Property

Reversed Property

Gets or sets whether the axis is normal or reversed (ascending or descending).

Syntax

[VB]

Public Property Reversed As Boolean

[C#]

public bool Reversed { get; set; }

[Delphi]

property Reversed: Boolean;

See Also

Axis Class


Rotation Property (Axis)

Rotation Property (Axis)

Previous Next

Gets or sets the rotational orientation of the textual caption of the axis.

Syntax

[VB]

Public Property Rotation As RotationEnum

[C#]

public RotationEnum Rotation { get; set; }

[Delphi]

property Rotation: RotationEnum;

See Also

Axis Class


Text Property (Axis)

Text Property (Axis)

Previous Next

Gets or sets the textual caption of the axis.

Syntax

[VB]

Public Property Text As String

[C#]

public String Text { get; set; }

[Delphi]

property Text: string;

See Also

Axis Class


Thickness Property (Axis)

Thickness Property (Axis)

Previous Next

Gets or sets the line thickness of the axis in pixels.

Syntax

[VB]

Public Property Thickness As Integer

[C#]

public int Thickness { get; set; }

[Delphi]

property Thickness: Integer;

See Also

Axis Class


TickLabels Property

TickLabels Property

Gets or sets the position of Axis annotations.

Syntax

[VB]

Public Property TickLabels As TickLabelsEnum

[C#]

public TickLabelsEnum TickLabels { get; set; }

[Delphi]

property TickLabels: TickLabelsEnum;

Remarks

Axis annotations can be placed on the chart in several positions or not at all. See the TickLabelsEnum Enumeration for details. Note: not fully implemented.

See Also

Axis Class


TickMajor Property

TickMajor Property

Gets or sets the type of major tick mark.

Syntax

[VB]

Public Property TickMajor As TickMarksEnum

[C#]

public TickMarksEnum TickMajor { get; set; }

[Delphi]

property TickMajor: TickMarksEnum;

Remarks

Tick marks can be place on either side or both sides of the axis line. Note that if the TickMajor property is set to TickMarksEnum.None then major tick marks are not drawn.

See Also

Axis Class


TickMinor Property

TickMinor Property

Gets or sets the type of minor tick mark.

Syntax

[VB]

Public Property TickMinor As TickMarksEnum

[C#]

public TickMarksEnum TickMinor { get; set; }

[Delphi]

property TickMinor: TickMarksEnum;

Remarks

Tick marks can be placed on either side or both sides of the axis line. Note that if the TickMinor property is set to TickMarksEnum.None, then minor tick marks are not drawn.

See Also

Axis Class


UnitMajor Property

UnitMajor Property

Gets or sets the units between major tick marks.

Syntax

[VB]

Public Property UnitMajor As Double

[C#]

public double UnitMajor { get; set; }

[Delphi]

property UnitMajor: Double;

Remarks

Setting this value automatically changes AutoMajor to false.

See Also

Axis Class


UnitMinor Property

UnitMinor Property

Gets or sets the units between minor tick marks.

Syntax

[VB]

Public Property UnitMinor As Double

[C#]

public double UnitMinor { get; set; }

[Delphi]

property UnitMinor: Double;

Remarks

Setting this value automatically changes AutoMinor to false.

See Also

Axis Class


ValueLabels Property

ValueLabels Property

Gets the ValueLabelsCollection object.

Syntax

[VB]

Public ReadOnly Property ValueLabels As ValueLabelsCollection

[C#]

public ValueLabelsCollection ValueLabels { get; }

[Delphi]

property ValueLabels: ValueLabelsCollection;

See Also

Axis Class


Visible Property (Axis)

Visible Property (Axis)

Previous Next

Gets or sets the axis visibility.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

See Also

Axis Class


Axis Methods

Axis Methods

ResetFont Method

ResetForeColor Method

ShouldSerializeFont Method (Axis)

ShouldSerializeForeColor Method (Axis)


ResetFont Method

ResetFont Method

Resets the inheritance state of the axis font.

Syntax

[VB]

Public Sub ResetFont()

[C#]

public void ResetFont();

[Delphi]

procedure ResetFont;

Remarks

This method resets the inheritance state of the axis font. By default, the font used for the axis is that specified by the ChartArea style. In the inherited state, any changes to the ChartArea style are reflected in the axis font. However, if the font for the axis is explicitly changed, changing the ChartArea style font no longer affects the axis style. Calling ResetFont() restores the inherited state, so once again the font used by the axis will be the same as that specified by the ChartArea style.

See Also

Axis Class

C1Chart Class


ResetForeColor Method

ResetForeColor Method

Resets the inheritance state of the axis forecolor.

Syntax

[VB]

Public Sub ResetForeColor()

[C#]

public void ResetForeColor();

[Delphi]

procedure ResetForeColor;

Remarks

This method resets the inheritance state of the axis forecolor. By default, the forecolor used for the axis is that specified by the ChartArea style. In the inherited state, any changes to the ChartArea style are reflected in the axis forecolor. However, if the forecolor for the axis is explicitly changed, changing the ChartArea style forecolor no longer affects the axis style. Calling ResetForecolor() restores the inherited state, so once again the forecolor used by the axis will be the same as that specified by the ChartArea style.

See Also

Axis Class

C1Chart Class


ShouldSerializeFont Method (Axis)

ShouldSerializeFont Method (Axis)

Previous Next

Returns true if the Axis Font property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeFont() As Boolean

[C#]

public bool ShouldSerializeFont ( )

[Delphi]

function ShouldSerializeFont: Boolean;

Remarks

The default state is to inherit the font from the ChartArea object.

See Also

Axis Class


ShouldSerializeForeColor Method (Axis)

ShouldSerializeForeColor Method (Axis)

Previous Next

Returns true if the Axis ForeColor property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeForeColor() As Boolean

[C#]

public bool ShouldSerializeForeColor ( )

[Delphi]

function ShouldSerializeForeColor: Boolean;

Remarks

The default state is to inherit the ForeColor from the ChartArea object.

See Also

Axis Class


Bar Class

Bar Class

Syntax

C1.Win.C1Chart.Bar

Remarks

The Bar class and its properties are only used for bar charts. It is returned by the Bar property of a ChartGroup.


Bar All Members

Bar All Members

Bar Properties

ClusterOverlap Supported by the .NET Compact Framework. | Gets or sets the percentage that bar elements in the same cluster overlap.
ClusterWidth Supported by the .NET Compact Framework. | Gets or sets the percentage that each bar cluster occupies.


Bar Properties

Bar Properties


ClusterOverlap Property

ClusterOverlap Property

Gets or sets the percentage that bar elements in the same cluster overlap.

Syntax

[VB]

Public Property ClusterOverlap As Integer

[C#]

public int ClusterOverlap { get; set; }

[Delphi]

property ClusterOverlap: Integer;

See Also

Bar Class


ClusterWidth Property

ClusterWidth Property

Gets or sets the percentage that each bar cluster occupies.

Syntax

[VB]

Public Property ClusterWidth As Integer

[C#]

public int ClusterWidth { get; set; }

[Delphi]

property ClusterWidth: Integer;

Remarks

The percentage applies to the closest clusters.

See Also

Bar Class


Border Class

Border Class

Syntax

C1.Win.C1Chart.Border

Remarks

The Border class is used to describe the border appearance of various elements of the chart, including the chart itself, the ChartArea, the Legend, the Header, the Footer and Labels.


Border All Members

Border All Members

Border Properties

BorderStyle Supported by the .NET Compact Framework. | Gets or sets the border style.
Color Supported by the .NET Compact Framework. | Gets or sets the border color.
Rounding | Gets the Rounding object that controls the rounding of corners.
Thickness Supported by the .NET Compact Framework. | Gets or sets the border thickness.

Border Methods

ShouldSerializeColor

Returns true if the Border Color property is in the default state.


Border Properties

Border Properties

BorderStyle Property

Color Property (Border)

Rounding Property

Thickness Property (Border)


BorderStyle Property

BorderStyle Property

Gets or sets the border style.

Syntax

[VB]

Public Property BorderStyle As BorderStyleEnum

[C#]

public BorderStyleEnum BorderStyle { get; set; }

[Delphi]

property BorderStyle: BorderStyleEnum;

See Also

Border Class


Color Property (Border)

Color Property (Border)

Previous Next

Gets or sets the border color.

Syntax

[VB]

Public Property Color As Color

[C#]

public Color Color { get; set; }

[Delphi]

property Color: Color;

See Also

Border Class


Rounding Property

Rounding Property

Gets the Rounding object that controls the rounding of corners.

Syntax

[VB]

Public ReadOnly Property Rounding As Rounding

[C#]

public Rounding Rounding { get; }

[Delphi]

property Rounding: Rounding;

See Also

Border Class


Thickness Property (Border)

Thickness Property (Border)

Previous Next

Gets or sets the border thickness.

Syntax

[VB]

Public Property Thickness As Integer

[C#]

public int Thickness { get; set; }

[Delphi]

property Thickness: Integer;

Remarks

Some BorderStyles have a fixed thickness. In these cases the Thickness property has no effect.

See Also

Border Class


Border Methods

Border Methods


ShouldSerializeColor Method (Border)

ShouldSerializeColor Method (Border)

Previous Next

Returns true if the Border Color property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeColor() As Boolean

[C#]

public bool ShouldSerializeColor ( )

[Delphi]

function ShouldSerializeColor: Boolean;

Remarks

The default state is to use Color.Transparent and use the BackColor of the parent Style as the basis for the border color.

See Also

Border Class


Bubble Class

Bubble Class

Syntax

C1.Win.C1Chart.Bubble

Remarks

The Bubble class and its properties are only used for bubble charts. It is returned by the Bubble property of a ChartGroup.


Bubble All Members

Bubble All Members

Bubble Properties

EncodingMethod Supported by the .NET Compact Framework. | Gets or sets the method used for calculating bubble size in a bubble chart.
MaximumSize Supported by the .NET Compact Framework. | Gets or sets the maximum bubble size in a bubble chart.
MinimumSize Supported by the .NET Compact Framework. | Gets or sets the minimum bubble size in a bubble chart.


Bubble Properties

Bubble Properties

EncodingMethod Property

MaximumSize Property

MinimumSize Property


EncodingMethod Property

EncodingMethod Property

Gets or sets the method used for calculating bubble size in a bubble chart.

Syntax

[VB]

Public Property EncodingMethod As BubbleMethod

[C#]

public BubbleMethod EncodingMethod { get; set; }

[Delphi]

property EncodingMethod: BubbleMethod;

Remarks

The maximum and minimum bubble sizes represent the percentage of the diameter or area of the plot area, depending upon the value of the EncodingMethod property.

Note:

At this time the Bubble Method is always based on the diameter.

See Also

Bubble Class


MaximumSize Property

MaximumSize Property

Gets or sets the maximum bubble size in a bubble chart.

Syntax

[VB]

Public Property MaximumSize As Single

[C#]

public float MaximumSize { get; set; }

[Delphi]

property MaximumSize: single;

Remarks

The maximum bubble size represents the percentage of the diameter (or area) of the plot area.

See Also

Bubble Class


MinimumSize Property

MinimumSize Property

Gets or sets the minimum bubble size in a bubble chart.

Syntax

[VB]

Public Property MinimumSize As Single

[C#]

public float MinimumSize { get; set; }

[Delphi]

property MinimumSize: single;

Remarks

The minimum bubble size represents the percentage of the diameter (or area) of the plot area.

See Also

Bubble Class


C1Chart Class

C1Chart Class

Syntax

C1.Win.C1Chart.C1Chart

C1Chart All Members

C1Chart Properties

C1Chart Methods

C1Chart Events

C1Chart Delegates


C1Chart All Members

C1Chart All Members

C1Chart Properties

AssemblyFileVersionString Supported by the .NET Compact Framework. | Gets the control’s assembly file version as a string.
AssemblyVersionString Supported by the .NET Compact Framework. | Gets the control’s assembly version as a string.
BackColor | The background color used to display text and graphics in the control.
BackgroundImage | The background image used for the control.
ChartArea Supported by the .NET Compact Framework. | Gets the control’s Chart Area Area object.
ChartGroups Supported by the .NET Compact Framework. | Gets the control ChartGroups object.
ChartLabels Supported by the .NET Compact Framework. | Gets the control ChartLabels object.
DataSource | Gets or sets the data source object that is bound to the chart.
Font | The font used to display text in the control.
Footer Supported by the .NET Compact Framework. | Gets the control footer object.
ForeColor | The foreground color used to display text and graphics in the control.
Header Supported by the .NET Compact Framework. | Gets the control header object.
Interaction | Gets the control interaction object.
Legend Supported by the .NET Compact Framework. | Gets the control ChartGroups object.
PrintDialogUsage | Determines whether the print dialog is popped up when using the PrintChart method.
Repaint | Determines whether the chart is repainted when its properties change.
Style Supported by the .NET Compact Framework. | Gets or sets the chart style.
UseAntiAlias | Gets or sets a value indicating whether to use anti-aliasing when displaying the chart.
Visible | Determines whether the control is visible or hidden.

C1Chart Methods

ChartRegionFromCoord Supported by the .NET Compact Framework. | Return the enumerated value indicating the topmost displayed region at the specified.
Dispose Supported by the .NET Compact Framework. | Readies the chart object for garbage collection.
Draw Supported by the .NET Compact Framework. | Draws the chart on the specified drawing surface.
GetImage | Obtains an image of the current chart display.
LoadChartFromFile Supported by the .NET Compact Framework. | Reads the all of the new contents of the control from the specified file, including data.
LoadChartFromString Supported by the .NET Compact Framework. | Load chart description from the string.
PageSetup | Raises the PageSetup dialog to manage the page settings.
PrintChart | Prints the control using default scaling within the margins of the printer page.
PrintSetup | Raises the PrintSetup dialog to manage the printer settings.
Reset Supported by the .NET Compact Framework. | Clears the chart of all data and settings.
SaveChartToFile Supported by the .NET Compact Framework. | Saves the all of the contents of the control to the specified file, including data.
SaveChartToString Supported by the .NET Compact Framework. | Save chart description to the string.
SaveImage | Saves the chart image to the clipboard, file, Byte array or Stream, in various formats and sizes.
ShowProperties | Raises the chart properties dialog at runtime.
ShowWizard | Raises the chart wizard dialog at runtime.

C1Chart Events

DataSourceChanged | Fires when the DataSource property is changed.
DrawDataSeries | Fires when the data series is about to be drawn. This event allows changes to the brush that will be used for data series plotting, including the addition of hatching, gradients and textures.
Transform | Fires when interactive action is about to occur. This event permits additional control over the parameters of user interactions. It possible to change axes limits or cancel transformation.

C1Chart Delegates

DrawDataSeriesEventHandler | Represents the method that will handle the DrawDataSeries event of a C1Chart class.
TransformEventHandler | Represents the method that will handle the Transform event of a C1Chart class.


C1Chart Properties

C1Chart Properties

AssemblyFileVersionString Property

AssemblyVersionString Property

BackColor Property (C1Chart)

BackgroundImage Property (C1Chart)

ChartArea Property

ChartGroups Property (C1Chart)

ChartLabels Property (C1Chart)

DataSource Property

Font Property (C1Chart)

Footer Property

ForeColor Property (C1Chart)

Header Property

Interaction Property

Legend Property (C1Chart)

PrintDialogUsage Property

Repaint Property

Style Property (C1Chart)

UseAntiAlias Property

Visible Property (C1Chart)


AssemblyFileVersionString Property

AssemblyFileVersionString Property

Gets the control’s AssemblyFileVersion as a string. The AssemblyFileVersion is also viewable from the properties dialog of the control assembly dll.

Syntax

[VB]

Public ReadOnly Property AssemblyFileVersionString As String

[C#]

public String AssemblyFileVersionString { get; }

[Delphi]

property AssemblyFileVersionString: string;

Remarks

The AssemblyFileVersion is different from the AssemblyVersion. The AssemblyFileVersion is viewable from the properties dialog of the control assembly dll. The AssemblyVersion is also listed in the properties dialog, but only in the “other version information” section. When viewing the Global Assembly Cache (GAC) in Windows Explorer, the AssemblyVersion is shown as a standard column.

The AssemblyFileVersion will always change with each separate release of the Chart control, including internal changes. The AssemblyVersion will only change when the object model has been changed.

See Also

C1Chart Class


AssemblyVersionString Property

AssemblyVersionString Property

Gets the control’s AssemblyVersion as a string. The AssemblyVersion is also viewable from the properties dialog of the control assembly dll, but only in the “other version information” section.

Syntax

[VB]

Public ReadOnly Property AssemblyVersionString As String

[C#]

public String AssemblyVersionString { get; }

[Delphi]

property AssemblyVersionString: string;

Remarks

The AssemblyFileVersion is different from the AssemblyVersion. The AssemblyFileVersion is viewable from the properties dialog of the control assembly dll. The AssemblyVersion is also listed in the properties dialog, but only in the “other version information” section. When viewing the Global Assembly Cache (GAC) in Windows Explorer, the AssemblyVersion is shown as a standard column.

The AssemblyFileVersion will always change with each separate release of the Chart control, including internal changes. The AssemblyVersion will only change when the object model has been changed.

See Also

C1Chart Class


BackColor Property (C1Chart)

BackColor Property (C1Chart)

Previous Next

The background color used to display text and graphics in the control.

Syntax

[VB]

Public Property BackColor As Color

[C#]

public Color BackColor { get; set; }

[Delphi]

property Backcolor: Color;

Remarks

Changing the BackColor also changes the BackColor of the chart’s style object, and visa versa.

See Also

C1Chart Class


BackgroundImage Property (C1Chart)

BackgroundImage Property (C1Chart)

Previous Next

The background image used for the control.

Syntax

[VB]

Public Property BackgroundImage As Image

[C#]

public Image BackgroundImage { get; set; }

[Delphi]

property BackgroundImage: Image;

See Also

C1Chart Class


ChartArea Property

ChartArea Property

Gets the control ChartArea object.

Syntax

[VB]

Public ReadOnly Property ChartArea As Area

[C#]

public Area ChartArea { get; }

[Delphi]

property ChartArea: Area;

Remarks

The ChartArea is that region of the chart that contains axes and charted data. Its Style inherits directly from the parent C1Chart.

See Also

C1Chart Class


ChartGroups Property (C1Chart)

ChartGroups Property (C1Chart)

Previous Next

Gets the control ChartGroups object.

Syntax

[VB]

Public ReadOnly Property ChartGroups As ChartGroups

[C#]

public ChartGroups ChartGroups { get; }

[Delphi]

property ChartGroups: ChartGroups;

Remarks

Each ChartGroup contains information related to data values and related appearance.

See Also

C1Chart Class


ChartLabels Property (C1Chart)

ChartLabels Property (C1Chart)

Previous Next

Gets the control ChartLabels object.

Syntax

[VB]

Public ReadOnly Property ChartLabels As ChartLabels

[C#]

public ChartLabels ChartLabels { get; }

[Delphi]

property ChartLabels: ChartLabels;

See Also

C1Chart Class


DataSource Property

DataSource Property

Gets or sets the data source object that is bound to the chart.

Syntax

[VB]

Public Property DataSource as Object

[C#]

public Object DataSource { get; set; }

[Delphi]

property DataSource: Object;

See Also

C1Chart Class


Font Property (C1Chart)

Font Property (C1Chart)

Previous Next

The font used to display text in the control.

Syntax

[VB]

Public Property Font As Font

[C#]

public Font Font { get; set; }

[Delphi]

property Font: Font;

See Also

C1Chart Class


Footer Property

Footer Property

Gets the control footer object.

Syntax

[VB]

Public ReadOnly Property Footer As Title

[C#]

public Title Footer { get; }

[Delphi]

property Footer: Title;

Remarks

The Title class for the 2D (C1.Win.C1Chart.Title) and 3D (C1.Win.C1Chart3D.Title) chart contain similar properties.

See Also

C1Chart Class


ForeColor Property (C1Chart)

ForeColor Property (C1Chart)

Previous Next

The foreground color used to display text and graphics in the control.

Syntax

[VB]

Public Property ForeColor As Color

[C#]

public Color ForeColor { get; set; }

[Delphi]

property ForeColor: Color;

See Also

C1Chart Class


Header Property

Header Property

Gets the control header object.

Syntax

[VB]

Public ReadOnly Property Header As Title

[C#]

public Title Header { get; }

[Delphi]

property Header: Title;

Remarks

The Title class for the 2D (C1.Win.C1Chart.Title) and 3D (C1.Win.C1Chart3D.Title) chart contain similar properties.

See Also

C1Chart Class


Interaction Property

Interaction Property

Gets the control interaction object.

Syntax

[VB]

Public Readonly Property Interaction As Interaction

[C#]

public Interaction Interaction { get; }

[Delphi]

property Interaction: Interaction;

Remark

The Interaction object controls the automated interactive features of the chart, including mouse driven rotation, scaling, translating and zooming.

See Also

C1Chart Class


Legend Property (C1Chart)

Legend Property (C1Chart)

Previous Next

Gets the control ChartGroups object.

Syntax

[VB]

Public ReadOnly Property Legend As Legend

[C#]

public Legend Legend { get; }

[Delphi]

property Legend: Legend;

See Also

C1Chart Class


PrintDialogUsage Property

PrintDialogUsage Property

Gets or sets a value indicating whether the print dialog pops up when the PrintChart method is called.

Syntax

[VB]

Public Property PrintDialogUsage As Boolean

[C#]

public bool PrintDialogUsage { get; set; }

[Delphi]

property PrintDialogUsage: Boolean;

See Also

C1Chart Class


Repaint Property

Repaint Property

Gets or sets a value indicating whether the chart is automatically repainted when its properties are modified.

Syntax

[VB]

Public Property Repaint As Boolean

[C#]

public bool Repaint { get; set; }

[Delphi]

property Repaint: Boolean;

Remarks

When the Repaint property is false, chart repaints are minimized as chart properties are changed. This is useful when multiple chart properties will be changed in an event, and it is desired to reduce the flicker associated with repeated repaints.

Note that it is very important to set Repaint to true when property changes have been completed. Failure to do so can result in a chart that never repaints.

See Also

C1Chart Class


Style Property (C1Chart)

Style Property (C1Chart)

Previous Next

Gets or sets the chart style.

Syntax

[VB]

Public ReadOnly Property Style As Style

[C#]

public Style Style { get; }

[Delphi]

property Style: Style;

See Also

C1Chart Class


UseAntiAlias Property

UseAntiAlias Property

Gets or sets a value indicating whether to use anti-aliasing when displaying the chart.

Syntax

[VB]

Public Property UseAntiAlias As Boolean

[C#]

public bool UseAntiAlias { get; set; }

[Delphi]

property UseAntiAlias: Boolean;

See Also

C1Chart Class


Visible Property (C1Chart)

Visible Property (C1Chart)

Previous Next

Determines whether the control is visible or hidden.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

See Also

C1Chart Class


C1Chart Methods

C1Chart Methods

ChartRegionFromCoord Method

Dispose Method (C1Chart)

Draw Method (C1Chart)

GetImage Method

LoadChartFromFile Method

LoadChartFromString Method

PageSetup Method

PrintChart Method

PrintSetup Method

Reset Method

SaveChartToFile Method

SaveChartToString Method

SaveImage Method (C1Chart)

ShowProperties Method

ShowWizard Method


ChartRegionFromCoord Method

ChartRegionFromCoord Method

Return the enumerated value indicating the topmost displayed region at the specified coordinates.

Syntax

[VB]

Public Function ChartRegionFromCoord (XCoord As Integer, _YCoord As Integer) As ChartRegionEnum

[C#]

public ChartRegionEnum ChartRegionFromCoord (int XCoord, int YCoord) ;

[Delphi]

function ChartRegionFromCoord(XCoord: Integer; YCoord: Integer): ChartRegionEnum;

Return Value

ChartRegionEnum

Remarks

Each chart element drawn on the face of the control, including the Chart itself, the Header, the Footer, the Legend, the ChartArea and the PlotArea form a region which is identified by the enumerated value returned by this method. The region under the mouse cursor can be identified by passing the mouse coordinates to this method.

See Also

C1Chart Class


Dispose Method (C1Chart)

Dispose Method (C1Chart)

Previous Next

Readies the chart object for garbage collection.

Syntax

[VB]

Public Sub Dispose ()

[C#]

public void Dispose ();

[Delphi]

procedure Dispose;

Remarks

The chart should not be referenced after calling the Dispose method.

See Also

C1Chart Class


Draw Method (C1Chart)

Draw Method (C1Chart)

Previous Next

Draws the chart on the specified drawing surface.

Syntax

[VB}

Public Sub Draw(g As Graphic, r As Rectangle)

[C#]

public void Draw(Graphics g, Rectangle r);

[Delphi]

procedure Draw(g: Graphics; r: Rectangle);

See Also

C1Chart Class


GetImage Method

GetImage Method

Obtains an image of the current chart display.

Syntax

[VB]

Public Function GetImage () As Image

Public Function GetImage (Sz As Size) As Image

Public Function GetImage (ImgFmt As ImageFormat) As Image

Public Function GetImage (ImgFmt As ImageFormat, Sz As Size) As Image

[C#]

public Image GetImage ();

public Image GetImage (Size Sz);

public Image GetImage (ImageFormat ImgFmt);

public Image GetImage(ImageFormat ImgFmt, Size Sz);

[Delphi]

function GetImage: Image;

function GetImage(Sz: Size): Image;

function GetImage(ImgFmt: ImageFormat): Image;

function GetImage(ImgFmt: ImageFormat; Sz: Size) : Image

Return Value

Image created by an enhanced metafile of the chart.

Remarks

This method creates an image of the current chart display an returns an Image object. The Image is created with the specified ImageFormat, or if not specified an enhanced metafile, so the image is scalable. When the GetImage overload with the Size parameter is used, the Sz parameter specifies the size of the bitmap in pixels. If the GetImage overload without the size parameter is called, the size of the current display, in pixels, is assumed. If an error occurs during the file creation, chart drawing and writing, an appropriate exception is thrown indicating the cause of error.

See Also

C1Chart Class


LoadChartFromFile Method

LoadChartFromFile Method

Reads the chart property and data settings (chart description) from the specified file.

Syntax

[VB]

Public Sub LoadChartFromFile (Filename As String)

[C#]

public void LoadChartFromFile (string Filename);

[Delphi]

procedure LoadChartFromFile(Filename: string);

Remarks

This method loads the contents of the specified file in XML format into the chart. The file should contain the output of a call to SaveChartFromFile. If an error occurs during the file open, reading or chart drawing, an appropriate exception is thrown indicating the cause of error.

See Also

C1Chart Class


LoadChartFromString Method

LoadChartFromString Method

Reads the chart property and data settings (chart description) from the specified string.

Syntax

[VB]

Public Sub LoadChartFromString (str As String)

[C#]

public void LoadChartFromFile (string str);

[Delphi]

procedure LoadChartFromFile(str: String);

Remarks

This method loads the contents of the specified string in XML format into the chart. The string should contain the output of a call to SaveChartToString. If an error occurs, an appropriate exception is thrown indicating the cause of error.

See Also

C1Chart Class


PageSetup Method

PageSetup Method

Raises the PageSetup dialog to manage the page settings.

Syntax

[VB]

Public Sub PageSetup ()

[C#]

public void PageSetup ();

[Delphi]

procedure PageSetup;

See Also

C1Chart Class


PrintChart Method

PrintChart Method

Prints the control using default scaling within the margins of the printer page.

Syntax

[VB]

Public Sub PrintChart ()

Public Sub PrintChart (scaling As PrintScaleEnum)

Public Sub PrintChart (scaling As PrintScaleEnum, r As Rectangle)

[C#]

public void PrintChart ();

public void PrintChart (PrintScaleEnum scaling);

public void PrintChart (PrintScaleEnum scaling, Rectangle r);

[Delphi]

procedure PrintChart;

procedure PrintChart(scaling: PrintScaleEnum);

procedure PrintChart(scaling: PrintScaleEnum; r: Rectangle);

See Also

C1Chart Class


PrintSetup Method

PrintSetup Method

Raises the PrintSetup dialog to manage the printer settings.

Syntax

[VB]

Public Sub PrintSetup ()

[C#]

public void PrintSetup ();

[Delphi]

procedure PrintSetup;

See Also

C1Chart Class


Reset Method

Reset Method

Clears the chart of all data and settings.

Syntax

[VB]

Public Sub Reset ()

[C#]

public void Reset ();

[Delphi]

procedure Reset;

See Also

C1Chart Class


SaveChartToFile Method

SaveChartToFile Method

Saves the all of the contents of the control to the specified file, including data.

Syntax

[VB]

Public Sub SaveChartToFile (Filename As String)

[C#]

public void SaveChartToFile (string Filename);

[Delphi]

procedure SaveChartToFile(Filename: string);

Remarks

This method saves the chart contents to the specified file in XML format. If an error occurs during the file creation, chart drawing and writing, an appropriate exception is thrown indicating the cause of error.

See Also

C1Chart Class


SaveChartToString Method

SaveChartToString Method

Saves the all of the contents of the control to the specified file, including data.

Syntax

[VB]

Public Function SaveChartToString () As String

[C#]

public string SaveChartToString ();

[Delphi]

function SaveChartToString: string;

Remarks

This method saves the chart contents to the specified string in XML format. If an error occurs, an appropriate exception is thrown indicating the cause of error.

See Also

C1Chart Class


SaveImage Method (C1Chart)

SaveImage Method (C1Chart)

Previous Next

Saves an image of the specified format to the specified target.

Syntax

[VB]

Public Sub SaveImage (ImgFmt As ImageFormat)

Public Sub SaveImage (ImgFmt As ImageFormat, Size sz)

Public Sub SaveImage (Filename As String, ImgFmt As ImageFormat)

Public Sub SaveImage (Filename As String, ImgFmt As ImageFormat, Size sz)

Public Sub SaveImage (stream As Stream, ImgFmt As ImageFormat)

Public Sub SaveImage (stream As Stream, ImgFmt As ImageFormat, Size sz)

Public Sub SaveImage (ByRef byteArray As Byte(), ImgFmt As ImageFormat)

Public Sub SaveImage (ByRef byteArray As Byte(), ImgFmt As ImageFormat, Size sz)

[C#]

public void SaveImage (ImageFormat ImgFmt);

public void SaveImage (ImageFormat ImgFmt, Size sz);

public void SaveImage (string Filename, ImageFormat ImgFmt);

public void SaveImage (string Filename, ImageFormat ImgFmt, Size sz);

public void SaveImage (Stream stream, ImageFormat ImgFmt);

public void SaveImage (Stream stream, ImageFormat ImgFmt, Size sz);

public void SaveImage (ref Byte[] byteArray, ImageFormat ImgFmt);

public void SaveImage (ref Byte[] byteArray, ImageFormat ImgFmt, Size sz);

[Delphi]

procedure SaveImage(ImgFmt: ImageFormat);

procedure SaveImage(ImgFmt: ImageFormat; sz: Size);

procedure SaveImage(Filename: string; ImgFmt: ImageFormat);

procedure SaveImage(Filename: string; ImgFmt: ImageFormat; sz: Size);

procedure SaveImage(stream: Stream; ImgFmt: ImageFormat);

procedure SaveImage(stream: Stream; ImgFmt: ImageFormat; sz: Size);

procedure SaveImage(byteArray: ref Byte[]; ImgFmt: ImageFormat);

procedure SaveImage(byteArray: ref Byte[]; ImgFmt: ImageFormat; sz: Size);

Remarks

This method creates an image of the specified format of the current chart display and saves the results to the specified target. The first two overloads, which not specify a target object, copy the image to the clipboard in emf or bmp format. When the Size parameter is used, the Sz parameter specifies the size of a bitmap in pixels. If the Size parameter is not used, the size of the current display, in pixels, is assumed. If an error occurs, an appropriate exception is thrown indicating the cause of error.

See Also

C1Chart Class


ShowProperties Method

ShowProperties Method

Raises the chart properties dialog at runtime.

Syntax

[VB]

Public Sub ShowProperties () As DialogResult

[C#]

public DialogResult ShowProperties ();

[Delphi]

function ShowProperties: DialogResult;

Return Value

DialogResult.

Remarks

The properties dialog allows modification of the chart properties, including data, at runtime. All available properties are displayed on multiple tabs.

See Also

C1Chart Class


ShowWizard Method

ShowWizard Method

Raises the chart wizard dialog at runtime.

Syntax

[VB]

Public Sub ShowWizard () As DialogResult

[C#]

public DialogResult ShowWizard ();

[Delphi]

function ShowWizard: DialogResult;

Remarks

The chart wizard displays the chart properties step by step, permitting the construction or modification of a chart in a progressive and logical manner.

Return Value

DialogResult.

See Also

C1Chart Class


C1Chart Events

C1Chart Events

DataSourceChanged Event

DrawDataSeries Event

Transform Event


DataSourceChanged Event

DataSourceChanged Event

Fires when the DataSource property has changed.

Syntax

[VB]

Public Event DataSourceChanged As System.EventHandler

[C#]

public event System.EventHandler DataSourceChanged;

[Delphi]

property DataSourceChanged: System.EventHandler

Event Data

The event handler receives an argument of type System.EventArgs. The sender object of the event is the C1Chart object.

See Also

C1Chart Class


DrawDataSeries Event

DrawDataSeries Event

Fires when the data series is about to be drawn. This event allows changes to the brush that will be used for data series plotting, including the addition of hatching, gradients and textures.

Syntax

[VB]

Public Event DrawDataSeries As DrawDataSeriesEventHandler

[C#]

public event DrawDataSeriesEventHandler DrawDataSeries;

[Delphi]

property DrawDataSeries: DrawDataSeriesEventHandler

Event Data

The event handler receives an argument of type DrawDataSeriesEventArgs containing data related to this event. The sender object of the event is the ChartDataSeries object about to be drawn.

See Also

C1Chart Class


Transform Event

Transform Event

Fires when interactive action is about to occur. This event permits additional control over the parameters of user interactions. It possible to change axes limits or cancel transformation.

Syntax

[VB]

Public Event Transform As TransformEventHandler

[C#]

public event TransformEventHandler Transform;

[Delphi]

property Transform: TransformEventHandler

Event Data

The event handler receives an argument of type TransformEventArgs containing data related to this event. The sender object of the event is the Interaction object of the chart.

See Also

C1Chart Class


C1Chart Delegates

C1Chart Delegates


DrawDataSeriesEventHandler Delegate

DrawDataSeriesEventHandler Delegate

Represents the method that will handle the DrawDataSeries event of a C1Chart class.

Syntax

[VB]

Public Delegate Sub DrawDataSeriesEventHandler( sender As Object, e As DrawDataSeriesEventArgs)

[C#]

public delegate void DrawDataSeriesEventHandler( object sender, DrawDataSeriesEventArgs e);

[Delphi]

type DrawDataSeriesEventHandler = procedure(sender: Object, e: DrawDataSeriesEventArgs) of object;

Remarks

The sender object is the ChartDataSeries object about to be drawn.

See Also

C1Chart Class


TransformEventHandler Delegate

TransformEventHandler Delegate

Represents the method that will handle the Transform event of a C1Chart class.

Syntax

[VB]

Public Delegate Sub TransformEventHandler( sender As Object, e As TransformEventArgs)

[C#]

public delegate void TransformEventHandler( object sender, TransformEventArgs e);

[Delphi]

type TransformEventHandler = procedure(sender: Object, e: TransformEventArgs) of object;

Remarks

The sender object is the Interaction object of the chart.

See Also

C1Chart Class


ChartData Class

ChartData Class

Syntax

C1.Win.C1Chart.ChartData

ChartData All Members

ChartData Properties

ChartData Methods

ChartData Events


ChartData All Members

ChartData All Members

ChartData Properties

Hole Supported by the .NET Compact Framework. | Gets or sets the data hole value.
Item Supported by the .NET Compact Framework. | Gets the specified ChartDataSeries by numeric index.
Layout Supported by the .NET Compact Framework. | Gets or sets the type of data layout. (Currently not implemented).
MaxX Supported by the .NET Compact Framework. | Gets the maximum X value of all series.
MaxY Supported by the .NET Compact Framework. | Gets the maximum Y value of all series.
MinX Supported by the .NET Compact Framework. | Gets the minimum X value of all series.
MinY Supported by the .NET Compact Framework. | Gets the minimum Y value of all series.
SeriesList Supported by the .NET Compact Framework. | Gets the ChartDataSeriesCollection object associated with the current ChartData object.

ChartData Methods

IsHole Supported by the .NET Compact Framework. | Returns true whenever the value passed will be interpreted as a data hole.
LoadDataFromFile Supported by the .NET Compact Framework. | Loads the contents of the current ChartData object from the specified file in XML format, including point data, holes and line and symbol style data.
SaveDataToFile Supported by the .NET Compact Framework. | Saves the contents of the current ChartData object to the specified file in XML format, including point data, holes and line and symbol style data.
SetHole Supported by the .NET Compact Framework. | Sets the hole property value by passing an object that is converted appropriately.

ChartData Events

DataChanged
Supported by the .NET Compact Framework.

Called whenever an element of the data has changed.


ChartData Properties

ChartData Properties

Hole Property

Item Property (ChartData)

Layout Property

MaxX Property (ChartData)

MaxY Property (ChartData)

MinX Property (ChartData)

MinY Property (ChartData)

SeriesList Property


Hole Property

Hole Property

Gets or sets the data hole value.

Syntax

[VB]

Public Property Hole As Double

[C#]

public double Hole { get; set; }

[Delphi]

property Hole: Double;

Remarks

Data holes are used as placeholders for data points that indicate data is normally present but not in this case.

See Also

ChartData Class


Item Property (ChartData)

Item Property (ChartData)

Previous Next

Gets the specified ChartDataSeries by numeric index.

Syntax

[VB]

Default Public ReadOnly Property Item(index As Integer) As ChartDataSeries

[C#]

public ChartDataSeries this[int index] { get; }

[Delphi]

property Item(index: Integer): ChartDataSeries;

property Item(index: string): ChartDataSeries;

Remarks

Although not a collection object, ChartData allows direct indexing of the elements of ChartDataSeriesCollection contained within the ChartData object. This is for convenience when programming.

See Also

ChartData Class


Layout Property

Layout Property

Gets or sets the type of data layout. (Currently not implemented).

Syntax

[VB]

Public Property Layout As Chart2DLayoutEnum

[C#]

public Chart2DLayoutEnum Layout { get; set; }

[Delphi]

property Layout: Chart2DLayoutEnum;

See Also

ChartData Class


MaxX Property (ChartData)

MaxX Property (ChartData)

Previous Next

Gets the maximum X value of all series.

Syntax

[VB]

Public ReadOnly Property MaxX As Double

[C#]

public double MaxX { get; }

[Delphi]

property MaxX: Double;

Remarks

This property searches all series for the maximum X value (excluding holes) each time it is called. If the value is to be used repeatedly within a loop, the value should be cached in a local variable.

See Also

ChartData Class


MaxY Property (ChartData)

MaxY Property (ChartData)

Previous Next

Gets the maximum Y value of all series.

Syntax

[VB]

Public ReadOnly Property MaxY As Double

[C#]

public double MaxY { get; }

[Delphi]

property MaxY: Double;

Remarks

This property searches all series for the maximum Y value (excluding holes) each time it is called. If the value is to be used repeatedly within a loop, the value should be cached in a local variable.

Note that all Y data arrays are searched, including Y, Y1, Y2, Y3 data arrays.

See Also

ChartData Class


MinX Property (ChartData)

MinX Property (ChartData)

Previous Next

Gets the minimum X value of all series.

Syntax

[VB]

Public ReadOnly Property MinX As Double

[C#]

public double MinX { get; }

[Delphi]

property MinX: Double;

Remarks

This property searches all series for the minimum X value (excluding holes) each time it is called. If the value is to be used repeatedly within a loop, the value should be cached in a local variable.

See Also

ChartData Class


MinY Property (ChartData)

MinY Property (ChartData)

Previous Next

Gets the minimum Y value of all series.

Syntax

[VB]

Public ReadOnly Property MinY As Double

[C#]

public double MinY { get; }

[Delphi]

property MinY: Double;

Remarks

This property searches all series for the minimum Y value (excluding holes) each time it is called. If the value is to be used repeatedly within a loop, the value should be cached in a local variable.

Note that all Y data arrays are searched, including Y, Y1, Y2, Y3 data arrays.

See Also

ChartData Class


SeriesList Property

SeriesList Property

Gets the ChartDataSeriesCollection object associated with the current ChartData object.

Syntax

[VB]

Public ReadOnly Property SeriesList As ChartDataSeriesCollection

[C#]

public ChartDataSeriesCollection SeriesList { get; }

[Delphi]

property SeriesList: ChartDataSeriesCollection;

Remarks

The ChartDataSeries of this Collection object contains the data to be charted, along with Line and Symbols styles and other properties used to describe the appearance of the series data.

See Also

ChartData Class


ChartData Methods

ChartData Methods

IsHole Method (ChartData)

LoadDataFromFile Method (ChartData)

SaveDataToFile Method (ChartData)

SetHole Method


IsHole Method (ChartData)

IsHole Method (ChartData)

Previous Next

Returns true whenever the value passed will be interpreted as a data hole.

Syntax

[VB]

Public Function IsHole (x As Object) As Boolean

[C#]

public bool IsHole (object x);

[Delphi]

function IsHole(x: Object): Boolean;

Return Value

Boolean

Remarks

The value is automatically converted to the internal data type based upon the data type of the value specified. The value is then compared to the stored data hole. Note that indeterminate floating point data values including Infinity or NaN are treated as hole values.

See Also

ChartData Class


LoadDataFromFile Method (ChartData)

LoadDataFromFile Method (ChartData)

Previous Next

Loads the contents of the current ChartData object from the specified file in XML format, including point data, holes and line and symbol style data.

Syntax

[VB]

Public Sub LoadDataFromFile (Filename As String)

[C#]

public void LoadDataFromFile (string Filename);

[Delphi]

procedure LoadDataFromFile(Filename: string);

Remarks

This method loads the current ChartData object with the contents for the specified file in XML format. The file specified should have been created with SaveDataToFile. If an error occurs during the file creation or writing, an appropriate exception is thrown indicating the cause of error.

See Also

ChartData Class


SaveDataToFile Method (ChartData)

SaveDataToFile Method (ChartData)

Previous Next

Saves the contents of the current ChartData object to the specified file in XML format, including point data, holes and line and symbol style data.

Syntax

[VB]

Public Sub SaveDataToFile (Filename As String)

[C#]

public void SaveDataToFile (string Filename);

[Delphi]

procedure SaveDataToFile(Filename: string);

Remarks

This method saves the ChartData object contents to the specified file in XML format. If an error occurs during the file creation or writing, an appropriate exception is thrown indicating the cause of error.

See Also

ChartData Class


SetHole Method

SetHole Method

Sets the data hole value, performing appropriate conversions from the passed object to the internal double storage value.

Syntax

[VB]

Public Sub SetHole (x As Object)

[C#]

public void SetHole(object x);

[Delphi]

procedure SetHole(x: Object);

Remarks

This method sets the hole value by passing any appropriate datatype. The passed object is appropriately converted to the internal store value – a double. The hole property can also be used to set the hole value, but only accepts double values.

See Also

ChartData Class


ChartData Events

ChartData Events


DataChanged Event

DataChanged Event

Syntax

[VB]

Public Event DataChanged As ChartDataEventHandler

[C#]

public event ChartDataEventHandler DataChanged

[Delphi]

property DataChanged: ChartDataEventHandler

Event Data

The event handler receives an argument of type ChartDataEventArgs containing data related to this event. The following properties provide information specific to this event.

See Also

ChartData Class


ChartDataArray Class

ChartDataArray Class

Syntax

C1.Win.C1Chart.ChartDataArray

Remarks

Container object for data arrays.


ChartDataArray All Members

ChartDataArray All Members

ChartDataArray Properties

DataField | Gets or sets the data field name that is bound to the ChartDataArray.
DataType Supported by the .NET Compact Framework. | Gets or sets the default data type of the data.
Hole | Returns an Object with the ChartData.Hole value converted to the data type specified by the ChartDataArray.DataType property.
Item Supported by the .NET Compact Framework. | Gets or sets the value of the data element by index.
Length Supported by the .NET Compact Framework. | Gets or sets the length of the data array.

ChartDataArray Methods

Add | Adds a new value to the end of the ChartDataArray.
Clear | Removes all values from the ChartDataArray.
Contains | Determines whether a value is in the ChartDataArray.
CopyDataIn Supported by the .NET Compact Framework. | Copies data into the data array, replacing all existing data.
CopyDataOut Supported by the .NET Compact Framework. | Copies data out of the data array.
CopyTo | Copies data values to the specified array beginning at the specified index from the ChartDataArray.
IndexOf | Gets the index of a value in the ChartDataArray.
Insert | Inserts a new value at the specified index of the ChartDataArray.
IsHole | Determines if the specified value is interpreted as a data hole.
Remove | Removes the first occurance of a specified value from the ChartDataArray.
RemoveAt | Removes the value at the specified index from the ChartDataArray.


ChartDataArray Properties

ChartDataArray Properties

DataField Property

DataType Property

Hole Property (ChartDataArray)

Item Property (ChartDataArray)

Length Property (ChartDataArray)


DataField Property

DataField Property

Gets or sets the data field name that is bound to the ChartDataArray.

Syntax

[VB]

Public Property DataField As String

[C#]

public string DataField { get; set; }

[Delphi]

property DataField: string;

Remarks

The data field name must exist in the DataSource.

See Also

ChartDataArray Class


DataType Property

DataType Property

Gets or sets the default data type of the data.

Syntax

[VB]

Public Property DataType As Type

[C#]

public Type DataType { get; set; }

[Delphi]

property DataType: Type;

Remarks

Specifies the default data type that is used with the CopyDataOut method. If the default DataType property is not explicitly set, then the reported type is that of the last entered data through either the CopyDataIn method of the Item property.

Acceptable input data types include Single, Double, Integer, Int32, Int64, Decimal and DateTime (VB) and float, double, int, Int32, Int64, decimal and DateTime (C#). When PointData is managed by the ChartDataArray, PointF objects may also be used.

See Also

ChartDataArray Class


Hole Property (ChartDataArray)

Hole Property (ChartDataArray)

Previous Next

Returns an Object with the ChartData.Hole value converted to the data type specified by the ChartDataArray.DataType property.

Syntax

[VB]

Public ReadOnly Property Hole As Object

[C#]

public object Hole {get;}

[Delphi]

property Hole: Object;

See Also

ChartDataArray Class


Item Property (ChartDataArray)

Item Property (ChartDataArray)

Previous Next

Gets or sets the value of the data element by index.

Syntax

[VB]

Public Property Item(int index) As Object

[C#]

public object this[int index] { get; set; }

[Delphi]

property Item(index: Integer): Object;

property Item(index: string): Object;

Remarks

This property can be used to access a specific data entry by numerical index. In Visual Basic, no casting is required. In C#, it is necessary to cast the return value to the appropriate type. Note that all values are stored as a Double(VB) or double(C#) data type internally. Data conversions are performed automatically and as appropriate for the inputted data type. For example, setting a data element to a DateTime value of January 1, 2002 will be stored internally as an Ole date, then converted to a Double/double with a result of 37257.

Acceptable input data types include Single, Double, Integer, Int32, Int64, Decimal and DateTime (VB) and float, double, int, Int32, Int64, decimal and DateTime (C#). When PointData is managed by the ChartDataArray, PointF objects may also be used.

Note that the index must be between 0 and the Length of the array inclusive.

See Also

ChartDataArray Class


Length Property (ChartDataArray)

Length Property (ChartDataArray)

Previous Next

Gets or sets the length of the data array.

Syntax

[VB]

Public Property Length As Integer

[C#]

public int Length { get; set; }

[Delphi]

property Length: Integer;

Remarks

When extending the existing length of the array, the newly created elements are filled with data hole values. When reducing the length of the array, truncated elements are thrown away. Note that it may be necessary to increase the length of an array before setting its values with the Item property.

See Also

ChartDataArray Class


ChartDataArray Methods

ChartDataArray Methods

Add Method

Clear Method

Contains Method (ChartDataArray)

CopyDataIn Method

CopyDataOut Method

CopyTo Method

IndexOf Method

Insert Method

IsHole Method (ChartDataArray)

Remove Method

RemoveAt Method


Add Method

Add Method

Adds a new value to the end of the ChartArrayArray.

Syntax

[VB]

Public Function Add(value As Object) As Integer

[C#]

public int Add(object value);

[Delphi]

function Add(value: Object): Integer;

Return Value

An integer indicating the index of the new value in the ChartDataArray. The new index is always the Length of the ChartDataArray prior to adding the new value.

Remarks

The Add method extends the length of the ChartDataArray by one, then adds the new value to the newly created element. The value is automatically converted to the internal storage data type.

See Also

ChartDataArray Class


Clear Method

Clear Method

Removes all values from the ChartDataArray.

Syntax

[VB]

Public Sub Clear()

[C#]

public void Clear();

[Delphi]

procedure Clear;

Remarks

All elements of the ChartDataArray are removed and the Length is set to 0.

See Also

ChartDataArray Class


Contains Method (ChartDataArray)

Contains Method (ChartDataArray)

Previous Next

Determines whether a value is in the ChartDataArray.

Syntax

[VB]

Public Function Contains(value as Object) As Boolean

[C#]

public bool Contains(object value);

[Delphi]

function Contains(value: Object): Boolean;

Return Value

A boolean indicating whether the specified value can be found in one of the elements of the ChartDataArray.

Remarks

The value is automatically converted to the internal data type based upon the data type of the value specified. The value and the elements of the ChartDataArray are then compared using the converted result.

See Also

ChartDataArray Class


CopyDataIn Method

CopyDataIn Method

Copies data into the ChartDataArray, replacing all existing data.

Syntax

[VB]

Public Function CopyDataIn (DataArray As Object) As Boolean

[C#]

public bool CopyDataIn(object DataArray);

[Delphi]

function CopyDataIn(DataArray: Object): Boolean;

Return Value

A Boolean value indicating whether the data was appropriately copied into the ChartDataArray.

Remarks

Although the passed DataArray is an object, the underlying data type must be an array of type Single, Double, Integer, Int32, Int64, Decimal or DateTime (VB) or float, double, int, Int32, Int64, decimal or DateTime (C#). An array of objects is not accepted. When PointData is managed by the ChartDataArray, an array PointF objects may also be passed.

Note that all values are stored as a Double(VB) or double(C#) data type internally. Data conversions are performed automatically and as appropriate for the inputted data type. For example, setting a data element to a DateTime value of January 1, 2002 will be stored internally as an Ole date, then converted to a Double/double with a result of 37257.

Additionally, the length of the copied array defines the length of the ChartDataArray, and the Length property will report the new value.

See Also

ChartDataArray Class


CopyDataOut Method

CopyDataOut Method

Copies data out of the ChartDataArray.

Syntax

[VB]

Public Function CopyDataOut () As Object

Public Function CopyDataOut (type As Type) As Object

[C#]

public object CopyDataOut();

public object CopyDataOut(Type type);

[Delphi]

function CopyDataOut: Object;

function CopyDataOut(type: Type): Object;

Return Value

An object containing an array of the default or specified type, appropriately converted from the internal Double(VB) or double(C#) values.

Remarks

Although the returned array is an object, the underlying data type will be an array of type Single, Double, Integer, Int32, Int64, Decimal or DateTime (VB) or float, double, int, Int32, Int64, decimal or DateTime (C#). When PointData is managed by the ChartDataArray, an array PointF objects may also be returned.

In Visual Basic, it is not necessary to explicitly cast the returned value. The strong typing of C# however, requires an explicit cast.

Note that all values are stored as a Double(VB) or double(C#) data type internally. Data conversions are performed automatically and as appropriate for the default data type.

See Also

ChartDataArray Class


CopyTo Method

CopyTo Method

Copies data values to the specified array beginning at the specified index from the ChartDataArray.

Syntax

[VB]

Public Sub CopyTo(arr As Array, index As Integer)

[C#]

public void CopyTo(Array arr, int index);

[Delphi]

procedure CopyTo(arr: Array; index: Integer);

Remarks

Data values are copied beginning with the specified ChartDataArray index to an appropriately typed array. If the data type and length of the passed array or the index are incorrect, an error is thrown.

See Also

ChartDataArray Class


IndexOf Method

IndexOf Method

Gets the index of the first specified value in the ChartDataArray.

Syntax

[VB]

Public Function IndexOf(value As Object) As Integer

[C#]

public int IndexOf(object value);

[Delphi]

function IndexOf(value: Object): Integer;

Return Value

An integer specifying the index of the first element with a matching value in the ChartDataArray. If the value is not found, -1 is returned.

Remarks

The value is automatically converted to the internal data type based upon the data type of the value specified. The value and the elements of the ChartDataArray are then compared using the converted result.

See Also

ChartDataArray Class


Insert Method

Insert Method

Inserts a new value at the specified index of the ChartDataArray.

Syntax

[VB]

Public Sub Insert(value As Object)

[C#]

public void Insert(object value);

[Delphi]

procedure Insert(value: Object);

Remarks

The value is inserted at the position specified and the length of the ChartDataArray is increased by 1.

See Also

ChartDataArray Class


IsHole Method (ChartDataArray)

IsHole Method (ChartDataArray)

Previous Next

Determines if the specified value is interpreted as a data hole.

Syntax

[VB]

Public Function IsHole(value As Object) As Boolean

[C#]

public bool IsHole(object value);

[Delphi]

function IsHole(value: Object): Boolean;

Return Value

A boolean value indicating whether the specified value is interpreted as a data hole.

Remarks

The value is automatically converted to the internal data type based upon the data type of the value specified. The value is then compared to the stored data hole. Note that invalid floating point data values such as NaN are treated as hole values.

See Also

ChartDataArray Class


Remove Method

Remove Method

Removes the first occurance of the specified value from the ChartDataArray.

Syntax

[VB]

Public Sub Remove(value As Object)

[C#]

public void Remove(object value);

[Delphi]

procedure Remove(value: Object);

Remarks

The value is automatically converted to the internal data type based upon the data type of the value specified. The value and the elements of the ChartDataArray are then compared using the converted result.

See Also

ChartDataArray Class


RemoveAt Method

RemoveAt Method

Removes the element at the specified index from the ChartDataArray.

Syntax

[VB]

Public Sub RemoveAt(index As Integer)

[C#]

public void RemoveAt(int index);

[Delphi]

procedure RemoveAt(index: Integer);

Remarks

The element of the ChartDataArray is removed, and the length of the ChartDataArray is decreased by 1.

See Also

ChartDataArray Class


ChartDataSeries Class

ChartDataSeries Class

Syntax

C1.Win.C1Chart.ChartDataSeries

Remarks

The ChartDataSeries class contains the data to be charted, as well as the properties and style object used to describe the appearance of the charted data.

ChartDataSeries All Members

ChartDataSeries Properties

ChartDataSeries Methods

ChartDataSeries Events


ChartDataSeries All Members

ChartDataSeries All Members

ChartDataSeries Properties

Display Supported by the .NET Compact Framework. | Gets or sets the display of the series.
FitType Supported by the .NET Compact Framework. | Gets or sets the curve fit type.
Label Supported by the .NET Compact Framework. | Gets or sets the series label.
LegendEntry Supported by the .NET Compact Framework. | Gets or sets whether the series label appears in the legend.
Length Supported by the .NET Compact Framework. | Gets the number of data points in the series.
LineStyle Supported by the .NET Compact Framework. | Gets or sets the line style of the series, including color, thickness and pattern.
MaxX Supported by the .NET Compact Framework. | Returns the maximum X value of the series data.
MaxY Supported by the .NET Compact Framework. | Returns the maximum Y value of the series data.
MinX Supported by the .NET Compact Framework. | Returns the minimum X value of the series point data array.
MinY Supported by the .NET Compact Framework. | Returns the minimum Y value of the series point data array.
Offset Supported by the .NET Compact Framework. | Gets or sets the series offset for appropriate charts.
PointData Supported by the .NET Compact Framework. | Gets the ChartDataArray object that manages PointF data (combine X and Y data).
SeriesData Supported by the .NET Compact Framework. | Gets the current ChartDataSeries for editing.
SymbolStyle Supported by the .NET Compact Framework. | Gets or sets the symbol style of the series, include color, size and shape.
Tag | Gets or sets the Tag property which allows association of user data with the ChartDataSeries.
X Supported by the .NET Compact Framework. | Gets the ChartDataArray object that manages X data.
Y Supported by the .NET Compact Framework. | Gets the ChartDataArray object that manages Y data.
Y1 Supported by the .NET Compact Framework. | Gets the ChartDataArray object that manages Y1 data.
Y2 Supported by the .NET Compact Framework. | Gets the ChartDataArray object that manages Y2 data.
Y3 Supported by the .NET Compact Framework. | Gets the ChartDataArray object that manages Y3 data.

ChartDataSeries Methods

Clone | Creates a new series that is a copy of the current series without data.
IsHole Supported by the .NET Compact Framework. | Returns true whenever the passed value will be interpreted as a data hole.

ChartDataSeries Events

DataSeriesChanged
Supported by the .NET Compact Framework.

Fires when the series data has changed.


ChartDataSeries Properties

ChartDataSeries Properties

Display Property

FitType Property

Label Property

LegendEntry Property

Length Property

LineStyle Property

MaxX Property (ChartDataSeries)

MaxY Property (ChartDataSeries)

MinX Property (ChartDataSeries)

MinY Property (ChartDataSeries)

Offset Property (ChartDataSeries)

PointData Property

SeriesData Property

SymbolStyle Property

Tag Property (ChartDataSeries)

X Property (ChartDataSeries)

Y Property (ChartDataSeries)

Y1 Property

Y2 Property

Y3 Property


Display Property

Display Property

Gets or sets the display of the series.

Syntax

[VB]

Public Property Display As SeriesDisplayEnum

[C#]

public SeriesDisplayEnum Display { get; set; }

[Delphi]

property Display: SeriesDisplayEnum;

Remarks

This property is used to show, hide or exclude the charting of the data series.

See Also

ChartDataSeries Class


FitType Property

FitType Property

Gets or sets the curve fit type.

Syntax

[VB]

Public Property FitType As FitTypeEnum

[C#]

public FitTypeEnum FitType { get; set; }

[Delphi]

property FitType: FitTypeEnum;

See Also

ChartDataSeries Class


Label Property

Label Property

Gets or sets the series label.

Syntax

[VB]

Public Property Label As String

[C#]

public String Label { get; set; }

[Delphi]

property Label: string;

Remarks

The series label is displayed in the legend element of the chart, along with appropriate line and symbol styles used to display the series data.

See Also

ChartDataSeries Class


LegendEntry Property

LegendEntry Property

Gets or sets whether the series label appears in the legend.

Syntax

[VB]

Public Property LegendEntry As Boolean

[C#]

public bool LegendEntry { get; set; }

[Delphi]

property LegendEntry: Boolean;

Remarks

Occasionally, it is useful to chart a data series without including the series in the legend. Setting the LegendEntry property to false hides the series entry in the legend.

See Also

ChartDataSeries Class


Length Property

Length Property

Gets the number of data points in the series.

Syntax

[VB]

Public Property Length As Integer

[C#]

public int Length { get; }

[Delphi]

property Length: Integer;

Remarks

The Length property returns the actual number of data points in the series. The length is the maximum number of elements in each of the relevant ChartDataArray objects in the series. ChartDataArray objects of the series are considered relevant only if the object is used to display the current ChartType.

See Also

ChartDataSeries Class


LineStyle Property

LineStyle Property

Gets or sets the line style of the series, including color, thickness and pattern.

Syntax

[VB]

Public Property LineStyle As ChartLineStyle

[C#]

public ChartLineStyle LineStyle { get; set; }

[Delphi]

property LineStyle: ChartLineStyle;

See Also

ChartDataSeries Class


MaxX Property (ChartDataSeries)

MaxX Property (ChartDataSeries)

Previous Next

Returns the maximum X value of the series data.

Syntax

[VB]

Public ReadOnly Property MaxX As Double

[C#]

public double MaxX { get; }

[Delphi]

property MaxX: Double;

Remarks

This property searches the series for the maximum X value (excluding holes) each time it is called. If the value is to be used repeatedly within a loop, the value should be cached in a local variable.

See Also

ChartDataSeries Class


MaxY Property (ChartDataSeries)

MaxY Property (ChartDataSeries)

Previous Next

Returns the maximum Y value of the series data.

Syntax

[VB]

Public ReadOnly Property MaxY As Double

[C#]

public double MaxY { get; }

[Delphi]

property MaxY: Double;

Remarks

This property searches the series for the maximum Y value (excluding holes) each time it is called. If the value is to be used repeatedly within a loop, the value should be cached in a local variable.

Note that all Y data arrays are searched, including Y, Y1, Y2, Y3 data arrays.

See Also

ChartDataSeries Class


MinX Property (ChartDataSeries)

MinX Property (ChartDataSeries)

Previous Next

Returns the minimum X value of the series point data array.

Syntax

[VB]

Public ReadOnly Property MinX As Double

[C#]

public double MinX { get; }

[Delphi]

property MinX: Double;

Remarks

This property searches the series for the minimum X value (excluding holes) each time it is called. If the value is to be used repeatedly within a loop, the value should be cached in a local variable.

See Also

ChartDataSeries Class


MinY Property (ChartDataSeries)

MinY Property (ChartDataSeries)

Previous Next

Returns the minimum Y value of the series point data array.

Syntax

[VB]

Public ReadOnly Property MinY As Double

[C#]

public double MinY { get; }

[Delphi]

property MinY: Double;

Remarks

This property searches the series for the minimum Y value (excluding holes) each time it is called. If the value is to be used repeatedly within a loop, the value should be cached in a local variable.

Note that all Y data arrays are searched, including Y, Y1, Y2, Y3 data arrays.

See Also

ChartDataSeries Class


Offset Property (ChartDataSeries)

Offset Property (ChartDataSeries)

Previous Next

Gets or sets the series offset for appropriate charts.

Syntax

[VB]

Public Property Offset As Integer

[C#]

public int Offset { get; set; }

[Delphi]

property Offset: Integer;

Remarks

The meaning, if any, of the series offset can change from chart type to chart type.

See Also

ChartDataSeries Class


PointData Property

PointData Property

Gets the ChartDataArray object that manages point data (combined X and Y data).

Syntax

[VB]

Public ReadOnly Property PointData As ChartDataArray

[C#]

public ChartDataArray PointData { get; }

[Delphi]

property PointData: ChartDataArray;

Remarks

The data managed by the ChartDataArray object referenced by the PointData property is exactly the same data as that manage by the ChartDataArray objects of the X and Y properties. The property is provided as a convenience when working with data obtained as Point or PointF values.

See Also

ChartDataSeries Class


SeriesData Property

SeriesData Property

Gets the current ChartDataSeries object. This property is only intended for use in the property browsers. It is not useful in code.

Syntax

[VB]

Public ReadOnly Property SeriesData As ChartDataSeries

[C#]

public ChartDataSeries SeriesData { get; }

[Delphi]

property SeriesData: ChartDataSeries;

Remarks

As a convenience, all relevant ChartDataSeries data arrays can be edited at the same time in a property browser by editing the SeriesData property. Data arrays are considered relevant only if the array is used to display the current ChartType.

For example, editing SeriesData for an XYPlot would invoke the data editor containing the X and Y data arrays. Editing SeriesData for a Candle chart would invoke the data editor containing the X, Y, Y1, Y2 and Y3 data arrays.

The SeriesData property is intended to be used only within property browsers, as it is merely a placeholder to allow invocation of the editor. The value returned is the object of which it is a part.

See Also

ChartDataSeries Class


SymbolStyle Property

SymbolStyle Property

Gets or sets the symbol style of the series, including color, size and shape.

Syntax

[VB]

Public Property SymbolStyle As ChartSymbolStyle

[C#]

public ChartSymbolStyle SymbolStyle { get; set; }

[Delphi]

property SymbolStyle: ChartSymbolStyle;

See Also

ChartDataSeries Class


Tag Property (ChartDataSeries)

Tag Property (ChartDataSeries)

Previous Next

Gets or sets the Tag property which allows association of user data with the ChartDataSeries.

Syntax

[VB]

Public Property Tag as Object

[C#]

public object Tag {get; set;}

[Delphi]

property Tag: Object;

Remarks

An Object that contains data about the ChartDataSeries. The default is a null reference (nothing in Visual Basic). Any type derived from the Object class can be assigned to this property. If the Tag property is set through the Windows Forms designer, only text may be assigned. A common use for the Tag property is to store data that is closely associated with the series.

See Also

ChartDataSeries Class


X Property (ChartDataSeries)

X Property (ChartDataSeries)

Previous Next

Gets the ChartDataArray object that manages X data.

Syntax

[VB]

Public ReadOnly Property X As ChartDataArray

[C#]

public ChartDataArray X { get; }

[Delphi]

property X: ChartDataArray;

Remarks

The X property allows manipulation of the series X data alone. The X data managed by the ChartDataArray returned by the X property is the same data managed in the PointData and SeriesData properties.

See Also

ChartDataSeries Class


Y Property (ChartDataSeries)

Y Property (ChartDataSeries)

Previous Next

Gets the ChartDataArray object that manages Y data.

Syntax

[VB]

Public ReadOnly Property Y As ChartDataArray

[C#]

public ChartDataArray Y { get; }

[Delphi]

property Y: ChartDataArray;

Remarks

The Y property allows manipulation of the series Y data alone. The Y data managed by the ChartDataArray returned by the Y property is the same data managed in the PointData and SeriesData properties.

See Also

ChartDataSeries Class


Y1 Property

Y1 Property

Gets the ChartDataArray object that manages Y1 data.

Syntax

[VB]

Public ReadOnly Property Y1 As ChartDataArray

[C#]

public ChartDataArray Y1 { get; }

[Delphi]

property Y1: ChartDataArray;

Remarks

Y1 data is used for Hi-Lo, Hi-Lo-Open-Close, Candle and Bubble charts.

The Y1 data managed by the ChartDataArray returned by the Y1 property is the same data managed by the SeriesData property.

See Also

ChartDataSeries Class


Y2 Property

Y2 Property

Gets the ChartDataArray object that manages Y2 data.

Syntax

[VB]

Public ReadOnly Property Y2 As ChartDataArray

[C#]

public ChartDataArray Y2 { get; }

[Delphi]

property Y2: ChartDataArray;

Remarks

Y2 data is used for Hi-Lo-Open-Close and Candle charts.

The Y2 data managed by the ChartDataArray returned by the Y2 property is the same data managed by the SeriesData property.

See Also

ChartDataSeries Class


Y3 Property

Y3 Property

Gets the ChartDataArray object that manages Y3 data.

Syntax

[VB]

Public ReadOnly Property Y3 As ChartDataArray

[C#]

public ChartDataArray Y3 { get; }

[Delphi]

property Y3: ChartDataArray;

Remarks

Y3 data is used for Hi-Lo-Open-Close and Candle charts.

The Y3 data managed by the ChartDataArray returned by the Y3 property is the same data managed by the SeriesData property.

See Also

ChartDataSeries Class


ChartDataSeries Methods

ChartDataSeries Methods


Clone Method

Clone Method

Creates a new series that is a copy of the current series without data.

Syntax

[VB]

Public Function Clone() As Object

[C#]

public object Clone();

[Delphi]

function Clone: Object;

Return Value

An object containing the new ChartDataSeries.

Remarks

The new ChartDataSeries object is not automatically added to the chart.

See Also

ChartDataSeries Class


IsHole Method (ChartDataSeries)

IsHole Method (ChartDataSeries)

Previous Next

Returns true whenever the passed value will be interpreted as a data hole.

Syntax

[VB]

Public Function IsHole (x As Double) As Boolean

[C#]

public bool IsHole (double x);

[Delphi]

function IsHole(x: Double): Boolean;

Return Value

Boolean

Remarks

This method returns the identical value of the same method of the parent ChartData object.

See Also

ChartDataSeries Class


ChartDataSeries Events

ChartDataSeries Events


DataSeriesChanged Event

DataSeriesChanged Event

Syntax

[VB]

Public Event DataSeriesChanged As ChartDataSeriesEventHandler

[C#]

public event ChartDataSeriesEventHandler DataSeriesChanged;

[Delphi]

property DataSeriesChanged: ChartDataSeriesEventHandler;

Event Data

The event handler receives an argument of type ChartDataSeriesEventArgs containing data related to this event. ChartDataSeriesEventArgs class inherits directly from EventArgs and contains no additional properties or methods.

See Also

ChartDataSeries Class


ChartDataSeriesCollection Class

ChartDataSeriesCollection Class

Syntax

C1.Win.C1Chart.ChartDataSeriesCollection


ChartDataSeriesCollection All Members

ChartDataSeriesCollection All Members

ChartDataSeriesCollection Properties

Count | Gets the item count of the collection.
Item Supported by the .NET Compact Framework. | Gets the specified ChartDataSeries from the collection by numeric index.

ChartDataSeriesCollection Methods

Add Supported by the .NET Compact Framework. | Adds the specified ChartDataSeries to the collection.
AddNewSeries Supported by the .NET Compact Framework. | Creates a new ChartDataSeries and appends it to the collection.
Clear | Used by the framework to manipulate the collection. To remove all series, use the RemoveAll method instead.
Insert Supported by the .NET Compact Framework. | Inserts the specified ChartDataSeries in the collection at the specified index.
InsertNewSeries Supported by the .NET Compact Framework. | Creates a new ChartDataSeries and inserts it into the collection at the specified index.
OnInsert | Called whenever a series is added to the collection.
Remove Supported by the .NET Compact Framework. | Removes a series from the collection.
RemoveAll Supported by the .NET Compact Framework | Removes all series from the collection.
RemoveAt | Used by the framework to manipulate the collection. To remove a series, use the Remove method instead.


ChartDataSeriesCollection Properties

ChartDataSeriesCollection Properties


Count Property (ChartDataSeriesCollection)

Count Property (ChartDataSeriesCollection)

Previous Next

Gets the item count of the collection.

Syntax

[VB]

Public ReadOnly Property Count As Integer

[C#]

public int Count { get; }

[Delphi]

property Count: Integer;

See Also

ChartDataSeriesCollection Class


Item Property (ChartDataSeriesCollection)

Item Property (ChartDataSeriesCollection)

Previous Next

Gets the specified ChartDataSeries from the collection by numeric index.

Syntax

[VB]

Default Public ReadOnly Property Item(index as Integer) As ChartDataSeries

[C#]

public ChartDataSeries this[int index] { get; }

[Delphi]

property Item(index: Integer): ChartDataSeries;

See Also

ChartDataSeriesCollection Class


ChartDataSeriesCollection Methods

ChartDataSeriesCollection Methods

Add Method (ChartDataSeriesCollection)

AddNewSeries Method

Clear Method (ChartDataSeriesCollection)

Insert Method (ChartDataSeriesCollection)

InsertNewSeries Method

OnInsert Method (ChartDataSeriesCollection)

Remove Method (ChartDataSeriesCollection)

RemoveAll Method (ChartDataSeriesCollection)

RemoveAt Method (ChartDataSeriesCollection)


Add Method (ChartDataSeriesCollection)

Add Method (ChartDataSeriesCollection)

Previous Next

Adds the specified ChartDataSeries to the collection.

Syntax

[VB]

Public Function Add (Series As ChartDataSeries) As Integer

[C#]

public int Add (ChartDataSeries series);

[Delphi]

function Add(series: ChartDataSeries): Integer;

Return Value

Integer

See Also

ChartDataSeriesCollection Class


AddNewSeries Method

AddNewSeries Method

Creates a new ChartDataSeries and appends it to the collection.

Syntax

[VB]

Public Function AddNewSeries () As ChartDataSeries

[C#]

public ChartDataSeries AddNewSeries ();

[Delphi]

function AddNewSeries: ChartDataSeries;

Return Value

ChartDataSeries

Remarks

A reference to the new ChartDataSeries is returned. This method is convenient for adding a new series to the ChartData object, as the returned value can be used to initialize the new series, especially in Visual Basic where it can be the object of a With-With End statement.

See Also

ChartDataSeriesCollection Class


Clear Method (ChartDataSeriesCollection)

Clear Method (ChartDataSeriesCollection)

Previous Next

Used by the framework to manipulate the collection. To remove all series from the collection, use the RemoveAll method instead.

Syntax

[VB]

Public Sub Clear()

[C#]

public void Clear();

[Delphi]

procedure Clear;

Remarks

The Clear method is used by the framework and should not be called directly. Its purpose is to manipulate the collection during editing. Using this method will empty the local collection of references to the chart series, but will have no effect on the chart itself. To empty the chart of all series, use the RemoveAll method.

See Also

ChartDataSeriesCollection Class


Insert Method (ChartDataSeriesCollection)

Insert Method (ChartDataSeriesCollection)

Previous Next

Inserts the specified ChartDataSeries in the collection at the specified index.

Syntax

[VB]

Public Sub Insert (index As Integer, Series As ChartDataSeries)

[C#]

public void Insert (int index, ChartDataSeries series);

[Delphi]

procedure Insert(index: Integer; series: ChartDataSeries);

See Also

ChartDataSeriesCollection Class


InsertNewSeries Method

InsertNewSeries Method

Creates a new ChartDataSeries and inserts it into the collection at the specified index.

Syntax

[VB]

Public Function InsertNewSeries (index As Integer) As ChartDataSeries

[C#]

public ChartDataSeries InsertNewSeries (int index);

[Delphi]

function InsertNewSeries(index: Integer): ChartDataSeries;

Return Value

ChartDataSeries

Remarks

A reference to the new ChartDataSeries is returned. This method is convenient for inserting a new series to the ChartData object, as the returned value can be used to initialize the new series, especially in Visual Basic where it can be the object of a With-With End statement.

See Also

ChartDataSeriesCollection Class


OnInsert Method (ChartDataSeriesCollection)

OnInsert Method (ChartDataSeriesCollection)

Previous Next

Called whenever a series is added to the collection.

Syntax

[VB]

Public Sub OnInsert (index As Integer, value As Object)

[C#]

public void OnInsert (int index, Object value);

[Delphi]

procedure OnInsert(index: Integer; value: Object);

Remarks

The value passed to this method is the inserted ChartDataSeries object. The value can be modified.

See Also

ChartDataSeriesCollection Class


Remove Method (ChartDataSeriesCollection)

Remove Method (ChartDataSeriesCollection)

Previous Next

Removes the specified ChartDataSeries from the collection.

Syntax

[VB]

Public Sub Remove (s As ChartDataSeries)

[C#]

public void Remove (ChartDataSeries s);

[Delphi]

procedure Remove(s: ChartDataSeries);

See Also

ChartDataSeriesCollection Class


RemoveAll Method (ChartDataSeriesCollection)

RemoveAll Method (ChartDataSeriesCollection)

Previous Next

Removes all series from the collection.

Syntax

[VB]

Public Sub RemoveAll()

[C#]

public void RemoveAll()

[Delphi]

procedure RemoveAll;

See Also

ChartDataSeriesCollection Class


RemoveAt Method (ChartDataSeriesCollection)

RemoveAt Method (ChartDataSeriesCollection)

Previous Next

Used by the framework to manipulate the collection. To remove a series, use the Remove method instead.

Syntax

[VB]

Public Sub RemoveAt()

[C#]

public void RemoveAt()

[Delphi]

procedure RemoveAt;

See Also

ChartDataSeriesCollection Class


ChartGridStyle Class

ChartGridStyle Class

Syntax

C1.Win.C1Chart.ChartGridStyle


ChartGridStyle All Members

ChartGridStyle All Members

ChartGridStyle Properties

AutoSpace Supported by the .NET Compact Framework. | Gets or sets automatic gridline spacing calculation.
Color Supported by the .NET Compact Framework. | Gets or sets the color of the line.
Pattern Supported by the .NET Compact Framework. | Gets or sets the pattern of the line.
Spacing Supported by the .NET Compact Framework. | Gets or sets gridline spacing in data coordinate units.
Thickness | Gets or sets the thickness of the line in pixels.
Visible Supported by the .NET Compact Framework. | Gets or sets the gridline visibility.


ChartGridStyle Properties

ChartGridStyle Properties

AutoSpace Property

Color Property (ChartGridStyle)

Pattern Property (ChartGridStyle)

Spacing Property

Thickness Property (ChartGridStyle)

Visible Property (ChartGridStyle)


AutoSpace Property

AutoSpace Property

Gets or sets automatic gridline spacing calculation.

Syntax

[VB]

Public Property AutoSpace As Boolean

[C#]

public bool AutoSpace { get; set; }

[Delphi]

property AutoSpace: Boolean;

See Also

ChartGridStyle Class


Color Property (ChartGridStyle)

Color Property (ChartGridStyle)

Previous Next

Gets or sets the color of the line.

Syntax

[VB]

Public Property Color As Color

[C#]

public Color Color { get; set; }

[Delphi]

property Color: Color;

See Also

ChartGridStyle Class


Pattern Property (ChartGridStyle)

Pattern Property (ChartGridStyle)

Previous Next

Gets or sets the pattern of the line.

Syntax

[VB]

Public Property Pattern As LinePatternEnum

[C#]

public LinePatternEnum Pattern { get; set; }

[Delphi]

property Pattern: LinePatternEnum;

See Also

ChartGridStyle Class


Spacing Property

Spacing Property

Gets or sets gridline spacing in data coordinate units.

Syntax

[VB]

Public Property Spacing As Single

[C#]

public float Spacing { get; set; }

[Delphi]

property Spacing: single;

See Also

ChartGridStyle Class


Thickness Property (ChartGridStyle)

Thickness Property (ChartGridStyle)

Previous Next

Gets or sets the thickness of the line in pixels.

Syntax

[VB]

Public Property Thickness As Integer

[C#]

public int Thickness { get; set; }

[Delphi]

property Thickness: Integer;

See Also

ChartGridStyle Class


Visible Property (ChartGridStyle)

Visible Property (ChartGridStyle)

Previous Next

Gets or sets the gridline visibility.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

See Also

ChartGridStyle Class


ChartGroup Class

ChartGroup Class

Syntax

C1.Win.C1Chart.ChartGroup


ChartGroup All Members

ChartGroup All Members

ChartGroup Properties

Bar Supported by the .NET Compact Framework. | Gets or sets the Bar object.
Bubble Supported by the .NET Compact Framework. | Gets or sets the Bubble object.
ChartData Supported by the .NET Compact Framework. | Gets the ChartData object.
ChartType Supported by the .NET Compact Framework. | Gets or sets the type of chart to display.
DrawingOrder Supported by the .NET Compact Framework. | Gets or sets the drawing order of a ChartGroup.
HiLoData Supported by the .NET Compact Framework. | Gets or sets the HiLoData object.
LegendReversed | Determines the order in which the series entries of each ChartGroup appear in the Legend.
Name Supported by the .NET Compact Framework. | Gets or sets the name of the ChartGroup.
Pie Supported by the .NET Compact Framework. | Gets or sets the Pie object.
Polar Supported by the .NET Compact Framework. | Gets or sets the Polar object.
Radar Supported by the .NET Compact Framework. | Gets or sets the Radar object.
ShowOutline Supported by the .NET Compact Framework. | Gets or sets whether figures drawn should be outlined in the PlotArea ForeColor.
Stacked Supported by the .NET Compact Framework. | Gets or sets whether the chart should stack the data (for appropriate chart types).
Use3D Supported by the .NET Compact Framework. | Gets or sets whether 3D effects are used for charting the data in the ChartGroup.
Visible | Gets or sets whether ChartGroup is visible.

ChartGroup Methods

CoordToDataCoord Supported by the .NET Compact Framework. | Calculates the data coordinates of a point in the PlotArea given chart client coordinates.
CoordToDataIndex Supported by the .NET Compact Framework. | Returns series and point indices and distance to the closest data point in the group given.
DataCoordToCoord Supported by the .NET Compact Framework. | Calculates the client coordinates of a point in the PlotArea given data coordinates.
DataIndexToCoord Supported by the .NET Compact Framework. | Returns the client coordinates of the specified point.
DataIndexToRect | Returns the minimal Rectangle circumscribing the specified point.


ChartGroup Properties

ChartGroup Properties

Bar Property

Bubble Property

ChartData Property

ChartType Property

DrawingOrder Property

HiLoData Property

LegendReversed Property

Name Property (ChartGroup)

Pie Property

Polar Property

Radar Property

ShowOutline Property

Stacked Property

Use3D Property

Visible Property


Bar Property

Bar Property

Gets or sets the Bar object.

Syntax

[VB]

Public Property Bar As Bar

[C#]

public Bar Bar { get; set; }

[Delphi]

property Bar: Bar;

Remarks

The Bar object contains properties specific to Bar charts.

See Also

ChartGroup Class


Bubble Property

Bubble Property

Gets or sets the Bubble object.

Syntax

[VB]

Public Property Bubble As Bubble

[C#]

public Bubble Bubble { get; set; }

[Delphi]

property Bubble: Bubble;

Remarks

The Bubble object contains properties specific to Bubble charts.

See Also

ChartGroup Class


ChartData Property

ChartData Property

Gets the ChartData object.

Syntax

[VB]

Public ReadOnly Property ChartData As ChartData

[C#]

public ChartData ChartData { get; }

[Delphi]

property ChartData: ChartData;

Remarks

The ChartData object contains the numerical series to be charted and display information for each series.

See Also

ChartGroup Class


ChartType Property

ChartType Property

Gets or sets the type of chart to display.

Syntax

[VB]

Public Property ChartType As Chart2DTypeEnum

[C#]

public Chart2DTypeEnum ChartType { get; set; }

[Delphi]

property ChartType: Chart2DTypeEnum;

See Also

ChartGroup Class


DrawingOrder Property

DrawingOrder Property

Gets or sets the drawing order of a ChartGroup.

Syntax

[VB]

Public Property DrawingOrder As Integer

[C#]

public int DrawingOrder { get; set; }

[Delphi]

property DrawingOrder: Integer;

Remarks

The lower the drawing number, the later the group is drawn.

See Also

ChartGroup Class


HiLoData Property

HiLoData Property

Gets or sets the HiLoData object.

Syntax

[VB]

Public Property HiLoData As HiLoData

[C#]

public HiLoData HiLoData { get; set; }

[Delphi]

property HiLoData: HiLoData;

Remarks

The HiLoData object contains properties specific to Hi-Lo chart types, including Hi-Lo, Hi-Lo-Open-Close and Candle charts.

See Also

ChartGroup Class


LegendReversed Property

LegendReversed Property

Determines the order in which the series entries of each ChartGroup appear in the legend.

Syntax

[VB]

Public Property LegendReversed As Boolean

[C#]

public bool LegendReversed { get; set; }

[Delphi]

property LegendReversed: Boolean;

Remarks

The series of each ChartGroup normally appear in index order in the legend. If the LegendReversed property is true, then the series entries for the ChartGroup appear in reversed order.

See Also

ChartGroup Class


Name Property (ChartGroup)

Name Property (ChartGroup)

Previous Next

Gets or sets the name of the ChartGroup.

Syntax

[VB]

Public Property Name As String

[C#]

public String Name { get; set; }

[Delphi]

property Name: string;

Remarks

Used for indexing and identification.

See Also

ChartGroup Class


Pie Property

Pie Property

Gets or sets the Pie object.

Syntax

[VB]

Public Property Pie As Pie

[C#]

public Pie Pie { get; set; }

[Delphi]

property Pie: Pie;

Remarks

The Pie object contains properties specific to Pie charts.

See Also

ChartGroup Class


Polar Property

Polar Property

Gets or sets the Polar object.

Syntax

[VB]

Public Property Polar As Polar

[C#]

public Polar Polar { get; set; }

[Delphi]

property Polar: Polar;

Remarks

The Polar object contains properties specific to Polar charts.

See Also

ChartGroup Class


Radar Property

Radar Property

Gets or sets the Radar object.

Syntax

[VB]

Public Property Radar As Radar

[C#]

public Radar Radar { get; set; }

[Delphi]

property Radar: Radar;

Remarks

The Radar object contains properties specific to Radar charts.

See Also

ChartGroup Class


ShowOutline Property

ShowOutline Property

Gets or sets whether figures drawn should be outlined in the PlotArea ForeColor.

Syntax

[VB]

Public Property ShowOutline As Boolean

[C#]

public bool ShowOutline { get; set; }

[Delphi]

property ShowOutline: Boolean;

Remarks

Such figures include Bars, Pies, Areas, etc.

See Also

ChartGroup Class


Stacked Property

Stacked Property

Gets or sets whether the chart should stack the data (for appropriate chart types).

Syntax

[VB]

Public Property Stacked As Boolean

[C#]

public bool Stacked { get; set; }

[Delphi]

property Stacked: Boolean;

See Also

ChartGroup Class


Use3D Property

Use3D Property

Gets or sets whether 3D effects are used for charting the data in the ChartGroup.

Syntax

[VB]

Public Property Use3D As Boolean

[C#]

public bool Use3D { get; set; }

[Delphi]

property Use3D: Boolean;

Remarks

If View3D data contains non-zero values for Depth, Rotation and Elevation, 3D effects are added to various charts, including Area, Bar, Pie and XYPlot charts. However, the Use3D property for a ChartGroup can override the use of 3D effects, allowing one group to be presented with 3D effects and the other group to be charted without 3D effects.

See Also

ChartGroup Class


Visible Property

Visible Property

Gets or sets whether ChartGroup is visible.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

See Also

ChartGroup Class


ChartGroup Methods

ChartGroup Methods

CoordToDataCoord Method

CoordToDataIndex Method

DataCoordToCoord Method

DataIndexToCoord Method

DataIndexToRect Method


CoordToDataCoord Method

CoordToDataCoord Method

Calculates the data coordinates of a point in the PlotArea given chart client coordinates.

Syntax

[VB]

Public Function CoordToDataCoord (XCoord As Integer, YCoord As Integer, _

ByRef XDataCoord As Single ByRef YDataCoord As Single) As Boolean

Public Function CoordToDataCoord (XCoord As Integer, YCoord As Integer, _

ByRef XDataCoord As Double ByRef YDataCoord As Double) As Boolean

[C#]

public bool CoordToDataCoord (int XCoord, int YCoord,

ref float XDataCoord, ref float YDataCoord);

public bool CoordToDataCoord (int XCoord, int YCoord,

ref double XDataCoord, ref double YDataCoord);

[Delphi]

function CoordToDataCoord(XCoord: Integer; YCoord: Integer; XDataCoord: single; YDataCoord: single): Boolean;

function CoordToDataCoord(XCoord: Integer; YCoord: Integer; XDataCoord: Double; YDataCoord: Double): Boolean;

Return Value

Boolean

Remarks

Mouse coordinates are given in client coordinates. The return value indicates successful calculation.

See Also

ChartGroup Class


CoordToDataIndex Method

CoordToDataIndex Method

Returns series and point indices and distance to the closest data point in the group given client coordinates.

Syntax

[VB]

Public Function CoordToDataIndex (XCoord As Integer, YCoord As Integer, _

focus As CoordinateFocusEnum, ByRef SeriesIndex As Integer, _

ByRef PointIndex As Integer, ByRef Distance As Integer) As Boolean

[C#]

public bool CoordToDataIndex (int XCoord, int YCoord, CoordinateFocusEnum focus, ref_ int SeriesIndex, ref int PointIndex, ref int Distance);

[Delphi]

function CoordToDataIndex(XCoord: Integer; YCoord: Integer; focus: CoordinateFocusEnum; SeriesIndex: Integer; PointIndex: Integer; Distance: Integer): Boolean;

Return Value

Boolean

Remarks

Mouse coordinates are given in client coordinates. The return value indicates successful calculation.

See Also

ChartGroup Class


DataCoordToCoord Method

DataCoordToCoord Method

Calculates the client coordinates of a point in the PlotArea given data coordinates.

Syntax

[VB]

Public Function DataCoordToCoord (XDataCoord As Double, YDataCoord As Double, _

ByRef XCoord As Integer, ByRef YCoord As Integer) As Boolean

[C#]

public bool DataCoordToCoord (double XDataCoord, double YDataCoord, ref int XCoord,_ ref int YCoord);

[Delphi]

function DataCoordToCoord(XDataCoord: Double; YDataCoord: Double; XCoord: Integer; YCoord: Integer): Boolean;

Return Value

Boolean

Remarks

Mouse coordinates are given in client coordinates. The return value indicates successful calculation.

See Also

ChartGroup Class


DataIndexToCoord Method

DataIndexToCoord Method

Returns the client coordinates of the specified point.

Syntax

[VB]

Public Function DataIndexToCoord (SeriesIndex As Integer, _

PointIndex As Integer, _

ByRef XCoord As Integer, YCoord As Integer) As Boolean

[C#]

public bool DataIndexToCoord (int SeriesIndex, int PointIndex, ref int XCoord, ref int_ YCoord);

[Delphi]

function DataIndexToCoord(SeriesIndex: Integer; PointIndex: Integer; XCoord: Integer; YCoord: Integer): Boolean;

Return Value

Boolean

Remarks

Mouse coordinates are given in client coordinates. The return value indicates successful calculation.

See Also

ChartGroup Class


DataIndexToRect Method

DataIndexToRect Method

Returns the minimal Rectangle circumscribing the specified point.

Syntax

[VB]

Public Function DataIndexToRect(SeriesIndex As Integer, Point Index As Integer) As Rectangle

[C#]

public Rectangle DataIndexToRect(int SeriesIndex, int PointIndex);

[Delphi]

function DataIndexToRect(SeriesIndex: Integer; PointIndex: Integer): Rectangle;

Return Value

Boolean

Remarks

The return value is the smallest Rectangle that circumscribes the symbol of the data point. Note that this method is not implemented for all chart types.

See Also

ChartGroup Class


ChartGroups Class

ChartGroups Class

Syntax

C1.Win.C1Chart.ChartGroups


ChartGroups All Members

ChartGroups All Members

ChartGroups Properties

ChartGroupsCollection Supported by the .NET Compact Framework. | Gets the collection of ChartGroup objects.
Count Supported by the .NET Compact Framework. | Gets the number of ChartGroups.
Group0 Supported by the .NET Compact Framework. | Gets the foreground ChartGroup from the contained collection.
Group1 Supported by the .NET Compact Framework. | Gets the background ChartGroup from the contained collection.
Item Supported by the .NET Compact Framework. | Gets the specified ChartGroup by numeric index.


ChartGroups Properties

ChartGroups Properties

ChartGroupsCollection Property

Count Property (ChartGroups)

Group0 Property

Group1 Property

Item Property (ChartGroups)


ChartGroupsCollection Property

ChartGroupsCollection Property

Gets the collection of ChartGroup objects.

Syntax

[VB]

Public ReadOnly Property ChartGroupsCollection As ChartGroupsCollection

[C#]

public ChartGroupsCollection ChartGroupsCollection { get; }

[Delphi]

property ChartGroupsCollection: ChartGroupsCollection;

Remarks

The ChartGroupsCollection is provided to allow enumeration of all ChartGroups within a loop. It contains the same ChartGroups as referenced by the Group0 and Group1 properties.

See Also

ChartGroups Class


Count Property (ChartGroups)

Count Property (ChartGroups)

Previous Next

Gets the number of ChartGroups.

Syntax

[VB]

Public ReadOnly Property Count As Integer

[C#]

public int Count { get; }

[Delphi]

property Count: Integer;

See Also

ChartGroups Class


Group0 Property

Group0 Property

Gets the foreground ChartGroup from the contained collection.

Syntax

[VB]

Public ReadOnly Property Group0 As ChartGroup

[C#]

public ChartGroup Group0 { get; }

[Delphi]

property Group0: ChartGroup;

Remarks

Group0 or the default foreground ChartGroup is the first ChartGroup in the ChartGroupsCollection.

See Also

ChartGroups Class


Group1 Property

Group1 Property

Gets the background ChartGroup from the contained collection.

Syntax

[VB]

Public ReadOnly Property Group1 As ChartGroup

[C#]

public ChartGroup Group1 { get; }

[Delphi]

property Group1: ChartGroup;

Remarks

Group1 or the default background ChartGroup is the last ChartGroup in the ChartGroupsCollection.

See Also

ChartGroups Class


Item Property (ChartGroups)

Item Property (ChartGroups)

Previous Next

Gets the specified ChartGroup by numeric index.

Syntax

[VB]

Default Public ReadOnly Property Item(index As Integer) As ChartGroup

[C#]

public ChartGroup this[int index] { get; }

[Delphi]

property Item(index: Integer): ChartGroup;

See Also

ChartGroups Class


ChartGroupsCollection Class

ChartGroupsCollection Class

Syntax

C1.Win.C1Chart.ChartGroupsCollection


ChartGroupsCollection All Members

ChartGroupsCollection All Members

ChartGroupsCollection Properties

Count Supported by the .NET Compact Framework. | Gets the number of members in the collection.
Item Supported by the .NET Compact Framework. | Gets the specified ChartGroup by numeric index.


ChartGroupsCollection Properties

ChartGroupsCollection Properties


Count Property (ChartGroupsCollection)

Count Property (ChartGroupsCollection)

Previous Next

Syntax

[VB]

Public ReadOnly Property Count As Integer

[C#]

public int Count { get; }

[Delphi]

property Count: Integer;

See Also

ChartGroupsCollection Class


Item Property (ChartGroupsCollection)

Item Property (ChartGroupsCollection)

Previous Next

Gets the specified ChartGroup by numeric index.

Syntax

[VB]

Default Public ReadOnly Property Item(index As Integer) As ChartGroup

[C#]

public ChartGroup this[int index] { get; }

[Delphi]

property Item(index: Integer): ChartGroup;

See Also

ChartGroupsCollection Class


ChartLabels Class

ChartLabels Class

Syntax

C1.Win.C1Chart.ChartLabels


ChartLabels All Members

ChartLabels All Members

ChartLabels Properties

LabelsCollection Supported by the .NET Compact Framework. | Gets the LabelsCollection.
DefaultLabelStyle Supported by the .NET Compact Framework. | Gets the DefaultLabelStyle.
Item Supported by the .NET Compact Framework. | Gets the LabelsCollection.

ChartLabels Methods

LabelFromCoord
Supported by the .NET Compact Framework.

Used to obtain the LabelIndex at the specified coordinate.


ChartLabels Properties

ChartLabels Properties

LabelsCollection Property (ChartLabels)

DefaultLabelStyle Property

Item Property (ChartLabels)


LabelsCollection Property (ChartLabels)

LabelsCollection Property (ChartLabels)

Previous Next

Gets the LabelsCollection.

Syntax

[VB]

Public ReadOnly Property LabelsCollection As LabelsCollection

[C#]

public LabelsCollection LabelsCollection { get; }

[Delphi]

property LabelsCollection: LabelsCollection;

See Also

ChartLabels Class


DefaultLabelStyle Property

DefaultLabelStyle Property

Gets the DefaultLabelStyle.

Syntax

[VB]

Public ReadOnly Property DefaultLabelStyle As Style

[C#]

public Style DefaultLabelStyle { get; }

[Delphi]

property DefaultLabelStyle: Style;

Remarks

All labels inherit from this Style.

See Also

ChartLabels Class


Item Property (ChartLabels)

Item Property (ChartLabels)

Previous Next

Gets the specified label from the collection by numerical index or label text.

Syntax

[VB]

Default Public ReadOnly Property Item(index As Integer) As Label

Default Public ReadOnly Property Item(text As String) As Label

[C#]

public Label this[int index] { get; }

public Label this[string text] { get; }

[Delphi]

property Item(index: Integer): Label;

property Item(index: string): Label;

See Also

ChartLabels Class


ChartLabels Methods

ChartLabels Methods


LabelFromCoord Method (ChartLabels)

LabelFromCoord Method (ChartLabels)

Previous Next

Used to obtain the LabelIndex at the specified coordinate.

Syntax

[VB]

Public Function LabelFromCoord (XCoord As Integer, YCoord As Integer, _

ByRef LabelIndex As Integer) As Boolean

[C#]

public bool LabelFromCoord (int XCoord, int YCoord, ref int LabelIndex);

[Delphi]

function LabelFromCoord(XCoord: Integer; YCoord: Integer; LabelIndex: Integer): Boolean;

Return Value

Boolean

Remarks

Returns true if a label is present at the specified coordinates.

See Also

ChartLabels Class


ChartLineStyle Class

ChartLineStyle Class

Syntax

C1.Win.C1Chart.ChartLineStyle


ChartLineStyle All Members

ChartLineStyle All Members

ChartLineStyle Properties

Color Supported by the .NET Compact Framework. | Gets or sets the color of the line.
Pattern Supported by the .NET Compact Framework. | Gets or sets the pattern of the line.
Thickness Supported by the .NET Compact Framework. | Gets or sets the thickness of the line in pixels.


ChartLineStyle Properties

ChartLineStyle Properties

Color Property (ChartLineStyle)

Pattern Property (ChartLineStyle)

Thickness Property (ChartLineStyle)


Color Property (ChartLineStyle)

Color Property (ChartLineStyle)

Previous Next

Gets or sets the color of the line.

Syntax

[VB]

Public Property Color As Color

[C#]

public Color Color { get; set; }

[Delphi]

property Color: Color;

Remarks

When ChartLineStyle colors are created automatically, a color that does not match the PlotArea BackColor is selected.

See Also

ChartLineStyle Class


Pattern Property (ChartLineStyle)

Pattern Property (ChartLineStyle)

Previous Next

Gets or sets the pattern of the line.

Syntax

[VB]

Public Pattern As LinePatternEnum

[C#]

public LinePatternEnum Pattern { get; set; }

[Delphi]

property Pattern: LinePatternEnum;

See Also

ChartLineStyle Class


Thickness Property (ChartLineStyle)

Thickness Property (ChartLineStyle)

Previous Next

Gets or sets the thickness of the line in pixels.

Syntax

[VB]

Public Property Thickness As Integer

[C#]

public int Thickness { get; set; }

[Delphi]

property Thickness: Integer;

See Also

ChartLineStyle Class


ChartSymbolStyle Class

ChartSymbolStyle Class

Syntax

C1.Win.C1Chart.ChartSymbolStyle


ChartSymbolStyle All Members

ChartSymbolStyle All Members

ChartSymbolStyle Properties

Color Supported by the .NET Compact Framework. | Gets or sets the color of the data point symbol.
OutlineColor | Gets or sets the outline color of the data point symbol.
OutlineWidth | Gets or sets the outline width of the data point symbol.
Shape Supported by the .NET Compact Framework. | Gets or sets the shape of the data point symbol.
Size Supported by the .NET Compact Framework. | Gets or sets the size of the data point symbol.


ChartSymbolStyle Properties

ChartSymbolStyle Properties

Color Property (ChartSymbolStyle)

OutlineColor Property (ChartSymbolStyle)

OutlineWidth Property (ChartSymbolStyle)

Shape Property (ChartSymbolStyle)

Size Property (ChartSymbolStyle)


Color Property (ChartSymbolStyle)

Color Property (ChartSymbolStyle)

Previous Next

Gets or sets the color of the data point symbol.

Syntax

[VB]

Public Property Color As Color

[C#]

public Color Color { get; set; }

[Delphi]

property Color: Color;

Remarks

When ChartSymbolStyle colors are created automatically, a color that does not match the PlotArea BackColor is selected.

See Also

ChartSymbolStyle Class


OutlineColor Property (ChartSymbolStyle)

OutlineColor Property (ChartSymbolStyle)

Previous Next

Gets or sets the outline color of the data point symbol.

Syntax

[VB]

Public Property OutlineColor As Color

[C#]

public Color OutlineColor {get; set;}

[Delphi]

property OutlineColor: Color;

See Also

ChartSymbolStyle Class


OutlineWidth Property (ChartSymbolStyle)

OutlineWidth Property (ChartSymbolStyle)

Previous Next

Gets or sets the outline width of the data point symbol.

Syntax

[VB]

Public Property OutlineWidth As Integer

[C#]

public int OutlineWidth {get; set;}

[Delphi]

property OutlineWidth: Integer;

Remarks

OutlineWidth should not exceed symbol size. If the outline width is greater than the symbol size, the symbol size is used as the outline width when drawing the symbol.

See Also

ChartSymbolStyle Class


Shape Property (ChartSymbolStyle)

Shape Property (ChartSymbolStyle)

Previous Next

Gets or sets the shape of the data point symbol.

Syntax

[VB]

Public Property Shape As SymbolShapeEnum

[C#]

public SymbolShapeEnum Shape { get; set; }

[Delphi]

property Shape: SymbolShapeEnum;

See Also

ChartSymbolStyle Class


Size Property (ChartSymbolStyle)

Size Property (ChartSymbolStyle)

Previous Next

Gets or sets the size of the data point symbol.

Syntax

[VB]

Public Property Size As Integer

[C#]

public int Size { get; set; }

[Delphi]

property Size: Integer;

See Also

ChartSymbolStyle Class


DrawDataSeriesEventArgs Class

DrawDataSeriesEventArgs Class

Provides data for the DrawDataSeries event.

Syntax

[VB]

Public Class ChartDataSeriesEventArgs

[C#]

public class ChartDataSeriesEventArgs : System.EventArgs

[Delphi]

type ChartDataSeriesEventArgs: class(EventArgs);


DrawDataSeriesEventArgs Class Members

DrawDataSeriesEventArgs Class Members

DrawDataSeriesEventArgs Class Properties

Brush | Gets or sets the brush that will be used for data plotting.
Bounds | Gets the rectangular area in which the data series will be plotted.
DisposeBrush. | Gets or sets whether the brush should be disposed by the chart.
GroupIndex | Gets the index of the chart group.
IsLegend | Gets whether the region about to be drawn is in the legend.
SeriesIndex | Gets the index of the data series about to be drawn.


DrawDataSeriesEventArgs Class Properties

DrawDataSeriesEventArgs Class Properties

Brush Property

Bounds Property

DisposeBrush Property

GroupIndex Property

IsLegend Property

SeriesIndex Property


Brush Property

Brush Property

Gets or sets the brush that will be used for data plotting.

Syntax

[VB]

Public Property Brush As Brush

[C#]

public Brush Brush { get; set; }

[Delphi]

property Brush: Brush;

See Also

DrawDataSeriesEventArgs Class


Bounds Property

Bounds Property

Gets the rectangular area in which the data series will be plotted.

Syntax

[VB]

Public Readonly Property Bounds As RectangleF

[C#]

public RectangleF Bounds { get; }

[Delphi]

property Bounds: Rectangle;

See Also

DrawDataSeriesEventArgs Class


DisposeBrush Property

DisposeBrush Property

Gets or sets whether the brush should be disposed by the chart after drawing the series. If DisposeBrush is false the brush is not disposed by the chart.

Syntax

[VB]

Public Property DisposeBrush As Boolean

[C#]

public bool DisposeBrush { get; set; }

[Delphi]

property DisposeBrush: Boolean;

See Also

DrawDataSeriesEventArgs Class


GroupIndex Property

GroupIndex Property

Gets the index of the chart group.

Syntax

[VB]

Public Readonly Property GroupIndex As Integer

[C#]

public int GroupIndex { get; }

[Delphi]

property GroupIndex: Integer;

See Also

DrawDataSeriesEventArgs Class


IsLegend Property

IsLegend Property

Gets whether the current region about to be drawn is in the legend.

Syntax

[VB]

Public Readonly Property IsLegend As Boolean

[C#]

public bool IsLegend { get; }

[Delphi]

property IsLegend: Boolean;

See Also

DrawDataSeriesEventArgs Class


SeriesIndex Property

SeriesIndex Property

Gets the index of the data series about to be drawn.

Syntax

[VB]

Public Readonly Property SeriesIndex As Integer

[C#]

public int SeriesIndex { get; }

[Delphi]

property SeriesIndex: Integer;

See Also

DrawDataSeriesEventArgs Class


HiLoData Class

HiLoData Class

Syntax

C1.Win.C1Chart.HiLoData


HiLoData All Members

HiLoData All Members

HiLoData Properties

FillFalling Supported by the .NET Compact Framework. | Gets or sets whether filled candles represent falling values (true) or rising values (false).
FillTransparent Supported by the .NET Compact Framework. | Gets or sets whether open candles are transparent (true) or filled with the series symbol color.
FullWidth Supported by the .NET Compact Framework. | Gets or sets whether the opening and closing values of a Hi-Lo-Open-Close chart are represented by a horizontal line on both sides of the Hi-Lo bar.
ShowClose Supported by the .NET Compact Framework. | Gets or sets whether the closing value is shown in a Hi-Lo-Open-Close chart.
ShowOpen Supported by the .NET Compact Framework. | Gets or sets whether the opening value is shown in a Hi-Lo-Open-Close chart.


HiLoData Properties

HiLoData Properties

FillFalling Property

FillTransparent Property

FullWidth Property

ShowClose Property

ShowOpen Property


FillFalling Property

FillFalling Property

Gets or sets whether filled candles represent falling values (true) or rising values (false).

Syntax

[VB]

Public Property FillFalling As Boolean

[C#]

public bool FillFalling { get; set; }

[Delphi]

property FillFalling: Boolean;

See Also

HiLoData Class


FillTransparent Property

FillTransparent Property

Gets or sets whether open candles are transparent (true) or filled with the series symbol color (false).

Syntax

[VB]

Public Property FillTransparent As Boolean

[C#]

public bool FillTransparent { get; set; }

[Delphi]

property FillTransparent: Boolean;

See Also

HiLoData Class


FullWidth Property

FullWidth Property

Gets or sets whether the opening and closing values of a Hi-Lo-Open-Close chart are represented by a horizontal line on both sides of the Hi-Lo bar.

Syntax

[VB]

Public Property FullWidth As Boolean

[C#]

public bool FullWidth { get; set; }

[Delphi]

property FullWidth: Boolean;

See Also

HiLoData Class


ShowClose Property

ShowClose Property

Gets or sets whether the closing value is shown in a Hi-Lo-Open-Close chart.

Syntax

[VB]

Public Property ShowClose As Boolean

[C#]

public bool ShowClose { get; set; }

[Delphi]

property ShowClose: Boolean;

See Also

HiLoData Class


ShowOpen Property

ShowOpen Property

Gets or sets whether the opening value is shown in a Hi-Lo-Open-Close chart.

Syntax

[VB]

Public Property ShowOpen As Boolean

[C#]

public bool ShowOpen { get; set; }

[Delphi]

property ShowOpen: Boolean;

See Also

HiLoData Class


Interaction Class

Interaction Class

Contains all properties that control the automated interactive features of the chart, including mouse driven rotation, scaling, translating and zooming.

Syntax

C1.Win.C1Chart.Interaction


Interaction Class Members

Interaction Class Members

Interaction Class Properties

Actions | Gets the collection of available interactive actions.
Enabled | Gets or sets whether the chart interaction is enabled.
IsDefault | Gets or sets whether the interaction settings are the same as the default interaction settings.


Interaction Class Properties

Interaction Class Properties

Actions Property

Enabled Property

IsDefault Property


Actions Property

Actions Property

Gets the collection of available interactive actions.

Syntax

[VB]

Public Readonly Property Actions As ActionCollection

[C#]

public ActionCollection Actions { get; }

[Delphi]

property Actions: ActionCollection;

Remarks

The following actions are available:

•

Rotate - rotate chart (only for chart with 3D effects),

•

Scale - change scale of chart,

•

Translate - scroll through chart,

•

Zoom - select rectangular area of chart for view.

Scale, translate and zoom actions are available for charts with cartesian axes. All actions are invoked when user drags the mouse over plot area with the specified keyboard modifier(ALT, CONTROL, SHIFT).

The default action map includes the following actions:

•

rotate - left mouse button,

•

scale - CTRL + left mouse button,

•

scale - CONTROL + left mouse button,

•

translate - SHIFT + left mouse button,

•

zoom - ALT + left mouse button.

See Also

Interaction Class


Enabled Property

Enabled Property

Gets or sets whether the chart interaction is enabled.

Syntax

[VB]

Public Property Enabled As Boolean

[C#]

public bool Enabled { get; set; }

[Delphi]

property Enabled: Boolean;

See Also

Interaction Class


IsDefault Property

IsDefault Property

Gets or sets whether the interaction settings are the same as the default interaction settings.

Syntax

[VB]

Public Property IsDefault As Boolean

[C#]

public bool IsDefault { get; set; }

[Delphi]

property IsDefault: Boolean;

Remarks

If the interaction settings are set to their default values, then IsDefault returns true. If the interaction settings are not set to their default values, then IsDefault returns false.

If IsDefault is explicitly set to true, then the interaction settings are reset to their default values.

See Also

Interaction Class


Label Class

Label Class

Syntax

C1.Win.C1Chart.Label


Label All Members

Label All Members

Label Properties

AttachMethod Supported by the .NET Compact Framework. | Gets or sets the label attachment method.
AttachMethodData Supported by the .NET Compact Framework. | Gets or sets the attachment data for the label.
Compass Supported by the .NET Compact Framework. | Gets or sets the position of the label relative to its specified location.
Connected Supported by the .NET Compact Framework. | Gets or sets whether a connecting line is drawn to an associated data point.
Location Supported by the .NET Compact Framework. | Gets the location of the label in chart control client coordinates.
Name Supported by the .NET Compact Framework. | Gets or sets the label name.
Offset Supported by the .NET Compact Framework. | Gets or sets the offset distance from an associated data point.
Size Supported by the .NET Compact Framework. | Gets or sets the size of the label in chart control client coordinates.
SizeDefault | Gets or sets the default size of the label.
Style Supported by the .NET Compact Framework. | Gets the Style object of the label.
Text Supported by the .NET Compact Framework. | Gets or sets the text of the label.
Visible Supported by the .NET Compact Framework. | Gets or sets the label visibility.

Label Methods

Dispose Supported by the .NET Compact Framework. | Readies the chart object for garbage collection.
ResetSizeDefault | Resets Label size so it is calculated automatically.
ResetStyle | Resets Label style inheritance state.
ShouldSerializeSizeDefault | Returns true if the Label SizeDefault property is in the default state.
ShouldSerializeStyle | Returns true if the ChartArea Style property is in the default state.


Label Properties

Label Properties

AttachMethod Property

AttachMethodData Property (Label)

Compass Property (Label)

Connected Property (Label)

Location Property (Label)

Name Property (Label)

Offset Property

Size Property (Label)

SizeDefault Property (Label)

Style Property (Label)

Text Property (Label)

Visible Property (Label)


AttachMethod Property

AttachMethod Property

Gets or sets the label attachment method.

Syntax

[VB]

Public Property AttachMethod As AttachMethodEnum

[C#]

public AttachMethodEnum AttachMethod { get; set; }

[Delphi]

property AttachMethod: AttachMethodEnum;

See Also

Label Class


AttachMethodData Property (Label)

AttachMethodData Property (Label)

Previous Next

Gets or sets the attachment data for the label.

Syntax

[VB]

Public Property AttachMethodData As AttachMethodData

[C#]

public AttachMethodData AttachMethodData { get; set; }

[Delphi]

property AttachMethodData: AttachMethodData;

See Also

Label Class


Compass Property (Label)

Compass Property (Label)

Previous Next

Gets or sets the position of the label relative its specified location.

Syntax

[VB]

Public Property Compass As LabelCompassEnum

[C#]

public LabelCompassEnum Compass { get; set; }

[Delphi]

property Compass: LabelCompassEnum;

See Also

Label Class


Connected Property (Label)

Connected Property (Label)

Previous Next

Gets or sets whether a connecting line is drawn to an associated data point.

Syntax

[VB]

Public Property Connected As Boolean

[C#]

public bool Connected { get; set; }

[Delphi]

property Connected: Boolean;

See Also

Label Class


Location Property (Label)

Location Property (Label)

Previous Next

Gets the location of the label in chart control client coordinates.

Syntax

[VB]

Public ReadOnly Property Location As Point

[C#]

public Point Location { get; }

[Delphi]

property Location: Point;

See Also

Label Class


Name Property (Label)

Name Property (Label)

Previous Next

Gets or sets the label name.

Syntax

[VB]

Public Property Name As String

[C#]

public String Name { get; set; }

[Delphi]

property Name: string;

See Also

Label Class


Offset Property

Offset Property

Gets or sets the offset distance in pixels from an associated data point.

Syntax

[VB]

Public Property Offset As Integer

[C#]

public int Offset { get; set; }

[Delphi]

property Offset: Integer;

See Also

Label Class


Size Property (Label)

Size Property (Label)

Previous Next

Gets or sets the size of the label in chart control client coordinates.

Syntax

[VB]

Public Property Size As Size

[C#]

public Size Size { get; set; }

[Delphi]

property Size: Size;

Remarks

Modifying this value will change SizeDefault.

See Also

Label Class


SizeDefault Property (Label)

SizeDefault Property (Label)

Previous Next

Gets or sets the default size of the label.

Syntax

[VB]

Public Property SizeDefault As Size

[C#]

public Size SizeDefault { get; set; }

[Delphi]

property SizeDefault: Size;

Remarks

Negative values will allow autopositioning.

See Also

Label Class


Style Property (Label)

Style Property (Label)

Previous Next

Gets the Style object of the label.

Syntax

[VB]

Public ReadOnly Property Style As Style

[C#]

public Style Style { get; }

[Delphi]

property Style: Style;

Remarks

Inherits from the ChartLabels.DefaultLabelStyle property.

See Also

Label Class


Text Property (Label)

Text Property (Label)

Previous Next

Gets or sets the text of the label.

Syntax

[VB]

Public Property Text As String

[C#]

public String Text { get; set; }

[Delphi]

property Text: string;

See Also

Label Class


Visible Property (Label)

Visible Property (Label)

Previous Next

Gets or sets the label visibility.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

See Also

Label Class


Label Methods

Label Methods

Dispose Method (Label)

ResetSizeDefault Method (Label)

ResetStyle Method (Label)

ShouldSerializeSizeDefault Method (Label)

ShouldSerializeStyle Method (Label)


Dispose Method (Label)

Dispose Method (Label)

Previous Next

Readies the chart object for garbage collection.

Syntax

[VB]

Public Sub Dispose()

[C#]

public void Dispose ();

[Delphi]

procedure Dispose;

Remarks

Readies the Label object for garbage collection. The Label should not be referenced after calling the Dispose method.

See Also

Label Class


ResetSizeDefault Method (Label)

ResetSizeDefault Method (Label)

Previous Next

Resets Label size so it is calculated automatically.

Syntax

[VB]

Public Sub ResetSizeDefault()

[C#]

public void ResetSizeDefault();

[Delphi]

procedure ResetSizeDefault;

See Also

Label Class


ResetStyle Method (Label)

ResetStyle Method (Label)

Previous Next

Resets Label style inheritace state.

Syntax

[VB]

Public Sub ResetStyle()

[C#]

public void ResetStyle()

[Delphi]

procedure ResetStyle;

See Also

Label Class


ShouldSerializeSizeDefault Method (Label)

ShouldSerializeSizeDefault Method (Label)

Previous Next

Returns true if the Label SizeDefault property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeSizeDefault() As Boolean

[C#]

public bool ShouldSerializeSizeDefault ( )

[Delphi]

function ShouldSerializeSizeDefault:Boolean;

Remarks

The default state is SizeDefault.Width = -1, SizeDefault.Height = -1, which results in automatic sizing of the Label.

See Also

Label Class


ShouldSerializeStyle Method (Label)

ShouldSerializeStyle Method (Label)

Previous Next

Returns true if the ChartArea Style property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeStyle() As Boolean

[C#]

public bool ShouldSerializeStyle ( )

[Delphi]

function ShouldSerializeStyle: Boolean;

Remarks

The default state is to inherit the style from the Labels.DefaultLabelStyle property.

See Also

Label Class


LabelsCollection Class

LabelsCollection Class

Syntax

C1.Win.C1Chart.LabelsCollection


LabelsCollection All Members

LabelsCollection All Members

LabelsCollection Properties

Count | Gets the item count of the collection.
Item Supported by the .NET Compact Framework. | Gets the specified label from the collection by numeric index.

LabelsCollection Methods

AddNewLabel Supported by the .NET Compact Framework. | Creates a new label and appends it to the collection.
InsertNewLabel Supported by the .NET Compact Framework. | Creates a new label and inserts it into the collection at the specified index.
Remove Supported by the .NET Compact Framework. | Removes the label specified.


LabelsCollection Properties

LabelsCollection Properties


Count Property (LabelsCollection)

Count Property (LabelsCollection)

Previous Next

Syntax

[VB]

Public ReadOnly Property Count As Integer

[C#]

public int Count { get; }

[Delphi]

property Count: Integer;

See Also

LabelsCollection Class


Item Property (LabelsCollection)

Item Property (LabelsCollection)

Previous Next

Gets the specified label from the collection by numeric index.

Syntax

[VB]

Default Public ReadOnly Property Item(index As Integer) As Label

[C#]

public Label this[int index] { get; }

[Delphi]

property Item(index: Integer): Integer;

See Also

LabelsCollection Class


LabelsCollection Methods

LabelsCollection Methods

AddNewLabel Method (LabelsCollection)

InsertNewLabel Method (LabelsCollection)

Remove Method (LabelsCollection)


AddNewLabel Method (LabelsCollection)

AddNewLabel Method (LabelsCollection)

Previous Next

Creates a new label and appends it to the collection.

Syntax

[VB]

Public Function AddNewLabel () As Label

[C#]

public Label AddNewLabel ();

[Delphi]

function AddNewLabel: Label;

Return Value

Label

Remarks

The new label is returned.

See Also

LabelsCollection Class


InsertNewLabel Method (LabelsCollection)

InsertNewLabel Method (LabelsCollection)

Previous Next

Creates a new label and inserts it into the collection at the specified index.

Syntax

[VB]

Public Function InsertNewLabel (index As Integer) As Label

[C#]

public Label InsertNewLabel (int index);

[Delphi]

function InsertNewLabel(index: Integer): Label;

Return Value

Label

Remarks

The new label is returned.

See Also

LabelsCollection Class


Remove Method (LabelsCollection)

Remove Method (LabelsCollection)

Previous Next

Removes the label specified.

Syntax

[VB]

Public Sub Remove (label As Label)

[C#]

public void Remove (Label label);

[Delphi]

procedure Remove(label: Label);

See Also

LabelsCollection Class


Legend Class

Legend Class

Syntax

C1.Win.C1Chart.Legend


Legend All Members

Legend All Members

Legend Properties

Compass Supported by the .NET Compact Framework. | Gets or sets the general positioning of the legend.
Location Supported by the .NET Compact Framework. | Gets or sets the location of the legend in chart control client coordinates.
LocationDefault Supported by the .NET Compact Framework. | Gets or sets the default location of the legend.
Orientation Supported by the .NET Compact Framework. | Gets or sets the orientation of the legend entries.
Reversed | Determines the order of the ChartGroups in the legend.
Size Supported by the .NET Compact Framework. | Gets or sets the size of the legend in chart control client coordinates.
SizeDefault Supported by the .NET Compact Framework. | Gets or sets the default size of the legend.
Style Supported by the .NET Compact Framework. | Gets the legend style.
Text Supported by the .NET Compact Framework. | Gets or sets the primary text of the legend.
Visible Supported by the .NET Compact Framework. | Gets or sets the legend visibility.

Legend Methods

RectFromSeries | Returns the minimal Rectangle circumscribing the specified series entry in the legend.
ResetLocationDefault | Resets the Legend location so it is calculated automatically.
ResetSizeDefault | Resets Legend size so it is calculated automatically.
ResetStyle | Resets Legend style inheritance state.
SeriesFromCoord Supported by the .NET Compact Framework. | Obtains the group and series indices of the legend entry nearest to the specified client.
ShouldSerializeLocationDefault | Returns true if the Legend LocationDefault property is in the default state.
ShouldSerializeSizeDefault | Returns true if the Legend SizeDefault property is in the default state.
ShouldSerializeStyle | Returns true if the Legend Style property is in the default state.


Legend Properties

Legend Properties

Compass Property (Legend)

Location Property (Legend)

LocationDefault Property (Legend)

Orientation Property

Reversed Property (Legend)

Size Property (Legend)

SizeDefault Property (Legend)

Style Property (Legend)

Text Property (Legend)

Visible Property (Legend)


Compass Property (Legend)

Compass Property (Legend)

Previous Next

Gets or sets the general positioning of the legend.

Syntax

[VB]

Public Property Compass As CompassEnum

[C#]

public As CompassEnum Compass { get; set; }

[Delphi]

property Compass: CompassEnum;

See Also

Legend Class


Location Property (Legend)

Location Property (Legend)

Previous Next

Gets or sets the location of the legend in chart control client coordinates.

Syntax

[VB]

Public Property Location As Point

[C#]

public Point Location { get; set; }

[Delphi]

property Location: Point;

Remarks

Modifying this value will change LocationDefault.

See Also

Legend Class


LocationDefault Property (Legend)

LocationDefault Property (Legend)

Previous Next

Gets or sets the default location of the legend.

Syntax

[VB]

Public Property LocationDefault As Point

[C#]

public Point LocationDefault { get; set; }

[Delphi]

property LocationDefault: Point;

Remarks

Negative values will allow autopositioning.

See Also

Legend Class


Orientation Property

Orientation Property

Gets or sets the orientation of the legend entries.

Syntax

[VB]

Public Orientation As LegendOrientationEnum

[C#]

public LegendOrientationEnum Orientation { get; set; }

[Delphi]

property Orientation: LegendOrientationEnum;

Remarks

The legend entries can be oriented in a vertical or horizontal fashion.

Vertical orientation indicates that legend entries will stack vertically as the legend height permits. If the legend height cannot contain all of the entries and the legend is allowed to size itself, then additional columns of stacked entries will be added to the legend.

Horizontal orientation indicates that legend entries will be created side by side as legend width permits. If the legend width cannot contain all of the entries and the legend is allowed to size itself, then additional rows of entries will be added to the legend.

Auto orientation automatically selects an appropriate orientation based upon the legend Compass property. For east and west Compass values, Vertical orientation is used. For north and south Compass values, Horizontal orientation is used.

See Also

Legend Class


Reversed Property (Legend)

Reversed Property (Legend)

Previous Next

Determines the order of the ChartGroups in the legend.

Syntax

[VB]

Public Property Reversed As Boolean

[C#]

public bool Reversed { get; set; }

[Delphi]

property Reversed: Boolean;

See Also

Legend Class


Size Property (Legend)

Size Property (Legend)

Previous Next

Gets or sets the size of the legend in chart control client coordinates.

Syntax

[VB]

Public Size As Size

[C#]

public Size Size { get; set; }

[Delphi]

property Size: Size;

Remarks

Modifying this value will change SizeDefault.

See Also

Legend Class


SizeDefault Property (Legend)

SizeDefault Property (Legend)

Previous Next

Gets or sets the default size of the legend.

Syntax

[VB]

Public Property SizeDefault As Size

[C#]

public Size SizeDefault { get; set; }

[Delphi]

property SizeDefault: Size;

Remarks

Negative values will allow autopositioning.

See Also

Legend Class


Style Property (Legend)

Style Property (Legend)

Previous Next

Gets the legend style.

Syntax

[VB]

Public ReadOnly Property Style As Style

[C#]

public Style Style { get; }

[Delphi]

property Style: Style;

Remarks

The legend style inherits from the C1Chart style.

See Also

Legend Class


Text Property (Legend)

Text Property (Legend)

Previous Next

Gets or sets the primary text of the legend.

Syntax

[VB]

Public Property Text As String

[C#]

public String Text { get; set; }

[Delphi]

property Text: string;

See Also

Legend Class


Visible Property (Legend)

Visible Property (Legend)

Previous Next

Gets or sets the legend visibility.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

See Also

Legend Class


Legend Methods

Legend Methods

RectFromSeries Method (Legend)

ResetLocationDefault Method (Legend)

ResetSizeDefault Method (Legend)

ResetStyle Method (Legend)

SeriesFromCoord Method

ShouldSerializeLocationDefault Method (Legend)

ShouldSerializeSizeDefault Method (Legend)

ShouldSerializeStyle Method (Legend)


RectFromSeries Method (Legend)

RectFromSeries Method (Legend)

Previous Next

Returns the minimal Rectangle circumscribing the specified series entry in the legend.

Syntax

[VB]

Pubic Function RectFromSeries(GroupIndex As Integer, SeriesIndex As Integer) As Rectangle

[C#]

public Rectangle RectFromSeries(int GroupIndex, int SeriesIndex);

[Delphi]

function RectFromSeries(GroupIndex: Integer; SeriesIndex: Integer): Rectangle;

See Also

Legend Class


ResetLocationDefault Method (Legend)

ResetLocationDefault Method (Legend)

Previous Next

Resets the Legend location so it is calculated automatically.

Syntax

[VB]

Public Sub ResetLocationDefault()

[C#]

public void ResetLocationDefault();

[Delphi]

procedure ResetLocationDefault;

See Also

Legend Class


ResetSizeDefault Method (Legend)

ResetSizeDefault Method (Legend)

Previous Next

Resets Legend size so it is calculated automatically.

Syntax

[VB]

Public Sub ResetSizeDefault()

[C#]

public void ResetSizeDefault();

[Delphi]

procedure ResetSizeDefault;

See Also

Legend Class


ResetStyle Method (Legend)

ResetStyle Method (Legend)

Previous Next

Resets Legend style inheritance state.

Syntax

[VB]

Public Sub ResetStyle()

[C#]

public void ResetStyle();

[Delphi]

procedure ResetStyle;

See Also

Legend Class


SeriesFromCoord Method

SeriesFromCoord Method

Obtains the group and series indices of the legend entry nearest to the specified client coordinates. Mouse coordinates are specified in client coordinates.

Syntax

[VB]

Public Function SeriesFromCoord (XCoord As Integer, YCoord As Integer, _

ByRef GroupIndex As Integer, ByRef SeriesIndex As Integer) As Boolean

[C#]

public bool SeriesFromCoord (int XCoord, int YCoord, _

ref int GroupIndex, ref int SeriesIndex);

[Delphi]

function SeriesFromCoord(XCoord: Integer; YCoord: Integer; GroupIndex: Integer; SeriesIndex: Integer): Boolean;

Return Value

Boolean

Remarks

The return value indicates successful calculation.

See Also

Legend Class


ShouldSerializeLocationDefault Method (Legend)

ShouldSerializeLocationDefault Method (Legend)

Previous Next

Returns true if the Legend LocationDefault property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeLocationDefault() As Boolean

[C#]

public bool ShouldSerializeLocationDefault ( )

[Delphi]

function ShouldSerializeLocationDefault: Boolean;

Remarks

The default state is LocationDefault.Width = -1, LocationDefault.Height = -1, which results in automatic location of the Legend.

See Also

Legend Class


ShouldSerializeSizeDefault Method (Legend)

ShouldSerializeSizeDefault Method (Legend)

Previous Next

Returns true if the Legend SizeDefault property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeSizeDefault() As Boolean

[C#]

public bool ShouldSerializeSizeDefault ( )

[Delphi]

function ShouldSerializeSizeDefault: Boolean;

Remarks

The default state is SizeDefault.Width = -1, SizeDefault.Height = -1, which results in automatic sizing of the Legend.

See Also

Legend Class


ShouldSerializeStyle Method (Legend)

ShouldSerializeStyle Method (Legend)

Previous Next

Returns true if the Legend Style property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeStyle() As Boolean

[C#]

public bool ShouldSerializeStyle ( )

[Delphi]

function ShouldSerializeStyle: Boolean;

Remarks

The default state is to inherit the Style from the C1Chart Style property.

See Also

Legend Class


Margin Class

Margin Class

Syntax

C1.Win.C1Chart.Margin


Margin All Members

Margin All Members

Margin Properties

Bottom Supported by the .NET Compact Framework. | Gets or sets the number of pixels between the bottom edge of the ChartArea and the ChartArea contents.
Left Supported by the .NET Compact Framework. | Gets or sets the number of the pixels between the left of the ChartArea and the ChartArea contents.
Right Supported by the .NET Compact Framework. | Gets or sets the number of pixels between the right of the ChartArea and the ChartArea contents.
Top | Gets or sets the number of pixels between the top of the ChartArea and the ChartArea contents.

Margin Methods

SetMargins

Sets all of the margin properties at once.


Margin Properties

Margin Properties

Bottom Property (Margin)

Left Property (Margin)

Right Property (Margin)

Top Property (Margin)


Bottom Property (Margin)

Bottom Property (Margin)

Previous Next

Gets or sets the number of pixels between the bottom edge of the ChartArea and the ChartArea contents.

Syntax

[VB]

Public Property Bottom As Integer

[C#]

public int Bottom { get; set; }

[Delphi]

property Bottom: Integer;

Remarks

Setting the Bottom property of the Margin to –1 will result in an automatic calculation for the Bottom value.

See Also

Margin Class


Left Property (Margin)

Left Property (Margin)

Previous Next

Gets or sets the number of pixels between the left edge of the ChartArea and the ChartArea contents.

Syntax

[VB]

Public Property Left As Integer

[C#]

public int Left { get; set; }

[Delphi]

property Left: Integer;

Remarks

Setting the Left property of the Margin to –1 will result in an automatic calculation for the Left value.

See Also

Margin Class


Right Property (Margin)

Right Property (Margin)

Previous Next

Gets or sets the number of pixels between the right edge of the ChartArea and the ChartArea contents.

Syntax

[VB]

Public Property Right As Integer

[C#]

public int Right { get; set; }

[Delphi]

property Right: Integer;

Remarks

Setting the Right property of the Margin to –1 will result in an automatic calculation for the Right value.

See Also

Margin Class


Top Property (Margin)

Top Property (Margin)

Previous Next

Gets or sets the number of pixels between the top edge of the ChartArea and the ChartArea contents.

Syntax

[VB]

Public Property Top As Integer

[C#]

public int Top { get; set; }

[Delphi]

property Top: Integer;

Remarks

Setting the Top property of the Margin to –1 will result in an automatic calculation for the Top value.

See Also

Margin Class


Margin Methods

Margin Methods


SetMargins Method (Margin)

SetMargins Method (Margin)

Previous Next

Sets all of the Margin properties at once.

Syntax

[VB]

Public Sub SetMargins(left as Integer, top As Integer, right As Integer, bottom As Integer)

[C#]

public void SetMargins(int left, int top, int right, int bottom);

[Delphi]

procedure SetMargins(left: Integer; top: Integer; right: Integer; bottom: Integer);

See Also

Margin Class


Pie Class

Pie Class

Syntax

C1.Win.C1Chart.Pie


Pie Class All Members

Pie Class All Members

Pie Class Properties

OtherOffset Supported by the .NET Compact Framework. | Gets or sets the offset value used to vary diameter of the pie within the charting area.
Start Supported by the .NET Compact Framework. | Gets or sets the starting angle of the first Pie slice.


Pie Properties

Pie Properties


OtherOffset Property

OtherOffset Property

Gets or sets the offset value used to vary diameter of the pie within the charting area.

Syntax

[VB]

Public Property OtherOffset As Integer

[C#]

public int OtherOffset { get; set; }

[Delphi]

property OtherOffset: Integer;

See Also

Pie Class


Start Property (Pie)

Start Property (Pie)

Previous Next

Gets or sets the starting angle of the first Pie slice.

Syntax

[VB]

Public Property Start As Integer

[C#]

public int Start { get; set; }

[Delphi]

property Start: Integer;

Remarks

The angle is measured in degrees, and represents the arc between the most clockwise edge of the first slice and the right horizontal radius of the pie, as measured in the counter-clockwise direction.

See Also

Pie Class


Polar Class

Polar Class

Syntax

C1.Win.C1Chart.Polar


Polar All Members

Polar All Members

Polar Properties

Degrees | Gets or sets whether the X data values and Start value reflect angles in degrees (true) or radians (false) for Polar charts.
PiRatioAnnotations Supported by the .NET Compact Framework. | Gets or sets whether polar charts measured in radians should be annotated with Pi rations.
Start | Gets or sets the starting angle of Polar charts.


Polar Properties

Polar Properties

Degrees Property (Polar)

PiRatioAnnotations Property

Start Property


Degrees Property (Polar)

Degrees Property (Polar)

Previous Next

Gets or sets whether the X data values and Start value reflect angles in degrees (true) or radians (false) for Polar charts.

Syntax

[VB]

Public Property Degrees As Boolean

[C#]

public bool Degrees { get; set; }

[Delphi]

property Degrees: Boolean;

See Also

Polar Class


PiRatioAnnotations Property

PiRatioAnnotations Property

Gets or sets whether polar charts measured in radians should be annotated with Pi rations.

Syntax

[VB]

Public Property PiRatioAnnotations As Boolean

[C#]

public bool PiRatioAnnotations { get; set; }

[Delphi]

property PiRatioAnnotations: Boolean;

See Also

Polar Class


Start Property

Start Property

Gets or sets the starting angle of Polar charts.

Syntax

[VB]

Public Property Start As Double

[C#]

public double Start { get; set; }

[Delphi]

property Start: Double;

Remarks

The angle is measured in degrees if the Degrees property is true, radians otherwise.

See Also

Polar Class


PlotArea Class

PlotArea Class

Syntax

C1.Win.C1Chart.PlotArea


PlotArea All Members

PlotArea All Members

PlotArea Properties

AlarmZones Supported by the .NET Compact Framework. | Gets the AlarmZonesCollection.
BackColor Supported by the .NET Compact Framework. | Gets or sets the backcolor of the PlotArea.
BackColor2 Supported by the .NET Compact Framework. | Gets or sets the gradient or hatch background.
Boxed Supported by the .NET Compact Framework. | Gets or sets the whether the PlotArea is enclosed in a box (solid border).
ForeColor Supported by the .NET Compact Framework. | Gets or sets the forecolor of the PlotArea.
GradientStyle Supported by the .NET Compact Framework. | Defines the style of the background gradient filling.
HatchStyle Supported by the .NET Compact Framework. | Defines the style of the background hatch filling.
Location Supported by the .NET Compact Framework. | Gets the location of the PlotArea in chart control client coordinates.
Opaque Supported by the .NET Compact Framework. | Gets or sets the whether the PlotArea background is opaque.
Size Supported by the .NET Compact Framework. | Gets the size of the PlotArea in chart control client coordinates.
View3D Supported by the .NET Compact Framework. | Gets the View3D object.
Visible Supported by the .NET Compact Framework. | Gets or sets the PlotArea visibility.

PlotArea Methods

ResetBackColor | Resets the backcolor.
ResetForeColor | Resets the forecolor.
ResetOpaque | Resets the opaqueness of the background.
ShouldSerializeBackColor | Returns true if the PlotArea BackColor property is in the default state.
ShouldSerializeBackColor2 | Returns true if the PlotArea BackColor2 property is in the default state.
ShouldSerializeForeColor | Returns true if the PlotArea ForeColor property is in the default state.
ShouldSerializeOpaque | Returns true if the PlotArea Opaque property is in the default state.


PlotArea Properties

PlotArea Properties

AlarmZones Property

BackColor Property (PlotArea)

BackColor2 Property (PlotArea)

Boxed Property

ForeColor Property (PlotArea)

GradientStyle Property (PlotArea)

HatchStyle Property (PlotArea)

Location Property (PlotArea)

Opaque Property (PlotArea)

Size Property (PlotArea)

View3D Property (PlotArea)

Visible Property (PlotArea)


AlarmZones Property

AlarmZones Property

Gets the AlarmZonesCollection.

Syntax

[VB]

Public ReadOnly Property AlarmZones As AlarmZonesCollection

[C#]

public AlarmZonesCollection AlarmZones { get; }

[Delphi]

property AlarmZones: AlarmZonesCollection;

See Also

PlotArea Class


BackColor Property (PlotArea)

BackColor Property (PlotArea)

Previous Next

Gets or sets the backcolor of the PlotArea.

Syntax

[VB]

Public Property BackColor As Color

[C#]

public Color BackColor { get; set; }

[Delphi]

property BackColor: Color;

Remarks

Inherits from the ChartArea.

See Also

PlotArea Class


BackColor2 Property (PlotArea)

BackColor2 Property (PlotArea)

Previous Next

Gets or sets the gradient or hatch background.

Syntax

[VB]

Public Property BackColor2 As Color

[C#]

public Color BackColor2 { get; set; }

[Delphi]

property BackColor2: Color;

See Also

PlotArea Class


Boxed Property

Boxed Property

Gets or sets the whether the PlotArea is enclosed in a box (solid border).

Syntax

[VB]

Public Property Boxed As Boolean

[C#]

public bool Boxed { get; set; }

[Delphi]

property Boxed: Boolean;

See Also

PlotArea Class


ForeColor Property (PlotArea)

ForeColor Property (PlotArea)

Previous Next

Gets or sets the forecolor of the PlotArea.

Syntax

[VB]

Public Property ForeColor As Color

[C#]

public Color ForeColor { get; set; }

[Delphi]

property ForeColor: Color;

Remarks

Inherits from the ChartArea.

See Also

PlotArea Class


GradientStyle Property (PlotArea)

GradientStyle Property (PlotArea)

Previous Next

Defines the style of the background gradient filling.

Syntax

[VB]

Public Property GradientStyle As GradientStyleEnum

[C#]

public GradientStyleEnum GradientStyle {get;set;}

[Delphi]

property GradientStyle: GradientStyleEnum;

See Also

PlotArea Class


HatchStyle Property (PlotArea)

HatchStyle Property (PlotArea)

Previous Next

Defines the style of the background hatch filling.

Syntax

[VB]

Public Property HatchStyle As HatchStyleEnum

[C#]

public HatchStyleEnum HatchStyle {get;set;}

[Delphi]

property HatchStyle: HatchStyleEnum;

See Also

PlotArea Class


Location Property (PlotArea)

Location Property (PlotArea)

Previous Next

Gets the location of the PlotArea in chart control client coordinates.

Syntax

[VB]

Public ReadOnly Property Location As Point

[C#]

public Point Location { get; }

[Delphi]

property Location: Point;

See Also

PlotArea Class


Opaque Property (PlotArea)

Opaque Property (PlotArea)

Previous Next

Gets or sets the whether the PlotArea background is opaque.

Syntax

[VB]

Public Property Opaque As Boolean

[C#]

public bool Opaque { get; set; }

[Delphi]

property Opaque: Boolean;

Remarks

Inherits from the ChartArea.

See Also

PlotArea Class


Size Property (PlotArea)

Size Property (PlotArea)

Previous Next

Gets the size of the PlotArea in chart control client coordinates.

Syntax

[VB]

Public ReadOnly Property Size As Size

[C#]

public Size Size { get; }

[Delphi]

property Size: Size;

See Also

PlotArea Class


View3D Property (PlotArea)

View3D Property (PlotArea)

Previous Next

Gets the View3D object of the PlotArea.

Syntax

[VB]

Public ReadOnly Property View3D As View3D

[C#]

public View3D View3D{ get; }

[Delphi]

property View3D: View3D;

Remarks

The returned View3D object has properties which are used to set 3D aspects of the PlotArea for charts with 3D effects.

See Also

PlotArea Class


Visible Property (PlotArea)

Visible Property (PlotArea)

Previous Next

Gets or sets the PlotArea visibility.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

Remarks

If the PlotArea is not visible, the data is not charted.

See Also

PlotArea Class


PlotArea Methods

PlotArea Methods

ResetBackColor Method (PlotArea)

ResetForeColor Method (PlotArea)

ResetOpaque Method (PlotArea)

ShouldSerializeBackColor Method (PlotArea)

ShouldSerializeBackColor2 Method (PlotArea)

ShouldSerializeForeColor Method (PlotArea)

ShouldSerializeOpaque Method (PlotArea)


ResetBackColor Method (PlotArea)

ResetBackColor Method (PlotArea)

Previous Next

Resets the inheritance state of the PlotArea backcolor.

Syntax

[VB]

Public Sub ResetBackcolor()

[C#]

piblic void ResetBackcolor();

[Delphi]

procedure ResetBackcolor;

Remarks

This method resets the inheritance state of the PlotArea backcolor.

See Also

PlotArea Class


ResetForeColor Method (PlotArea)

ResetForeColor Method (PlotArea)

Previous Next

Resets the inheritance state of the PlotArea forecolor.

Syntax

[VB]

Public Sub ResetForecolor()

[C#]

piblic void ResetForecolor();

[Delphi]

procedure ResetForecolor;

Remarks

This method resets the inheritance state of the PlotArea forecolor.

See Also

PlotArea Class


ResetOpaque Method (PlotArea)

ResetOpaque Method (PlotArea)

Previous Next

Resets the inheritance state of the PlotArea opaque.

Syntax

[VB]

Public Sub ResetOpaque()

[C#]

piblic void ResetOpaque ();

[Delphi]

procedure ResetOpaque;

Remarks

This method resets the inheritance state of the PlotArea opaque.

See Also

PlotArea Class


ShouldSerializeBackColor Method (PlotArea)

ShouldSerializeBackColor Method (PlotArea)

Previous Next

Returns true if the PlotArea BackColor property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeBackColor() As Boolean

[C#]

public bool ShouldSerializeBackColor ( )

[Delphi]

function ShouldSerializeBackColor: Boolean;

Remarks

The default state is to inherit the BackColor from the ChartArea object.

See Also

PlotArea Class


ShouldSerializeBackColor2 Method (PlotArea)

ShouldSerializeBackColor2 Method (PlotArea)

Previous Next

Returns true if the PlotArea BackColor2 property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeBackColor2() As Boolean

[C#]

public bool ShouldSerializeBackColor2 ( )

[Delphi]

function ShouldSerializeBackColor2: Boolean;

Remarks

The default state is to inherit the BackColor2 from the ChartArea object.

See Also

PlotArea Class


ShouldSerializeForeColor Method (PlotArea)

ShouldSerializeForeColor Method (PlotArea)

Previous Next

Returns true if the PlotArea ForeColor property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeForeColor() As Boolean

[C#]

public bool ShouldSerializeForeColor ( )

[Delphi]

function ShouldSerializeForeColor: Boolean;

Remarks

The default state is to inherit the ForeColor from the ChartArea object.

See Also

PlotArea Class


ShouldSerializeOpaque Method (PlotArea)

ShouldSerializeOpaque Method (PlotArea)

Previous Next

Returns true if the PlotArea Opaque property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeOpaque() As Boolean

[C#]

public bool ShouldSerializeOpaque ( )

[Delphi]

function ShouldSerializeOpaque: Boolean;

Remarks

The default state is to inherit the Opaque from the ChartArea object.

See Also

PlotArea Class


Radar Class

Radar Class

Syntax

C1.Win.C1Chart.Radar


Radar All Members

Radar All Members

Radar Properties

Degrees | Gets or sets whether the Start value reflects angles in degrees (true) or radians (false) for Radar charts.
Filled Supported by the .NET Compact Framework. | Gets or sets whether Radar charts should be filled.
Start | Gets or sets the starting angle of Radar charts.


Radar Properties

Radar Properties

Degrees Property (Radar)

Filled Property

Start Property (Radar)


Degrees Property (Radar)

Degrees Property (Radar)

Previous Next

Gets or sets whether the Start value reflects angles in degrees (true) or radians (false) for Radar charts.

Syntax

[VB]

Public Property Degrees As Boolean

[C#]

public bool Degrees { get; set; }

[Delphi]

property Degrees: Boolean;

See Also

Radar Class


Filled Property

Filled Property

Gets or sets whether Radar charts should be filled.

Syntax

[VB]

Public Property Filled As Boolean

[C#]

public bool Filled { get; set; }

[Delphi]

property Filled: Boolean;

See Also

Radar Class


Start Property (Radar)

Start Property (Radar)

Previous Next

Gets or sets the starting angle of Radar charts.

Syntax

[VB]

Public Property Start As Double

[C#]

public double Start { get; set; }

[Delphi]

property Start: double;

Remarks

The angle is measured in degrees if the Degrees property is true, radians otherwise. The angle is measured in the counter-clockwise direction from the 12 o’clock position.

See Also

Radar Class


Rounding Class

Rounding Class

Syntax

C1.Win.C1Chart.Rounding

Remarks

Provides the properties set that describes the rounding of border corners.


Rounding All Members

Rounding All Members

Rounding Properties

All | Gets or sets the radius of rounding for all corners of the rectangle.
LeftBottom | Gets or sets the radius of rounding for the left bottom corner of the rectangle.
LeftTop | Gets or sets the radius of rounding for the left top corner of the rectangle.
RightBottom | Gets or sets the radius of rounding for the right bottom corner of the rectangle.
RightTop | Gets or sets the radius of rounding for the right top corner of the rectangle.


Rounding Properties

Rounding Properties

All Property

LeftBottom Property

LeftTop Property

RightBottom Property

RightTop Property


All Property

All Property

Gets or sets the radius of rounding for all corners of the rectangle.

Syntax

[VB]

Public Property All as Integer

[C#]

public int All { get; set; }

[Delphi]

property All: Integer;

Remarks

Setting this property changes all of the corners by changing the values of the LeftTop, LeftBottom, RightTop, and RightBottom properties. If these properties are re-set after setting the All property, then each corner may have a different radius.

See Also

Rounding Class


LeftBottom Property

LeftBottom Property

Gets or sets the radius of rounding for the left bottom corner of the rectangle.

Syntax

[VB]

Public Property LeftBottom as Integer

[C#]

public int LeftBottom { get; set; }

[Delphi]

property LeftBottom: Integer;

Remarks

Setting this property will override the All property value for the LeftBottom region of the border.

See Also

Rounding Class


LeftTop Property

LeftTop Property

Gets or sets the radius of rounding for the left top corner of the rectangle.

Syntax

[VB]

Public Property LeftTop as Integer

[C#]

public int LeftTop { get; set; }

[Delphi]

property LeftTop: Integer;

Remarks

Setting this property will override the All property value for the LeftTop region of the border.

See Also

Rounding Class


RightBottom Property

RightBottom Property

Gets or sets the radius of rounding for the right bottom corner of the rectangle.

Syntax

[VB]

Public Property RightBottom as Integer

[C#]

public int RightBottom { get; set; }

[Delphi]

property RightBottom: Integer;

Remarks

Setting this property will override the All property value for the RightBottom region of the border.

See Also

Rounding Class


RightTop Property

RightTop Property

Gets or sets the radius of rounding for the right top corner of the rectangle.

Syntax

[VB]

Public Property RightTop as Integer

[C#]

public int RightTop { get; set; }

[Delphi]

property RightTop: Integer;

Remarks

Setting this property will override the All property value for the RightTop region of the border.

See Also

Rounding Class


Style Class

Style Class

Syntax

C1.Win.C1Chart.Style

Remarks

The Style class is used to describe the appearance of various elements of the chart, including the chart itself, the ChartArea, the Legend, the Header, the Footer and Labels. Typically, an object’s style and/or one or more of its properties are inherited the object’s parent style or its default style. All Style properties have an associated Reset Method that restores the style property inheritance state.


Style All Members

Style All Members

Style Properties

Autowrap Supported by the .NET Compact Framework. | Gets or sets whether the text is automatically wrapped.
BackColor Supported by the .NET Compact Framework. | Gets or sets the backcolor.
BackColor2 Supported by the .NET Compact Framework. | Gets or sets the gradient or hatch background.
Border Supported by the .NET Compact Framework. | Gets the border object.
Font Supported by the .NET Compact Framework. | Gets or sets the font object.
ForeColor Supported by the .NET Compact Framework. | Gets or sets the forecolor.
GradientStyle Supported by the .NET Compact Framework. | Defines the style of the background gradient filling.
HatchStyle Supported by the .NET Compact Framework. | Defines the style of the background hatch filling.
HorizontalAlignment Supported by the .NET Compact Framework. | Gets or sets the text horizontal alignment.
ImageAlignment Supported by the .NET Compact Framework. | Gets or sets the image alignment.
Opaque Supported by the .NET Compact Framework. | Gets or sets the opaqueness of the background.
Rotation | Gets or sets the text orientation.
VerticalAlignment Supported by the .NET Compact Framework. | Gets or sets the text vertical alignment.

Style Methods

ResetAutowrap | Resets the automatic wrapping.
ResetBackColor | Resets the backcolor.
ResetBorder | Resets the border object.
ResetFont | Resets the font object.
ResetForeColor | Resets the forecolor.
ResetGradientStyle | Resets the gradient style.
ResetHatchStyle | Resets the hatching style.
ResetHorizontalAlignment | Resets the text horizontal alignment.
ResetImageAlignment | Resets the image alignment.
ResetOpaque | Resets the opaqueness of the background.
ResetRotation | Resets the text orientation.
ResetVerticalAlignment | Resets the text vertical alignment.
ShouldSerializeAutowrap | Returns true if the Style Autowrap property is in the default state.
ShouldSerializeBackColor | Returns true if the Style BackColor property is in the default state.
ShouldSerializeBackColor2 | Returns true if the Style BackColor2 property is in the default state.
ShouldSerializeBorder | Returns true if the Style Border property is in the default state.
ShouldSerializeFont | Returns true if the Style Font property is in the default state.
ShouldSerializeForeColor | Returns true if the Style ForeColor property is in the default state.
ShouldSerializeHorizontalAlignment | Returns true if the Style HorizontalAlignment property is in the default state.
ShouldSerializeImageAlignment | Returns true if the Style ImageAlignment property is in the default state.
ShouldSerializeOpaque | Returns true if the Style Opaque property is in the default state.
ShouldSerializeRotation | Returns true if the Style Rotation property is in the default state.
ShouldSerializeVerticalAlignment | Returns true if the Style VerticalAlignment property is in the default state.


Style Properties

Style Properties

Autowrap Property (Style)

BackColor Property (Style)

BackColor2 Property (Style)

Border Property (Style)

Font Property (Style)

ForeColor Property (Style)

GradientStyle Property (Style)

HatchStyle Property (Style)

HorizontalAlignment Property

ImageAlignment Property

Opaque Property (Style)

Rotation Property (Style)

VerticalAlignment Property (Style)


Autowrap Property (Style)

Autowrap Property (Style)

Previous Next

Gets or sets whether the text is automatically wrapped.

Syntax

[VB]

Public Property Autowrap As Boolean

[C#]

public bool Autowrap { get; set; }

[Delphi]

property Autowrap: Boolean;

Remarks

Most text containing objects within C1Chart can automatically wrap text within them, including header, footer, axes titles, labels and the legend (title only, not series names). However, all of these objects can be sized automatically. Automatic sizing is always based upon a single line of text whenever possible.

See Also

Style Class


BackColor Property (Style)

BackColor Property (Style)

Previous Next

Gets or sets the backcolor.

Syntax

[VB]

Public Property BackColor As Color

[C#]

public Color BackColor { get; set; }

[Delphi]

property BackColor: Color;

See Also

Style Class


BackColor2 Property (Style)

BackColor2 Property (Style)

Previous Next

Gets or sets the gradient or hatch background.

Syntax

[VB]

Public Property BackColor2 As Color

[C#]

public Color BackColor2 { get; set; }

[Delphi]

property BackColor2: Color;

See Also

Style Class


Border Property (Style)

Border Property (Style)

Previous Next

Gets the border object.

Syntax

[VB]

Public ReadOnly Property Border As Border

[C#]

public Border Border { get; }

[Delphi]

property Border: Border;

See Also

Style Class


Font Property (Style)

Font Property (Style)

Previous Next

Gets or sets the font object.

Syntax

[VB]

Public Property Font As Font

[C#]

public Font Font { get; set; }

[Delphi]

property Font: Font;

See Also

Style Class


ForeColor Property (Style)

ForeColor Property (Style)

Previous Next

Gets or sets the forecolor.

Syntax

[VB]

Public Property ForeColor As Color

[C#]

public Color ForeColor { get; set; }

[Delphi]

property ForeColor: Color;

See Also

Style Class


GradientStyle Property (Style)

GradientStyle Property (Style)

Previous Next

Defines the style of the background gradient filling.

Syntax

[VB]

Public Property GradientStyle As GradientStyleEnum

[C#]

public GradientStyleEnum GradientStyle {get;set;}

[Delphi]

property GradientStyle: GradientStyleEnum;

See Also

Style Class


HatchStyle Property (Style)

HatchStyle Property (Style)

Previous Next

Defines the style of the background hatch filling.

Syntax

[VB]

Public Property HatchStyle As HatchStyleEnum

[C#]

public HatchStyleEnum HatchStyle {get;set;}

[Delphi]

property HatchStyle: HatchStyleEnum;

See Also

Style Class


HorizontalAlignment Property

HorizontalAlignment Property

Gets or sets the text horizontal alignment.

Syntax

[VB]

Public Property HorizontalAlignment As AlignHorzEnum

[C#]

public AlignHorzEnum HorizontalAlignment { get; set; }

[Delphi]

property HorizontalAlignment: AlignHorzEnum;

See Also

Style Class


ImageAlignment Property

ImageAlignment Property

Gets or sets the image alignment.

Syntax

[VB]

Public Property ImageAlignment As AlignImageEnum

[C#]

public AlignImageEnum ImageAlignment { get; set; }

[Delphi]

property ImageAlignment: AlignImageEnum;

See Also

Style Class


Opaque Property (Style)

Opaque Property (Style)

Previous Next

Gets or sets the opaqueness of the background.

Syntax

[VB]

Public Property Opaque As Boolean

[C#]

public bool Opaque { get; set; }

[Delphi]

property Opaque: Boolean;

Remarks

If an object’s Opaque property is true, then the object’s background is brushed in the backcolor before the foreground is drawn. If an object’s Opaque property is false, the background is not brushed and only the object’s foreground is drawn.

See Also

Style Class


Rotation Property (Style)

Rotation Property (Style)

Previous Next

Gets or sets the text orientation.

Syntax

[VB]

Public Property Rotation As RotationEnum

[C#]

public RotationEnum Rotation { get; set; }

[Delphi]

property Rotation: RotationEnum;

See Also

Style Class


VerticalAlignment Property (Style)

VerticalAlignment Property (Style)

Previous Next

Gets or sets the text vertical alignment.

Syntax

[VB]

Public Property VerticalAlignment As AlignVertEnum

[C#]

public AlignVertEnum VerticalAlignment { get; set; }

[Delphi]

property VerticalAlignment: AlignVertEnum;

See Also

Style Class


Style Methods

Style Methods

ResetAutowrap Method

ResetBackcolor Method (Style)

ResetBorder Method (Style)

ResetFont Method (Style)

ResetForecolor Method (Style)

ResetGradientStyle Method

ResetHatchStyle Method

ResetHorizontalAlignment Method (Style)

ResetImageAlignment Method (Style)

ResetOpaque Method (Style)

ResetRotation Method (Style)

ResetVerticalAlignment Method (Style)

ShouldSerializeAutowrap Method (Style)

ShouldSerializeBackColor Method (Style)

ShouldSerializeBackColor2 Method (Style)

ShouldSerializeBorder Method (Style)

ShouldSerializeFont Method (Style)

ShouldSerializeForeColor Method (Style)

ShouldSerializeHorizontalAlignment Method (Style)

ShouldSerializeImageAlignment Method (Style)

ShouldSerializeOpaque Method (Style)

ShouldSerializeRotation Method (Style)

ShouldSerializeVerticalAlignment Method (Style)


ResetAutowrap Method

ResetAutowrap Method

Resets the inheritance state of the style Autowrap.

Syntax

[VB]

Public Sub ResetAutowrap()

[C#]

public void ResetAutowrap();

[Delphi]

procedure ResetAutowrap;

Remarks

This method resets the inheritance state of the style Autowrap.

See Also

Style Class


ResetBackcolor Method (Style)

ResetBackcolor Method (Style)

Previous Next

Resets the inheritance state of the chart backcolor.

Syntax

[VB]

Public Sub ResetBackcolor()

[C#]

public void ResetBackcolor();

[Delphi]

procedure ResetBackcolor;

Remarks

This method resets the inheritance state of the chart backcolor.

See Also

Style Class


ResetBorder Method (Style)

ResetBorder Method (Style)

Previous Next

Resets the inheritance state of the chart border.

Syntax

[VB]

Public Sub ResetBorder()

[C#]

public void ResetBorder();

[Delphi]

procedure ResetBorder;

Remarks

This method resets the inheritance state of the chart border.

See Also

Style Class


ResetFont Method (Style)

ResetFont Method (Style)

Previous Next

Resets the inheritance state of the chart font.

Syntax

[VB]

Public Sub ResetFont()

[C#]

public void ResetFont();

[Delphi]

procedure ResetFont;

Remarks

This method resets the inheritance state of the chart font.

See Also

Style Class


ResetForecolor Method (Style)

ResetForecolor Method (Style)

Previous Next

Resets the inheritance state of the chart forecolor.

Syntax

[VB]

Public Sub ResetForecolor()

[C#]

public void ResetForecolor();

[Delphi]

procedure ResetForecolor;

Remarks

This method resets the inheritance state of the chart forecolor.

See Also

Style Class


ResetGradientStyle Method

ResetGradientStyle Method

Resets the inheritance state of the style GradientStyle.

Syntax

[VB]

Public Sub ResetGradientStyle()

[C#]

public void ResetGradientStyle();

[Delphi]

procedure ResetGradientStyle;

Remarks

This method resets the inheritance state of the style GradientStyle.

See Also

Style Class


ResetHatchStyle Method

ResetHatchStyle Method

Resets the inheritance state of the style HatchStyle.

Syntax

[VB]

Public Sub ResetHatchStyle()

[C#]

public void ResetHatchStyle();

[Delphi]

procedure ResetHatchStyle;

Remarks

This method resets the inheritance state of the style HatchStyle.

See Also

Style Class


ResetHorizontalAlignment Method (Style)

ResetHorizontalAlignment Method (Style)

Previous Next

Resets the inheritance state of the chart horizontalalignment.

Syntax

[VB]

Public Sub ResetHorizontalAlignment()

[C#]

public void ResetHorizontalAlignment();

[Delphi]

procedure ResetHorizontalAlignment;

Remarks

This method resets the inheritance state of the chart HorizontalAlignment.

See Also

Style Class


ResetImageAlignment Method (Style)

ResetImageAlignment Method (Style)

Previous Next

Resets the inheritance state of the chart ImageAlignment.

Syntax

[VB]

Public Sub ResetImageAlignment ()

[C#]

public void ResetImageAlignment ();

[Delphi]

procedure ResetImageAlignment;

Remarks

This method resets the inheritance state of the chart ImageAlignment.

See Also

Style Class


ResetOpaque Method (Style)

ResetOpaque Method (Style)

Previous Next

Resets the inheritance state of the chart opaque.

Syntax

[VB]

Public Sub ResetOpaque()

[C#]

public void ResetOpaque();

[Delphi]

procedure ResetOpaque;

Remarks

This method resets the inheritance state of the chart opaque.

See Also

Style Class


ResetRotation Method (Style)

ResetRotation Method (Style)

Previous Next

Resets the inheritance state of the chart rotation.

Syntax

[VB]

Public Sub ResetRotation()

[C#]

public void ResetRotation();

[Delphi]

procedure ResetRotation;

Remarks

This method resets the inheritance state of the chart rotation.

See Also

Style Class


ResetVerticalAlignment Method (Style)

ResetVerticalAlignment Method (Style)

Previous Next

Resets the inheritance state of the chart VerticalAlignment.

Syntax

[VB]

Public Sub ResetVerticalAlignment()

[C#]

public void ResetVerticalAlignment();

[Delphi]

procedure ResetVerticalAlignment;

Remarks

This method resets the inheritance state of the chart VerticalAlignment.

See Also

Style Class


ShouldSerializeAutowrap Method (Style)

ShouldSerializeAutowrap Method (Style)

Previous Next

Returns true if the Style Autowrap property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeAutowrap() As Boolean

[C#]

public bool ShouldSerializeAutowrap ( )

[Delphi]

function ShouldSerializeAutowrap: Boolean;

Remarks

The default state is to inherit the Autowrap from the style of the parent object.

See Also

Style Class


ShouldSerializeBackColor Method (Style)

ShouldSerializeBackColor Method (Style)

Previous Next

Returns true if the Style BackColor property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeBackColor() As Boolean

[C#]

public bool ShouldSerializeBackColor ( )

[Delphi]

function ShouldSerializeBackColor: Boolean;

Remarks

The default state is to inherit the BackColor from the style of the parent object.

See Also

Style Class


ShouldSerializeBackColor2 Method (Style)

ShouldSerializeBackColor2 Method (Style)

Previous Next

Returns true if the Style BackColor2 property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeBackColor2() As Boolean

[C#]

public bool ShouldSerializeBackColor2 ( )

[Delphi]

function ShouldSerializeBackColor2: Boolean;

Remarks

The default state is to inherit the BackColor2 from the style of the parent object.

See Also

Style Class


ShouldSerializeBorder Method (Style)

ShouldSerializeBorder Method (Style)

Previous Next

Returns true if the Style Border property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeBorder() As Boolean

[C#]

public bool ShouldSerializeBorder ( )

[Delphi]

function ShouldSerializeBorder: Boolean;

Remarks

The default state is to inherit the Border from the style of the parent object.

See Also

Style Class


ShouldSerializeFont Method (Style)

ShouldSerializeFont Method (Style)

Previous Next

Returns true if the Style Font property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeFont() As Boolean

[C#]

public bool ShouldSerializeFont ( )

[Delphi]

function ShouldSerializeFont: Boolean;

Remarks

The default state is to inherit the Font from the style of the parent object.

See Also

Style Class


ShouldSerializeForeColor Method (Style)

ShouldSerializeForeColor Method (Style)

Previous Next

Returns true if the Style ForeColor property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeForeColor() As Boolean

[C#]

public bool ShouldSerializeForeColor ( )

[Delphi]

function ShouldSerializeForeColor: Boolean;

Remarks

The default state is to inherit the ForeColor from the style of the parent object.

See Also

Style Class


ShouldSerializeHorizontalAlignment Method (Style)

ShouldSerializeHorizontalAlignment Method (Style)

Previous Next

Returns true if the Style HorizontalAlignment property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeHorizontalAlignment() As Boolean

[C#]

public bool ShouldSerializeHorizontalAlignment ( )

[Delphi]

function ShouldSerializeHorizontalAlignment: Boolean;

Remarks

The default state is to inherit the HorizontalAlignment from the style of the parent object.

See Also

Style Class


ShouldSerializeImageAlignment Method (Style)

ShouldSerializeImageAlignment Method (Style)

Previous Next

Returns true if the Style ImageAlignment property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeImageAlignment() As Boolean

[C#]

public bool ShouldSerializeImageAlignment ( )

[Delphi]

function ShouldSerializeImageAlignment: Boolean;

Remarks

The default state is to inherit the ImageAlignment from the style of the parent object.

See Also

Style Class


ShouldSerializeOpaque Method (Style)

ShouldSerializeOpaque Method (Style)

Previous Next

Returns true if the Style Opaque property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeOpaque() As Boolean

[C#]

public bool ShouldSerializeOpaque ( )

[Delphi]

function ShouldSerializeOpaque: Boolean;

Remarks

The default state is to inherit the Opaque from the style of the parent object.

See Also

Style Class


ShouldSerializeRotation Method (Style)

ShouldSerializeRotation Method (Style)

Previous Next

Returns true if the Style Rotation property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeRotation() As Boolean

[C#]

public bool ShouldSerializeRotation ( )

[Delphi]

function ShouldSerializeRotation: Boolean;

Remarks

The default state is to inherit the Rotation from the style of the parent object.

See Also

Style Class


ShouldSerializeVerticalAlignment Method (Style)

ShouldSerializeVerticalAlignment Method (Style)

Previous Next

Returns true if the Style VerticalAlignment property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeVerticalAlignment() As Boolean

[C#]

public bool ShouldSerializeVerticalAlignment ( )

[Delphi]

function ShouldSerializeVerticalAlignment: Boolean;

Remarks

The default state is to inherit the VerticalAlignment from the style of the parent object.

See Also

Style Class


Title Class

Title Class

Syntax

C1.Win.C1Chart.Title

Remarks

The Title class is used to describe the appearance of the Header and the Footer.


Title All Members

Title All Members

Title Properties

Compass Supported by the .NET Compact Framework. | Gets or sets the general positioning of the title.
Location Supported by the .NET Compact Framework. | Gets or sets the location of the title in chart control client coordinates.
LocationDefault Supported by the .NET Compact Framework. | Gets or sets the default location of the title.
Size Supported by the .NET Compact Framework. | Gets or sets the size of the title in chart control client coordinates.
SizeDefault Supported by the .NET Compact Framework. | Gets or sets the default size of the title.
Style Supported by the .NET Compact Framework. | Gets the title style.
Text Supported by the .NET Compact Framework. | Gets or sets title text.
Visible Supported by the .NET Compact Framework. | Gets or sets the title visibility.

Title Methods

ResetLocationDefault | Resets the Title location so it is calculated automatically.
ResetSizeDefault | Resets Title size so it is calculated automatically.
ResetStyle | Resets Title style inheritance state.
ShouldSerializeLocationDefault | Returns true if the Title LocationDefault property is in the default state.
ShouldSerializeSizeDefault | Returns true if the Title SizeDefault property is in the default state.
ShouldSerializeStyle | Returns true if the Title Style property is in the default state.


Title Properties

Title Properties

Compass Property (Title)

Location Property (Title)

LocationDefault Property (Title)

Size Property (Title)

SizeDefault Property (Title)

Style Property (Title)

Text Property (Title)

Visible Property (Title)


Compass Property (Title)

Compass Property (Title)

Previous Next

Gets or sets the general positioning of the title.

Syntax

[VB]

Public Property Compass As CompassEnum

[C#]

public CompassEnum Compass { get; set; }

[Delphi]

property Compass: CompassEnum;

See Also

Title Class


Location Property (Title)

Location Property (Title)

Previous Next

Gets or sets the location of the title in chart control client coordinates.

Syntax

[VB]

Public Property Location As Point

[C#]

public Point Location { get; set; }

[Delphi]

property Location: Point;

Remarks

The Location property always returns the actual location of the upper, left corner of the chart element it describes whether or not the element placement is manual or automatic. Modifying this value will change LocationDefault.

See Also

Title Class


LocationDefault Property (Title)

LocationDefault Property (Title)

Previous Next

Gets or sets the default location of the title.

Syntax

[VB]

Public Property LocationDefault As Point

[C#]

public Point LocationDefault { get; set; }

[Delphi]

property LocationDefault: Point;

Remarks

The LocationDefault property specifies the location of the upper, left corner of the chart element it describes. Non-negative values indicate the explicit position in chart client coordinates to place the chart element. Negative values will allow autopositioning.

See Also

Title Class


Size Property (Title)

Size Property (Title)

Previous Next

Gets or sets the size of the title in chart control client coordinates.

Syntax

[VB]

Public Property Size As Size

[C#]

public Size Size { get; set; }

[Delphi]

property Size: Size;

Remarks

The Size property always returns the actual size of the chart element it describes whether or not the element placement is manual or automatic. Modifying this value will change SizeDefault.

See Also

Title Class


SizeDefault Property (Title)

SizeDefault Property (Title)

Previous Next

Gets or sets the default size of the title.

Syntax

[VB]

Public Property SizeDefault As Size

[C#]

public Size SizeDefault { get; set; }

[Delphi]

property SizeDefault: Size;

Remarks

The SizeDefault property specifies the size of the chart element it describes. Non-negative values indicate the explicit width and height in chart client coordinates to place the chart element. Negative values will allow autopositioning.

See Also

Title Class


Style Property (Title)

Style Property (Title)

Previous Next

Gets the title style.

Syntax

[VB]

Public ReadOnly Property Style As Style

[C#]

public Style Style { get; }

[Delphi]

property Style: Style;

Remarks

Inherits from the C1Chart3D style.

See Also

Title Class


Text Property (Title)

Text Property (Title)

Previous Next

Gets or set title text.

Syntax

[VB]

Public Property Text As String

[C#]

public string Text { get; set; }

[Delphi]

property Text: string;

See Also

Title Class


Visible Property (Title)

Visible Property (Title)

Previous Next

Gets or sets the title visibility.

Syntax

[VB]

Public Property Visible As Boolean

[C#]

public bool Visible { get; set; }

[Delphi]

property Visible: Boolean;

See Also

Title Class


Title Methods

Title Methods

ResetLocationDefault Method (Title)

ResetSizeDefault Method (Title)

ResetStyle Method (Title)

ShouldSerializeLocationDefault Method (Title)

ShouldSerializeSizeDefault Method (Title)

ShouldSerializeStyle Method (Title)


ResetLocationDefault Method (Title)

ResetLocationDefault Method (Title)

Previous Next

Resets the Title location so it is calculated automatically.

Syntax

[VB]

Public Sub ResetLocationDefault()

[C#]

public void ResetLocationDefault();

[Delphi]

procedure ResetLocationDefault;

See Also

Title Class


ResetSizeDefault Method (Title)

ResetSizeDefault Method (Title)

Previous Next

Resets Title size so it is calculated automatically.

Syntax

[VB]

Public Sub ResetSizeDefault()

[C#]

public void ResetSizeDefault();

[Delphi]

procedure ResetSizeDefault;

See Also

Title Class


ResetStyle Method (Title)

ResetStyle Method (Title)

Previous Next

Resets Title style inheritence state.

Syntax

[VB]

Public Sub ResetStyle()

[C#]

public void ResetStyle();

[Delphi]

procedure ResetStyle;

See Also

Title Class


ShouldSerializeLocationDefault Method (Title)

ShouldSerializeLocationDefault Method (Title)

Previous Next

Returns true if the Title LocationDefault property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeLocationDefault() As Boolean

[C#]

public bool ShouldSerializeLocationDefault ( )

[Delphi]

function ShouldSerializeLocationDefault: Boolean;

Remarks

The default state is LocationDefault.Width = -1, LocationDefault.Height = -1, which results in automatic location of the Title based upon the Compass property.

See Also

Title Class


ShouldSerializeSizeDefault Method (Title)

ShouldSerializeSizeDefault Method (Title)

Previous Next

Returns true if the Title SizeDefault property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeSizeDefault() As Boolean

[C#]

public bool ShouldSerializeSizeDefault ( )

[Delphi]

function ShouldSerializeSizeDefault: Boolean;

Remarks

The default state is SizeDefault.Width = -1, SizeDefault.Height = -1, which results in automatic sizing of the Title.

See Also

Title Class


ShouldSerializeStyle Method (Title)

ShouldSerializeStyle Method (Title)

Previous Next

Returns true if the Title Style property is in the default state.

Syntax

[VB]

Public Function ShouldSerializeStyle() As Boolean

[C#]

public bool ShouldSerializeStyle ( )

[Delphi]

function ShouldSerializeStyle: Boolean;

Remarks

The default state is to inherit the Style from the C1Chart Style property.

See Also

Title Class


TransformEventArgs Class

TransformEventArgs Class

Provides data for the Transform event.

Syntax

[VB]

Public Class TransformEventArgs

[C#]

public class TransformEventArgs : EventArgs

[Delphi]

type TransformEventArgs: class(EventArgs);


TransformEventArgs Class Members

TransformEventArgs Class Members

TransformEventArgs Class Properties

Cancel | Gets or sets whether the transformation should be cancelled.
MinX | Gets or sets the new AxisX minimum.
MinY | Gets or sets the new AxisY minimum.
MinY2 | Gets or sets the new AxisY2 minimum.
MaxX | Gets or sets the new AxisX maximum.
MaxY | Gets or sets the new AxisY maximum.
MaxY2 | Gets or sets the new AxisY2 maximum.


TransformEventArgs Class Properties

TransformEventArgs Class Properties

Cancel Property

MinX Property

MinY Property

MinY2 Property

MaxX Property

MaxY Property

MaxY2 Property


Cancel Property

Cancel Property

Gets or sets whether the transformation should be cancelled. Cancelling the transformation inhibits the rotation, scaling, translating or zooming action associated with the transformation.

Syntax

[VB]

Public Property Cancel As Boolean

[C#]

public bool Cancel { get; set; }

[Delphi]

property Cancel: Boolean;

See Also

TransformEventArgs Class


MinX Property

MinX Property

Gets or sets the new AxisX minimum.

Syntax

[VB]

Public Property MinX As Double

[C#]

public double MinX { get; set; }

[Delphi]

property MinX: Double;

See Also

TransformEventArgs Class


MinY Property

MinY Property

Gets or sets the new AxisY minimum.

Syntax

[VB]

Public Property MinY As Double

[C#]

public double MinY { get; set; }

[Delphi]

property MinY: Double;

See Also

TransformEventArgs Class


MinY2 Property

MinY2 Property

Gets or sets the new AxisY2 minimum.

Syntax

[VB]

Public Property MinY2 As Double

[C#]

public double MinY2 { get; set; }

[Delphi]

property MinY2: Double;

See Also

TransformEventArgs Class


MaxX Property

MaxX Property

Gets or sets the new AxisX maximum.

Syntax

[VB]

Public Property MaxX As Double

[C#]

public double MaxX { get; set; }

[Delphi]

property MaxX: Double;

See Also

TransformEventArgs Class


MaxY Property

MaxY Property

Gets or sets the new AxisY maximum.

Syntax

[VB]

Public Property MaxY As Double

[C#]

public double MaxY { get; set; }

[Delphi]

property MaxY: Double;

See Also

TransformEventArgs Class


MaxY2 Property

MaxY2 Property

Gets or sets the new AxisY2 maximum.

Syntax

[VB]

Public Property MaxY2 As Double

[C#}

public double MaxY2 { get; set; }

[Delphi]

property MaxY2: Double;

See Also

TransformEventArgs Class


ValueLabel Class

ValueLabel Class

Syntax

C1.Win.C1Chart.ValueLabel


ValueLabel All Members

ValueLabel All Members

ValueLabel Properties

DateTimeValue | Gets or sets the axis value to be replaced by the ValueLabel using a DateTime value.
NumericValue | Gets or sets the axis value to be replaced by the ValueLabel using a double value.
Text Supported by the .NET Compact Framework. | Gets or sets the displayed text value for the ValueLabel.
Value Supported by the .NET Compact Framework. | Gets or sets the axis value to be replaced by the ValueLabel.


ValueLabel Properties

ValueLabel Properties

DateTimeValue Property (ValueLabel)

NumericValue Property (ValueLabel)

Text Property (ValueLabel)

Value Property (ValueLabel)


DateTimeValue Property (ValueLabel)

DateTimeValue Property (ValueLabel)

Previous Next

Gets or sets the axis value to be replaced by the ValueLabel by specifying the value as a DateTime.

Syntax

[VB]

Public Property DateTimeValue As DateTime

[C#]

public DateTime DateTimeValue { get; set; }

[Delphi]

property DateTimeValue: DateTime;

Remarks

This property is the same as the NumericValue property, but allows the value to be set using a DateTime value.

See Also

ValueLabel Class


NumericValue Property (ValueLabel)

NumericValue Property (ValueLabel)

Previous Next

Gets or sets the axis value to be replaced by the ValueLabel by specifying a numeric value that can be implicitly converted to double.

Syntax

[VB]

Public Property NumericValue As Double

[C#]

public double NumericValue { get; set; }

[Delphi]

property NumericValue: Double;

Remarks

This property is the same as the Value property.

See Also

ValueLabel Class


Text Property (ValueLabel)

Text Property (ValueLabel)

Previous Next

Gets or sets the displayed text value for the ValueLabel.

Syntax

[VB]

Public Property Text As String

[C#]

public string Text { get; set; }

[Delphi]

property Text: string;

See Also

ValueLabel Class


Value Property (ValueLabel)

Value Property (ValueLabel)

Previous Next

Gets or sets the axis value to be replaced by the ValueLabel by specifying a value that can be implicitly converted to double.

Syntax

[VB]

Public Property Value As Double

[C#]

public double Value { get; set; }

[Delphi]

property Value: Double;

Remarks

This property is the same as the NumericValue property.

See Also

ValueLabel Class


ValueLabelsCollection Class

ValueLabelsCollection Class

Syntax

C1.Win.C1Chart.ValueLabelsCollection


ValueLabelsCollection All Members

ValueLabelsCollection All Members

ValueLabelsCollection Properties

Count | Gets the item count of the collection.
Item Supported by the .NET Compact Framework. | Gets the specified label from the collection by numeric index.

ValueLabelsCollection Methods

Add Supported by the .NET Compact Framework. | Adds new label and accepts initialization parameters.
AddNewLabel Supported by the .NET Compact Framework. | Adds new empty label.


ValueLabelsCollection Properties

ValueLabelsCollection Properties


Count Property (ValueLabelsCollection)

Count Property (ValueLabelsCollection)

Previous Next

Gets the item count of the collection.

Syntax

[VB]

Public ReadOnly Property Count As Integer

[C#]

public int Count { get; }

[Delphi]

property Count: Integer;

See Also

ValueLabelsCollection Class


Item Property (ValueLabelsCollection)

Item Property (ValueLabelsCollection)

Previous Next

Gets the specified label from the collection by numeric index, double value, DateTime value or text of the label.

Syntax

[VB]

Default Public ReadOnly Property Item(index As Integer) As Label

Default Public ReadOnly Property Item(value As Double) As Label

Default Public ReadOnly Property Item(value As DateTime) As Label

Default Public ReadOnly Property Item(text As String) As Label

[C#]

public Label this[int index] { get; }

public Label this[double value] { get; }

public Label this[DateTime value] { get; }

public Labelthis[string text] { get; }

[Delphi]

property Item(index: Integer): Label;

property Item(value: Double): Label;

property Item(value: DateTime): Label;

property Item(text: string): Label;

Remarks

The first overload retrieves the ValueLabel by its index in the collection. The remaining overloads retrieve the ValueLabel by either the label value or the text to be displayed. Note that an Integer used as an argument will always call the first overload, so ValueLabels to be retrieved by their numeric values should always be cast to Double/double for Integer values.

See Also

ValueLabelsCollection Class


ValueLabelsCollection Methods

ValueLabelsCollection Methods


Add Method (ValueLabelsCollection)

Add Method (ValueLabelsCollection)

Previous Next

Adds new label and accepts initialization parameters.

Syntax

[VB]

Public Function Add (label As ValueLabel) As Integer

Public Function Add (val As Object, text As String) As Integer

[C#]

public int Add(ValueLabel label);

public int Add(object val, string text);

[Delphi]

function Add(label: ValueLabel): Integer;

function Add(val: Object; text: string): Integer;

Return Value

Integer

Remarks

The val parameter specifies the value of the axis to be replaced. The text parameter specifies the string that will replace the axis value annotation. The return value indicates successful addition.

See Also

ValueLabelsCollection Class


AddNewLabel Method

AddNewLabel Method

Adds a new empty label.

Syntax

[VB]

Public Function AddNewLabel () As ValueLabel

[C#]

public ValueLabel AddNewLabel();

[Delphi]

function AddNewLabel: ValueLabel;

Return Value

ValueLabel

Remarks

The return value is the added ValueLabel for a successful addition.

See Also

ValueLabelsCollection Class


View3D Class

View3D Class

The class View3D defines the three-dimensional features of a chart. These properties when used in conjunction with the ChartGroup Use3D property are used to produce 3D effects for Area, Bar, Pie and XYPlot charts.

View3D Class Properties

Depth Supported by the .NET Compact Framework. | The apparent chart depth as a percentage of chart width.
Elevation Supported by the .NET Compact Framework. | The apparent degree of inclination of the eye-point above the X-axis.
Rotation Supported by the .NET Compact Framework. | The apparent degree of rotation of the eye-point to the right of the Y-axis.
Shading Supported by the .NET Compact Framework. | Specifies the type of shading applied to 3D areas of the chart.


View3D Class Properties

View3D Class Properties

Depth Property

Elevation Property

Rotation Property

Shading Property


Depth Property

Depth Property

The apparent chart depth as a percentage of chart width.

Syntax

[VB]

Public Property Depth as Integer

[C#]

public int Depth{ get; set;}

[Delphi]

property Depth: Integer;

See Also

View3D Class


Elevation Property

Elevation Property

The apparent degree of inclination of the eye-point above the X-axis.

Syntax

[VB]

Public Property Elevation As Integer

[C#]

public int Elevation{ get; set;}

[Delphi]

property Elevation: Integer;

See Also

View3D Class


Rotation Property

Rotation Property

The apparent degree of rotation of the eye-point to the right of the Y-axis.

Syntax

[VB]

Public Property Rotation as Integer

[C#]

public int Rotation{ get; set;}

[Delphi]

property Rotation: Integer;

See Also

View3D Class


Shading Property

Shading Property

Specifies the type of shading applied to 3D areas of the chart.

Syntax

[VB]

Public Property Shading As ShadingEnum

[C#]

public ShadingEnum Shading{ get; set;}

[Delphi]

property Shading: ShadingEnum;

See Also

View3D Class


C1Chart 2D Enumeration Reference

C1Chart 2D Enumeration Reference

AlignHorzEnum Enumeration

AlignImageEnum Enumeration

AlignVertEnum Enumeration

AnnotationMethodEnum Enumeration

AttachMethodEnum Enumeration

AxisFlagEnum Enumeration

AxisIDEnum Enumeration

BorderStyleEnum Enumeration

BubbleMethod Enumeration

Chart2DLayoutEnum Enumeration

Chart2DTypeEnum Enumeration

ChartRegionEnum Enumeration

CompassEnum Enumeration

CoordinateFocusEnum Enumeration

FitTypeEnum Enumeration

FormatEnum Enumeration

GradientStyleEnum Enumeration

HatchStyleEnum Enumeration

LabelCompassEnum Enumeration

LegendOrientationEnum Enumeration

LinePatternEnum Enumeration

PrintScaleEnum Enumeration

RotationEnum Enumeration

SeriesDisplayEnum Enumeration

ShadingEnum Enumeration

SymbolShapeEnum Enumeration

TickLabelsEnum Enumeration

TickMarksEnum Enumeration


AlignHorzEnum Enumeration

AlignHorzEnum Enumeration

Syntax

[VB]

Public enum AlignHorzEnum

[C#]

public sealed enum AlignHorzEnum : System.Enum

[Delphi]

type AlignHorzEnum = (Center, Far, General, Justify, Near);

Remarks

Use the members of this enumeration to set the value of the HorizontalAlignment property in the Style class.

Member Name | Description
General | Sets text to be left-aligned and numbers to be right-aligned.
Near | Aligns text to the near side (left side in left-to-right mode).
Center | Aligns text to the center.
Far | Aligns cell text to the far side (right side in left-to-right mode).
Justify | Spreads text throughout.


AlignImageEnum Enumeration

AlignImageEnum Enumeration

Syntax

[VB]

Public enum AlignImageEnum

[C#]

public sealed enum AlignImageEnum : System.Enum

[Delphi]

type AlignImageEnum = (Bottom, Center, Hide, Left, Right, Scale, Stretch, Tile, Top);

Remarks

Use the members of this enumeration to set the value of the ImageAlignment property in the Style class.

Member Name | Description
Hide | Image is hidden.
Left | Image is aligned to the left.
Right | Image is aligned to the right.
Top | Image is aligned to the Top.
Bottom | Image is aligned to the bottom.
Center | Image is center-aligned.
Scale | Image is scaled to fit the image area.
Stretch | Image is stretched to fit image area.
Tile | Image is tiled throughout the image area.


AlignVertEnum Enumeration

AlignVertEnum Enumeration

Syntax

[VB]

Public enum AlignVertEnum

[C#]

public sealed enum AlignVertEnum : System.Enum

[Delphi]

type AlignVertEnum = (Bottom, Center, Top);

Remarks

Use the members of this enumeration to set the value of the VerticalAlignment property in the Style class.

Member Name | Description
Top | Aligns text to the top.
Center | Aligns text to the center.
Bottom | Aligns text to the bottom.


AnnotationMethodEnum Enumeration

AnnotationMethodEnum Enumeration

Syntax

[VB]

Public enum AnnotationMethodEnum

[C#]

public sealed enum AnnotationMethodEnum : System.Enum

[Delphi]

type AnnotationMethodEnum = (ValueLabels, Values);

Remarks

Use the members of this enumeration to set the state of the ValueLabels collection in the Axis class.

Member Name | Description
Values | The axis will be annotated automatically by the chart.
ValueLabels | The axis will be annotated with values specified in the ValueLabelsCollection.


AttachMethodEnum Enumeration

AttachMethodEnum Enumeration

Syntax

[VB]

Public enum AttachMethodEnum

[C#]

public sealed enum AttachMethodEnum : System.Enum

[Delphi]

type AttachMethodEnum = (Coordinate, DataCoordinate, DataIndex, DataIndexY);

Remarks

Use the members of this enumeration to set the value of the AttachMethod property in the Label class.

Member Name | Description
Coordinate | Label can be attached to anywhere on the chart. The number of pixels between the top-left corner of the chart to the ChartLabel can be specified.
DataCoordinate | Label is attached to anywhere inside the PlotArea. The data coordinates can be specified. This method is not allowed on pie charts using PointLabels for the X-axis annotation. If any part of the ChartLabel falls outside of the ChartArea, it is clipped.
DataIndex | Label is attached to a specific data point on the chart. The series and point indices and the ChartGroup can be specified.
DataIndexY | Label is attached to a distance above or below a specific data point. The series and point indices, the ChartGroup, and the Y-coordinate can be specified. This is most useful for bar and stacking bar charts.


AxisFlagEnum Enumeration

AxisFlagEnum Enumeration

Syntax

[VB]

Public enum AxisFlagEnum

[C#]

public sealed enum AxisFlagEnum : System.Enum

[Delphi]

type AxisFlagEnum = (AxesAll, AxesXY, AxesXY2, AxisX, AxisY, AxisY2);

Remarks

Use the members of this enumeration to set the value of the Axis property in the Action class.

Member Name | Description
AxisX | Use x-axis.
AxisY | Use y-axis.
AxesXY | Use x-axis and y-axis.
AxesY2 | Use y2-axis.
AxesXY2 | Use x-axis and y2-axis.
AxesAll | Use all axes( x-axis, y-axis and y2-axis).


AxisIDEnum Enumeration

AxisIDEnum Enumeration

Syntax

[VB]

Public Enum AxisIdEnum

[C#]

public sealed enum AxisIdEnum : Enum

[Delphi]

type AxisIDEnum = (X, Y, Y2);

Remarks

Use the members of this enumeration to refer to the X, Y, and Y2 axis.

Member Name | Description
X | Refers to the X axis.
Y | Refers to the Y axis.
Y2 | Refers to the Y2 axis.


BorderStyleEnum Enumeration

BorderStyleEnum Enumeration

Syntax

[VB]

Public enum BorderStyleEnum

[C#]

public sealed enum BorderStyleEnum : System.Enum

[Delphi]

type BorderStyleEnum = (Dashed, Double, Empty, Fillet, Groove, Inset, InsetBevel, None, NotSet, Raised, RaisedBevel, Solid);

Remarks

Use the members of this enumeration to set the value of the BorderStyle property in the Border class.

Member Name | Description
NotSet | Border style is not set and is inherited from C1Chart class.
None | No border.
Empty | Empty Border.
Solid | Solid line border.
Raised | Raised 3D border, drawn using system colors.
Inset | Inset 3D border, drawn using system colors.
RaisedBevel | Raised 3D border with bevel.
InsetBevel | Inset 3D border with bevel.
Groove | Compound border (inset+raised).
Fillet | Compound border (raised+inset).
Double | Double solid line border.
Dashed | Dashed line border.


BubbleMethod Enumeration

BubbleMethod Enumeration

Syntax

[VB]

Public enum BubbleMethod

[C#]

public sealed enum BubbleMethodEnum : System.Enum

[Delphi]

type BubbleMethodEnum = (Area, Diameter);

Remarks

Use the members of this enumeration to set the value of the EncodingMethod property in the Bubble class.

Member Name | Description
Diameter | Sizes symbols according to diameter.
Area | Sizes symbols according to area.


Chart2DLayoutEnum Enumeration

Chart2DLayoutEnum Enumeration

Syntax

[VB]

Public enum Chart2DlayoutEnum

[C#]

public sealed enum Chart2DLayoutEnum : System.Enum

[Delphi]

type Chart2DLayoutEnum = (ArrayLayout, GeneralLayout);

Remarks

Use the members of this enumeration to set the value of the Layout property in the ChartData class.

Member Name | Description
ArrayLayout | Array data layout.
GeneralLayout | General data layout.


Chart2DTypeEnum Enumeration

Chart2DTypeEnum Enumeration

Syntax

[VB]

Public enum Chart2DTypeEnum

[C#]

public sealed enum Chart2DTypeEnum : System.Enum

[Delphi]

type Chart2DTypeEnum = (Area, Bar, Bubble, Candle, HiLo, HiLoOpenCase, Pie, Polar, Radar, XYPlot);

Remarks

Use the members of this enumeration to set the value of the ChartType property in the ChartGroup class.

Member Name | Description
XYPlot | Plot chart type.
Pie | Pie chart type.
Bar | Bar chart type.
Area | Area chart type.
Polar | Polar chart type.
Radar | Radar chart type.
Bubble | Bubble chart type.
HiLo | HiLo chart type.
HiLoOpenClose | HiLoOpenClose chart type.
Candle | Candle chart type.


ChartRegionEnum Enumeration

ChartRegionEnum Enumeration

Syntax

[VB]

Public enum ChartRegionEnum

[C#]

public sealed enum ChartRegionEnum : System.Enum

[Delphi]

type ChartRegionEnum = (ChartArea, ChartLabel, Control, Footer, Header, Legend, None, PlotArea, XAxis, YAxis, Y2Axis);

Remarks

Use the members of this enumeration as it is returned from the ChartRegionFromCoord method of the C1Chart.

Member Name | Description
ChartArea | The coordinates are located in the ChartArea which is outside of the axes but within the bounds of the chart.
ChartLabel | The coordinates are located in a ChartLabel object which can be placed anywhere around the chart.
Control | The coordinates are within the bounds of the control.
Footer | The coordinates are located in the Footer title.
Header | The coordinates are located in the Header title.
Legend | The coordinates are located in the Legend object.
None | The coordinates are not located in the C1Chart.
PlotArea | The coordinates are located in the PlotArea which is located within the axes.
X-Axis | The coordinates are located in the X-Axis.
Y-Axis | The coordinates are located in the Y-Axis.
Y2-Axis | The coordinates are located in the Y2-Axis.


CompassEnum Enumeration

CompassEnum Enumeration

Syntax

[VB]

Public enum CompassEnum

[C#]

public sealed enum CompassEnum : System.Enum

[Delphi]

type CompassEnum = (East, North, South, West);

Remarks

Use the members of this enumeration to set the value of the Compass property in the Axis, Label, and Legend classes.

Member Name | Description
North | Object is positioned north or above.
South | Object is positioned south or below.
East | Object is positioned east or to the right side.
West | Object is positioned west or to the left side.


CoordinateFocusEnum Enumeration

CoordinateFocusEnum Enumeration

Syntax

[VB]

Public enum CoordinateFocusEnum

[C#]

public sealed enum CoordinateFocusEnum : System.Enum

[Delphi]

type CoordinateFocusEnum = (XandYCoord, XCoord, YCoord);

Remarks

Use the members of this enumeration to set the value of a parameter in the CoordToDataIndex method.

Member Name | Description
XandYCoord | Both the X and Y Coordinates entered are taken into account.
Xcoord | Only the X Coordinate entered is considered.
Ycoord | Only the Y Coordinate entered is considered.


FitTypeEnum Enumeration

FitTypeEnum Enumeration

Syntax

[VB]

Public enum FitTypeEnum

[C#]

public sealed enum FitTypeEnum : System.Enum

[Delphi]

type FitTypeEnum = (Beziers, Line, Spline);

Remarks

Use the members of this enumeration to set the value of the FitType property in the ChartDataSeries class.

Member Name | Description
Line | Straight lines connect data points.
Spline | Line passes smoothly through each data point; there are no sharp corners and no abrupt changes in the tightness of the curve.
Beziers | Line does not pass through all data points, but the points act as magnets, pulling the curve in certain directions and influencing the way the curve bends.


FormatEnum Enumeration

FormatEnum Enumeration

Syntax

[VB]

Public enum FormatEnum

[C#]

public sealed enum FormatEnum : System.Enum

[Delphi]

type FormatEnum = (DateFull, DateFullShortTime, DateGeneral, DateGeneralShortTime, DateLong, DateLongTime, DateManual, DateMonth, DateRFC1123, DateShort, DateShortTime, DateSortable, DateUniversal, DateUNiveralSortable, DateYear, NumericCurrency, NumericExponential, NumericGeneral, NumericHexadecimal, NumericManual, NumericPercentage, NumericRoundtrip);

Remarks

Use the members of this enumeration to set the value of the AnnoFormat property in the Axis class.

See .Net date and time format strings and standard numeric format strings for more information.

Member Name | Description
NumericManual | Used in conjunction with the Axis AnnoFormatString property to specify a .Net custom numeric format. (See custom numeric format strings in the .Net documentation).
NumericCurrency | A currency amount format.
NumericGeneral | A general number format. Formatted into the most compact decimal form using fixed or scientific notation.
NumericExponential | A scientific or exponential format in the form "-d.ddd…E+ddd" or "-d.ddd…e+ddd".
NumericPercentage | A percentage amount format.
NumericRoundtrip | A format which guarantees that a numeric value after being converted will be returned as the same numeric value.
NumericHexadecimal | A hexadecimal format.
DateManual | Used in conjunction with the Axis AnnoFormatString property to specify a .Net custom date/datetime format. (See custom date and time format strings in the .Net documentation).
DateShort | A short date format.
DateLong | A long date format.
DateFullShortTime | A long date and short time format.
DateFull | A full date format.
DateGeneralShortTime | A general date format with short time format.
DateGeneral | A general date format.
DateMonth | A month format.
DateRFC1123 | A date format based on the IETF RFC 1123 specification.
DateSortable | A sortable date format.
DateShortTime | A short time format.
DateLongTime | A long time format.
DateUniversalSortable | A universally sortable date format.
DateUniversal | A universal date format.
DateYear | A year format.


GradientStyleEnum Enumeration

GradientStyleEnum Enumeration

Syntax

[VB]

Public enum GradientStyleEnum

[C#]

public sealed enum GradientStyleEnum : System.Enum

[Delphi]

type GradientStyleEnum = (Diagonal, DiagonalBack, DiagonalBackCenter, DiagonalCenter, FromCenter, Horizontal, HorizontalCenter, None, Radial, Vertical, VerticalCenter);

Remarks

Use the members of this enumeration to set the value of the GradientStyle property in the Style class and the GradientStyle property in the PlotArea class.

Member Name | Description
None | No gradient filling.
Horizontal | From left (BackColor) to right (BackColor2).
HorizontalCenter | From center (BackColor) to left and right (BackColor2).
Vertical | From top (BackColor) to bottom (BackColor2).
VerticalCenter | From center (BackColor) to top and bottom (BackColor2).
Diagonal | From left-bottom (BackColor) to right-top (BackColor2).
DiagonalCenter | From center (BackColor) to left-bottom and right-top (BackColor2).
DiagonalBack | From left-top (BackColor) to right-bottom (BackColor2).
DiagonalBackCenter | From center (BackColor) to left-top and right-bottom (BackColor2).
Radial | From center (BackColor) to corners (BackColor2) in radial direction.
FromCenter | From center (BackColor) to corners (BackColor2).


HatchStyleEnum Enumeration

HatchStyleEnum Enumeration

Syntax

[VB]

Public enum HatchStyleEnum

[C#]

public sealed enum HatchStyleEnum : System.Enum

[Delphi]

type HatchStyleEnum = (BackwardDiagonal, Cross, DarkDownwardDiagonal, DarkHorizontal, DarkUpwardDiagonal, DarkVertical, DashedDownwardDiagonal, DashedHorizontal, DashedUpwardDiagonal, DashedVertical, DiagonalBrick, DiagonalCross, Divot, DottedDiamond, DottedGrid, ForwardDiagonal, Horizontal, HorizontalBrick, LargeCheckerBoard, LargeConfetti, LightDownwardDiagonal, LightHorizontal, LightUpwardDiagonal, LightVertical, NarrowHorizontal, NarrowVertical, None, OutlinedDiamond, Percent05, Percent10, Percent20, Percent25, Percent30, Percent40, Percent50, Percent60, Percent70, Percent75, Percent80, Percent90, Plaid, Shingle. SmallCheckerBoard, SmallConfetti, SmallGrid, SolidDiamond, Sphere, Threllis, Vertical, Wave, Weave, WideDownwareDiagonal, WideUpwardDiagonal, ZigZag);

Remarks

Use the members of this enumeration to set the value of the HatchStyle property in the Style class and the HatchStyle property in the PlotArea class.

Member Name | Description
None | No pattern.
Horizontal | A pattern of horizontal lines.
Vertical | A pattern of vertical lines.
ForwardDiagonal | A pattern of lines on a diagonal from upper left to lower right.
BackwardDiagonal | A pattern of lines on a diagonal from upper right to lower left.
Cross | Specifies horizontal and vertical lines that cross.
DiagonalCross | Specifies forward diagonal and backward diagonal lines that cross. The lines are antialiased.
Percent05 | Specifies a 5-percent hatch. The ratio of foreground color to background color is 5:100.
Percent10 | Specifies a 10-percent hatch. The ratio of foreground color to background color is 10:100.
Percent20 | Specifies a 20-percent hatch. The ratio of foreground color to background color is 20:100.
Percent25 | Specifies a 25-percent hatch. The ratio of foreground color to background color is 25:100.
Percent30 | Specifies a 30-percent hatch. The ratio of foreground color to background color is 30:100.
Percent40 | Specifies a 40-percent hatch. The ratio of foreground color to background color is 40:100.
Percent50 | Specifies a 50-percent hatch. The ratio of foreground color to background color is 50:100.
Percent60 | Specifies a 60-percent hatch. The ratio of foreground color to background color is 60:100.
Percent70 | Specifies a 70-percent hatch. The ratio of foreground color to background color is 70:100.
Percent75 | Specifies a 75-percent hatch. The ratio of foreground color to background color is 75:100.
Percent80 | Specifies a 80-percent hatch. The ratio of foreground color to background color is 80:100.
Percent90 | Specifies a 90-percent hatch. The ratio of foreground color to background color is 90:100.
LightDownwardDiagonal |
LightUpwardDiagonal | Specifies diagonal lines that slant to the left from top points to bottom points and are spaced 50 percent closer together than BackwardDiagonal, but they are not antialiased.
DarkDownwardDiagonal | Specifies diagonal lines that slant to the right from top points to bottom points, are spaced 50 percent closer together than, and are twice the width of ForwardDiagonal. This hatch pattern is not antialiased.
DarkUpwardDiagonal | Specifies diagonal lines that slant to the left from top points to bottom points, are spaced 50 percent closer together than BackwardDiagonal, and are twice its width, but the lines are not antialiased.
WideDownwardDiagonal | Specifies diagonal lines that slant to the right from top points to bottom points, have the same spacing as hatch style ForwardDiagonal, and are triple its width, but are not antialiased.
WideUpwardDiagonal | Specifies diagonal lines that slant to the left from top points to bottom points, have the same spacing as hatch style BackwardDiagonal, and are triple its width, but are not antialiased.
LightVertical | Specifies vertical lines that are spaced 50 percent closer together than Vertical.
LightHorizontal | Specifies horizontal lines that are spaced 50 percent closer together than Horizontal.
NarrowVertical | Specifies vertical lines that are spaced 75 percent closer together than hatch style Vertical (or 25 percent closer together than LightVertical).
NarrowHorizontal | Specifies horizontal lines that are spaced 75 percent closer together than hatch style Horizontal (or 25 percent closer together than LightHorizontal).
DarkVertical | Specifies vertical lines that are spaced 50 percent closer together than Vertical and are twice its width.
DarkHorizontal | Specifies horizontal lines that are spaced 50 percent closer together than Horizontal and are twice the width of HatchStyleHorizontal.
DashedDownwardDiagonal | Specifies dashed diagonal lines, that slant to the right from top points to bottom points.
DashedUpwardDiagonal | Specifies dashed diagonal lines, that slant to the left from top points to bottom points.
DashedHorizontal | Specifies dashed horizontal lines.
DashedVertical | Specifies dashed vertical lines.
SmallConfetti | Specifies a hatch that has the appearance of confetti.
LargeConfetti | Specifies a hatch that has the appearance of confetti, and is composed of larger pieces than SmallConfetti.
ZigZag | Specifies horizontal lines that are composed of zigzags.
Wave | Specifies horizontal lines that are composed of tildes.
DiagonalBrick | Specifies a hatch that has the appearance of layered bricks that slant to the left from top points to bottom points.
HorizontalBrick | Specifies a hatch that has the appearance of horizontally layered bricks.
Weave | Specifies a hatch that has the appearance of a woven material.
Plaid | Specifies a hatch that has the appearance of a plaid material.
Divot | Specifies a hatch that has the appearance of divots.
DottedGrid | Specifies horizontal and vertical lines, each of which is composed of dots, that cross.
DottedDiamond | Specifies forward diagonal and backward diagonal lines, each of which is composed of dots, that cross.
Shingle | Specifies a hatch that has the appearance of diagonally-layered shingles that slant to the right from top points to bottom points.
Trellis | Specifies a hatch that has the appearance of a trellis.
Sphere | Specifies a hatch that has the appearance of spheres laid adjacent to one another.
SmallGrid | Specifies horizontal and vertical lines that cross and are spaced 50 percent closer together than hatch style Cross.
SmallCheckerBoard | Specifies a hatch that has the appearance of a checkerboard.
LargeCheckerBoard | Specifies a hatch that has the appearance of a checkerboard with squares that are twice the size of SmallCheckerBoard.
OutlinedDiamond | Specifies forward diagonal and backward diagonal lines that cross but are not antialiased.
SolidDiamond | Specifies a hatch that has the appearance of a checkerboard placed diagonally.


LabelCompassEnum Enumeration

LabelCompassEnum Enumeration

Syntax

[VB]

Public enum LabelCompassEnum

[C#]

public sealed enum LabelCompassEnum : System.Enum

[Delphi]

type LabelCompassEnum = (East, North, NorthEast, NorthWest, Orthogonal, Radial, South, SouthEast, WouthWest, West);

Remarks

Use the members of this enumeration to set the value of the Compass property in the Label class.

Member Name | Description
North | Places label to the north or above the data point.
NorthEast | Places label to the NorthEast or above and right of the data point.
East | Places label to the East or to the right of the data point.
SouthEast | Places label to the SouthEast or blow and right of the data point.
South | Places label to the South or below the data point.
SouthWest | Places label to the SouthWest or below and left of the data point.
West | Places label to the West or left of the data point.
NorthWest | Places label to the NorthWest or above and left of the data point.
Radial | In a pie chart, places label directly away from the center of the chart.
Orthogonal | Places label perpendicularly away from the plot line.


LegendOrientationEnum Enumeration

LegendOrientationEnum Enumeration

Syntax

[VB]

Public enum LegendOrientationEnum

[C#]

public sealed enum LegendOrientationEnum : System.Enum

[Delphi]

type LegendOrientationEnum = (Auto, Horizontal, Vertical);

Remarks

Use the members of this enumeration to set the value of the Orientation in the Legend classes.

Member Name | Description
Auto | Horizontal for legends with north and south Compass values, and Vertical for legends with east and west Compass values.
Horizontal | Legend entries are added side by side as (horizontally) as legend width permits. If sufficient width is not available, additional legend rows are created.
Vertical | Legend entries are stacked vertically as legend height permits. If sufficient height is not available, additional legend columns are created.


LinePatternEnum Enumeration

LinePatternEnum Enumeration

Syntax

[VB]

Public enum LinePatternEnum

[C#]

public sealed enum LinePatternEnum : System.Enum

[Delphi]

type LinePatternEnum = (Dash, DashDot, DashDotDot, Dot, none, Solid);

Remarks

Use the members of this enumeration to set the value of the Pattern property in the ChartGridStyle and ChartLineStyle classes.

Member Name | Description
None | No line is drawn.
Solid | A solid line.
Dash | A dashed line.
Dot | A dotted line.
DashDot | A line with alternating dashes and dots.
DashDotDot | A line with series consisting of a dash followed by two dots.


PrintScaleEnum Enumeration

PrintScaleEnum Enumeration

Syntax

[VB]

Public enum PrintScaleEnum

[C#]

public sealed enum PrintScaleEnum : System.Enum

[Delphi]

type PrintScaleEnum = (ScaleNone, ScaleToFit, ScaleToHeight, ScaleToMax, ScaleToWidth);

Remarks

Use the members of this enumeration to set the value of the scaling property in the PrintChart method.

Member Name | Description
ScaleNone | Same size as actual chart.
ScaleToFit | Scale to existing window (minimum of height and width), preserving aspect ratio.
ScaleToHeight | Scale to specified height, preserving aspect ratio.
ScaleToMax | Enlarge to size of page.
ScaleToWidth | Scale to specified width, preserving aspect ratio.


RotationEnum Enumeration

RotationEnum Enumeration

Syntax

[VB]

Public enum RotationEnum

[C#]

public sealed enum RotationEnum : System.Enum

[Delphi]

type RotationEnum = (Rotate0, Rotate90, Rotate180, Rotate270);

Remarks

Use the members of this enumeration to set the value of the Rotation property in the Axis and Style classes.

Member Name | Description
Rotate0 | No rotation.
Rotate90 | Object is rotated 90 degrees.
Rotate180 | Object is rotated 180 degrees, or inverted.
Rotate270 | Object is rotated 270 degrees.


SeriesDisplayEnum Enumeration

SeriesDisplayEnum Enumeration

Syntax

[VB]

Public enum SeriesDisplayEnum

[C#]

public sealed enum SeriesDisplayEnum : System.Enum

[Delphi]

type SeriesDisplayEnum = (Show, Hide, Exclude, ExcludeHoles);

Remarks

Use the members of this enumeration to set the value of the Display property in the ChartDataSeries class.

Member Name | Description
Show | Displays series.
Hide | Includes series in the data set, but is not drawn.
Exclude | Excludes series from the data set.
ExcludeHoles | Displays series, but disregards data holes.


ShadingEnum Enumeration

ShadingEnum Enumeration

Syntax

[VB]

Public enum ShadingEnum

[C#]

public sealed enum ShadingEnum : System.Enum

[Delphi]

type ShadingEnum = (ColorDark, ColorLight, None);

Remarks

The type of shading used for color of 3D areas when chart with 3D-effects is rendered. Use the members of this enumeration to set the value of the Shading property in the View3D class.

Member Name | Description
ColorDark | 3D color is darker than front color.
ColorLight | 3D color is lighter than front color.
None | No special 3D color is applied.


SymbolShapeEnum Enumeration

SymbolShapeEnum Enumeration

Syntax

[VB]

Public enum SymbolShapeEnum

[C#]

public sealed enum SymbolShapeEnum : System.Enum

[Delphi]

type SymbolShapeEnum = (Box, Circle, Cross, DiagCross, Diamond, Dot, HorizontalLine, InvertedTri, None, OpenDiamond, OpenInvertedTri, OpenTri, Square, Star, Tri, VerticalLine);

Remarks

Use the members of this enumeration to set the value of the Shape property in the ChartSymbolStyle class.

Member Name | Description
None | No symbol represents data point.
Box | Data point represented by a solid square.
Dot | Data point represented by a solid circle.
Tri | Data point represented by a solid triangle.
Diamond | Data point represented by a solid diamond.
InvertedTri | Data point represented by a solid inverted triangle.
Star | Data point represented by a solid star.
VerticalLine | Data point represented by a short vertical line.
HorizontalLine | Data point represented by a short horizontal line.
Cross | Data point represented by crossed horizontal and vertical lines.
DiagCross | Data point represented by diagonal crossed lines.
Circle | Data point represented by the outline of a circle.
Square | Data point represented by the outline of a square.
OpenTri | Data point represented by the outline of a triangle.
OpenDiamond | Data point represented by the outline of a diamond.
OpenInvertedTri | Data point represented by the outline of an inverted triangle.


TickLabelsEnum Enumeration

TickLabelsEnum Enumeration

Syntax

[VB]

Public enum TickLabelsEnum

[C#]

public sealed enum TickLabelsEnum : System.Enum

[Delphi]

type TickLabelsEnum = (High, Low, NextToAxis, None);

Remarks

Use the members of this enumeration to set the location of the axis annotations. All members of this enumeration have not yet been implemented.

Member Name | Description
None | No annotations along the axis.
High | Annotations are drawn near the maximum value of the perpendicular axis (not currently implemented).
Low | Annotations are drawn near the minimum value of the perpendicular axis (not currently implemented).
NextToAxis | Annnotations are drawn next to the axis.


TickMarksEnum Enumeration

TickMarksEnum Enumeration

Syntax

[VB]

Public enum TickMarksEnum

[C#]

public sealed enum TickMarksEnum : System.Enum

[Delphi]

type TickMarksEnum = (None, Inside, Outside, Cross);

Remarks

Use the members of this enumeration to set the value of the TickMajor and TickMinor properties in the Axis class.

Member Name | Description
None | No tickmarks along axis.
Inside | Tickmarks located inside chart area on axis.
Outside | Tickmarks located outside chart area on axis.
Cross | Tickmarks cross over axis.